2009-09-11  cromain

	* doc/dev.html, doc/features.html, doc/guide.html, doc/version.tex,
	  src/ejabberd.app:
	  change version do 2.1.0

2009-09-10  badlop

	* src/mod_pubsub/node_hometree_odbc.erl:
	  Replace TYPE/1 with is_TYPE/1 (EJAB-922)

	* doc/release_notes_2.1.0.txt:
	  Mention in the 2.1.0 release notes the HTTP-Bind optimization

2009-09-10  jsautret

	* src/odbc/mysql.sql:
	  Add a "created_at" column to some tables in the MySQL schema to
	  store a timestamp (thanks to Pedro Melo, EJAB-376).

	* src/odbc/mysql.sql:
	  Fix pubsub tables constraints in MySQL schema creation script.

2009-09-09  cromain

	* src/mod_pubsub/pubsub_subscription.erl:
	  remove useless include

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch,
	  src/mod_pubsub/pubsub_subscription.erl:
	  fix delete item to allow owner being able to remove all publisher
	  items, and also fix EJAB-1036

2009-09-07  badlop

	* src/ejabberd_s2s_out.erl, src/web/ejabberd_http_bind.erl:
	  Change some error messages.

2009-09-04  cromain

	* src/mod_pubsub/node_hometree.erl:
	  fix minor timestamp shift between item creation and modification

2009-09-04  ppolvorin

	* src/ejabberd_s2s_in.erl:
	  Use the local (target) domain for firing the s2s_receive_packet
	  hook.
	  
	  It was using the external server domain (LFrom) instead of the
	  local domain (LTo). This might have impact on mod_caps in s2s
	  scenarios, needs further attention.

2009-09-02  badlop

	* src/msgs/sv.msg, src/msgs/sv.po:
	  Update Swedish translation (thanks to Gustaf Alströmer)

2009-09-01  cromain

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  improve previous patch

2009-09-01  badlop

	* src/mod_pubsub/mod_pubsub.erl:
	  Fix missing tag when configuring subscription option (thanks to
	  Clochix)

2009-08-31  badlop

	* src/ejabberd_c2s.erl, src/ejabberd_receiver.erl,
	  src/ejabberd_socket.erl, src/web/ejabberd_http_bind.erl:
	  BOSH module optimization and clean-up (thanks to Aleksey Shchepin
	  and Mickaël Rémond)(EJAB-936)

	* doc/release_notes_2.1.0.txt:
	  Include in release notes Zlib+STARTTLS support

	* doc/guide.html, doc/guide.tex, src/ejabberd_c2s.erl,
	  src/ejabberd_zlib/ejabberd_zlib.erl,
	  src/web/ejabberd_web_admin.erl:
	  Support zlib compression after STARTTLS (thanks to Aleksey
	  Shchepin)(EJAB-499)

	* doc/release_notes_2.1.0.txt:
	  Remove the word "END" of release_notes file because it seems
	  unnecessary.

	* src/mod_pubsub/nodetree_tree_odbc.erl:
	  Fix Edoc errors

	* doc/guide.html, doc/guide.tex, doc/release_notes_2.1.0.txt,
	  src/ejabberdctl.template, src/win32/ejabberd.nsi,
	  tools/ejabberdctl:
	  Rename erlang log file sasl.log to erlang.log (EJAB-783)

2009-08-29  badlop

	* src/msgs/ca.po, src/msgs/cs.po, src/msgs/de.po,
	  src/msgs/ejabberd.pot, src/msgs/eo.msg, src/msgs/es.po,
	  src/msgs/fr.po, src/msgs/gl.po, src/msgs/it.po, src/msgs/ja.po,
	  src/msgs/nl.po, src/msgs/no.po, src/msgs/pl.po,
	  src/msgs/pt-br.po, src/msgs/pt.po, src/msgs/ru.po,
	  src/msgs/sk.po, src/msgs/sv.po, src/msgs/th.po, src/msgs/tr.po,
	  src/msgs/uk.po, src/msgs/vi.po, src/msgs/wa.po, src/msgs/zh.po:
	  Update translation files

	* src/msgs/eo.po:
	  Update Esperanto translation (thanks to Andreas van Cranenburgh)

2009-08-28  cromain

	* src/mod_pubsub/mod_pubsub_odbc.erl:
	  apply last patch to pubsub_odbc as well

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/node_pep.erl:
	  secure calls to ets:lookup

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/pubsub_odbc.patch:
	  fix send last item issue

2009-08-27  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/pubsub_odbc.patch:
	  delete node fix

	* src/odbc/ejabberd_odbc.erl:
	  remove INFO_MSG call inside sql_query_internal

	* src/mod_pubsub/mod_pubsub_odbc.erl:
	  reapply previous RSM filtering fix drop by mistake

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch,
	  src/mod_pubsub/pubsub_subscription_odbc.erl:
	  get odbc subscriptions bugfix

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_flat_odbc.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/nodetree_tree.erl,
	  src/mod_pubsub/nodetree_tree_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch,
	  src/mod_pubsub/pubsub_subscription_odbc.erl:
	  several improvements, and fix odbc subscriptions issues

2009-08-27  badlop

	* src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  Fix EDoc comment

2009-08-27  cromain

	* src/mod_pubsub/node_pep_odbc.erl:
	  fix pep not fetching subscriptions

	* src/mod_pubsub/mod_pubsub_odbc.erl:
	  typo fix

	* src/mod_pubsub/mod_pubsub_odbc.erl:
	  fix issue with RSM filtering

	* src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_flat_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  fix old api in node_flat_odbc

	* src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_hometree_odbc.erl:
	  port commit from r2527 to odbc plugin

2009-08-26  ekhramtsov

	* src/mod_muc/mod_muc.erl:
	  check if a room is not persistent before starting a new one with
	  the same name (EJAB-1026)

2009-08-25  cromain

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  resolve EJAB-1025, send notification when owner changed entity
	  subscription

2009-08-25  badlop

	* doc/release_notes_2.1.0.txt, src/ejabberd_admin.erl:
	  Add command to update PubSub table of ejabberd trunk SVN.
	  
	  If you use ejabberd trunk SVN, run this command: ejabberdctl
	  rename_default_nodeplugin

2009-08-25  cromain

	* src/jlib.hrl, src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl:
	  apply badlop's patch from http://www.ejabberd.im/node/3629

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  added function to rename old default nodes to hometree

2009-08-24  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_hometree.erl:
	  fix manage subscriptions owner's usecase

2009-08-24  badlop

	* doc/guide.html, doc/guide.tex, src/ejabberd.erl,
	  src/ejabberd_app.erl, src/ejabberdctl.cfg.example,
	  src/ejabberdctl.template:
	  Write PID file, path is configurable in ejabberdctl.cfg
	  (EJAB-1023)

	* doc/guide.html, doc/guide.tex:
	  Document that the admin can install ejabberd.init script
	  (EJAB-755)

	* src/Makefile.in, src/ejabberd.init.template:
	  Prepare ejabberd.init when installing ejabberd.

	* src/ejabberd.init.template, src/ejabberdctl.template:
	  Added preliminary template file for ejabberd.init (thanks to
	  Christophe Romain)

2009-08-23  badlop

	* src/msgs/ja.msg, src/msgs/ja.po:
	  Update Japanese translation (thanks to Tsukasa Hamano)

2009-08-21  cromain

	* src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch:
	  update pubsub_odbc.patch

2009-08-21  badlop

	* src/mod_pubsub/pubsub_db_odbc.erl:
	  Comment -spec lines to compile with ancient Erlang/OTP versions.

	* src/ejabberd_piefxis.erl:
	  Modify exmpp header lines to compile with ancient Erlang/OTP
	  versions.

2009-08-21  ekhramtsov

	* src/stun/ejabberd_stun.erl:
	  do not include MAPPED-ADDRESS in new style responses since it is
	  not required by the RFC

2009-08-20  badlop

	* doc/guide.html, doc/guide.tex:
	  Show example config to disable account create/delete, and allow
	  password change.

	* src/msgs/cs.msg, src/msgs/cs.po:
	  Update Czech translation (thanks to Lukáš Polívka)

2009-08-20  cromain

	* src/mod_pubsub/mod_pubsub.erl:
	  add missing index while migrating old pubsub database

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/pubsub_subscription.erl:
	  fixing pubsub_subscription issue when changed transaction to
	  sync_dirty

2009-08-19  badlop

	* src/msgs/ca.msg, src/msgs/ca.po, src/msgs/cs.msg, src/msgs/cs.po,
	  src/msgs/de.msg, src/msgs/ejabberd.pot, src/msgs/eo.msg,
	  src/msgs/eo.po, src/msgs/es.po, src/msgs/fr.msg, src/msgs/fr.po,
	  src/msgs/gl.msg, src/msgs/gl.po, src/msgs/it.msg,
	  src/msgs/ja.msg, src/msgs/ja.po, src/msgs/nl.msg,
	  src/msgs/no.msg, src/msgs/pl.msg, src/msgs/pt-br.msg,
	  src/msgs/pt-br.po, src/msgs/pt.msg, src/msgs/pt.po,
	  src/msgs/ru.msg, src/msgs/ru.po, src/msgs/sk.msg, src/msgs/sk.po,
	  src/msgs/sv.msg, src/msgs/sv.po, src/msgs/th.msg, src/msgs/th.po,
	  src/msgs/tr.msg, src/msgs/tr.po, src/msgs/uk.msg, src/msgs/uk.po,
	  src/msgs/vi.msg, src/msgs/vi.po, src/msgs/wa.msg, src/msgs/wa.po,
	  src/msgs/zh.msg, src/msgs/zh.po:
	  Updated translation files.

	* src/msgs/pl.po:
	  Update Polish translation (thanks to Zbyszek Żółkiewski)

	* doc/guide.html, doc/guide.tex:
	  Explain how client can specify Pubsub plugin when creating node
	  (thanks to Christophe Romain)

	* doc/guide.html, doc/guide.tex:
	  Update Pubsub's nodetree documentation (thanks to Christophe
	  Romain)

	* src/msgs/no.po:
	  Update Norwegian translation (thanks to Stian B. Barmen)

	* src/msgs/it.po:
	  Update Italian translation (thanks to Gabriele Stilli)

2009-08-18  badlop

	* src/msgs/nl.po:
	  Update Dutch translation (thanks to Andreas van Cranenburgh)

	* doc/guide.html:
	  Recompile guide.html

2009-08-18  cromain

	* doc/guide.tex:
	  added mod_pubsub_odbc documentation

2009-08-17  cromain

	* src/ejabberd.cfg.example:
	  allow hometree pubsub plugin usage in default config, flat being
	  default plugin anyway

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/nodetree_tree.erl,
	  src/mod_pubsub/nodetree_tree_odbc.erl,
	  src/mod_pubsub/pubsub_subscription.erl,
	  src/mod_pubsub/pubsub_subscription_odbc.erl:
	  fix create_node and subscribe_node glitches from last merge

2009-08-17  badlop

	* src/ejabberd_auth.erl, src/ejabberd_commands.erl,
	  src/ejabberd_ctl.erl, src/ejabberd_piefxis.erl,
	  src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/nodetree_tree.erl,
	  src/mod_pubsub/nodetree_tree_odbc.erl,
	  src/mod_pubsub/nodetree_virtual.erl, src/mod_pubsub/pubsub.hrl,
	  src/mod_pubsub/pubsub_subscription_odbc.erl,
	  src/web/mod_http_fileserver.erl:
	  Fix EDoc errors.

	* src/msgs/de.po:
	  Update German translation (thanks to Nikolaus Polak)

2009-08-15  badlop

	* src/mod_muc/mod_muc_log.erl:
	  Display room service messages in distintive blue colour.

	* src/ejabberd_s2s_in.erl:
	  Update Ingoing s2s connections inner state to hold domain name
	  (thanks to Juan Pablo Carlino)(EJAB-972)

	* src/mod_muc/mod_muc_room.erl:
	  Don't allow room config to enable password protection with empty
	  password (EJAB-1011)

	* src/mod_muc/mod_muc_room.erl:
	  If room config violates service policy, return not-acceptable
	  instead of bad-request.

	* src/msgs/uk.po:
	  Update Ukraininan translation (thanks to Ruslan Rakhmanin)

2009-08-15  ekhramtsov

	* src/mod_proxy65/mod_proxy65_service.erl:
	  fixes disco#info

2009-08-14  badlop

	* src/msgs/gl.po:
	  Update Galician translation (thanks to Carlos E. Lopez)

	* src/msgs/sk.po:
	  Update Slovak translation (thanks to Marek Bečka)

2009-08-13  badlop

	* src/msgs/pt-br.po:
	  Updated Portuguese-Brazil translation (thanks to Otávio
	  Fernandes)

	* src/msgs/zh.po:
	  Update Chinese translation (thanks to Shelley Shyan and Zhan
	  Caibao)

2009-08-13  ekhramtsov

	* src/ejabberd_local.erl:
	  removed unnecessary gen_server call

2009-08-12  badlop

	* src/msgs/tr.po:
	  Updated Turkish translation (thanks to Doruk Fisek)

2009-08-12  ekhramtsov

	* src/msgs/ru.po:
	  fixes fuzzy strings in Russian translation

2009-08-12  badlop

	* doc/dev.html, doc/features.html, doc/guide.html, doc/guide.tex:
	  Describe the options syntax, not only the name (EJAB-998)

	* src/msgs/fr.po:
	  Update French translation (thanks to Nicolas Vérité)

	* src/mod_irc/mod_irc.erl:
	  Fix port in IRC register form.

2009-08-12  ekhramtsov

	* src/msgs/ru.po:
	  updated Russian translation

2009-08-12  badlop

	* src/msgs/es.msg, src/msgs/es.po:
	  Update Spanish translation

	* src/msgs/ca.po, src/msgs/cs.po, src/msgs/de.po,
	  src/msgs/ejabberd.pot, src/msgs/eo.po, src/msgs/fr.po,
	  src/msgs/gl.po, src/msgs/it.po, src/msgs/ja.po, src/msgs/nl.po,
	  src/msgs/no.po, src/msgs/pl.po, src/msgs/pt-br.po,
	  src/msgs/pt.po, src/msgs/ru.po, src/msgs/sk.po, src/msgs/sv.po,
	  src/msgs/th.po, src/msgs/tr.po, src/msgs/uk.po, src/msgs/vi.po,
	  src/msgs/wa.po, src/msgs/zh.po:
	  Update translation files again.

	* src/web/ejabberd_web_admin.erl:
	  Fix english strings

	* src/msgs/ca.po, src/msgs/cs.po, src/msgs/de.po,
	  src/msgs/ejabberd.pot, src/msgs/eo.po, src/msgs/es.po,
	  src/msgs/fr.po, src/msgs/gl.po, src/msgs/it.po, src/msgs/ja.po,
	  src/msgs/nl.po, src/msgs/no.po, src/msgs/pl.po,
	  src/msgs/pt-br.po, src/msgs/pt.po, src/msgs/ru.po,
	  src/msgs/sk.po, src/msgs/sv.po, src/msgs/th.po, src/msgs/tr.po,
	  src/msgs/uk.po, src/msgs/vi.po, src/msgs/wa.po, src/msgs/zh.po:
	  Update translation files

2009-08-11  badlop

	* src/web/ejabberd_web_admin.erl:
	  Add support in WebAdmin for the new listener network protocol

	* src/Makefile.in, src/configure, src/configure.ac:
	  Add stun directory to compilation process

	* doc/guide.html, doc/guide.tex, doc/introduction.tex:
	  Update URLs of IETF and XMPP protocol documents

	* doc/guide.html, doc/guide.tex, doc/release_notes_2.1.0.txt,
	  src/ejabberd.cfg.example:
	  More documentation for STUN server.
	  
	  * Add stun listener to example config file, disabled. * Improve
	  enumeration of listeners options * Mention STUN in release notes
	  * Mention new STUN listener in release notes * Mention new
	  network protocol syntax in release notes

2009-08-11  ekhramtsov

	* doc/guide.html, doc/guide.tex:
	  STUN support is now documented

	* src/ejabberd_config.erl, src/ejabberd_listener.erl:
	  it is now possible to start TCP/UDP on the same port

2009-08-10  ekhramtsov

	* src/stun/ejabberd_stun.erl:
	  do not forget to close TLS socket

2009-08-09  ekhramtsov

	* src/ejabberd_listener.erl, src/ejabberd_sup.erl, src/stun,
	  src/stun/Makefile.in, src/stun/Makefile.win32,
	  src/stun/ejabberd_stun.erl, src/stun/stun.hrl,
	  src/stun/stun_codec.erl:
	  RFC5389 (STUN) support: stand-alone server, binding usage only

2009-08-07  badlop

	* src/ejabberd_admin.erl:
	  Add ejabberd command to get the current loglevel (EJAB-1004)

	* src/mod_irc/mod_irc.erl, src/mod_irc/mod_irc_connection.erl:
	  Added port and password connection parameters (thanks to Anton
	  Podavalov)(EJAB-339)

	* doc/release_notes_2.1.0.txt:
	  Added preliminary Release Notes for ejabberd 2.1.0

2009-08-07  cromain

	* src/mod_pubsub/mod_pubsub.erl,
	  src/mod_pubsub/mod_pubsub_odbc.erl:
	  do not create hometree node by default

	* src/mod_pubsub/Makefile.win32:
	  add new pubsub modules in win32 Makefile

2009-08-07  badlop

	* src/mod_pubsub/Makefile.in, src/mod_pubsub/Makefile.win32:
	  mod_pubsub_odbc.erl is autogenerated by applying a patch to
	  mod_pubsub.erl

	* README, doc/guide.html, doc/guide.tex:
	  To use import/export XEP-0227 feature, exmpp 0.9.1 or higher is
	  required.

	* doc/guide.html, doc/guide.tex:
	  ejabberdctl commands use _ instead of -. For backwards
	  compatibility - is still supported.

	* doc/guide.html, doc/guide.tex, src/ejabberd_admin.erl,
	  src/ejabberd_piefxis.erl, src/web/ejabberd_web_admin.erl:
	  Add support for XEP-227 import/export, requires exmpp to use it
	  (EJAB-993)

2009-08-07  cromain

	* src/odbc/mysql.sql, src/odbc/pg.sql:
	  typo fix on subscriptions

	* src/mod_pubsub/Makefile.in, src/mod_pubsub/mod_pubsub_odbc.erl,
	  src/mod_pubsub/node_flat_odbc.erl,
	  src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_hometree_odbc.erl,
	  src/mod_pubsub/node_pep_odbc.erl,
	  src/mod_pubsub/nodetree_tree.erl,
	  src/mod_pubsub/nodetree_tree_odbc.erl,
	  src/mod_pubsub/pubsub_db_odbc.erl,
	  src/mod_pubsub/pubsub_odbc.patch,
	  src/mod_pubsub/pubsub_subscription.erl,
	  src/mod_pubsub/pubsub_subscription_odbc.erl, src/odbc/mysql.sql,
	  src/odbc/pg.sql:
	  initial merge of pubsub odbc, compilation pass ok

2009-08-06  badlop

	* doc/guide.html, doc/guide.tex:
	  Document options for Roster Versioning (EJAB-964)

	* src/ejabberd_c2s.erl, src/mod_roster.erl,
	  src/mod_roster_odbc.erl, src/roster_versioning.erl:
	  Move functions from roster_versioning to mod_roster (EJAB-964)

2009-08-06  ppolvorin

	* src/ejabberd_c2s.erl, src/jlib.hrl, src/mod_roster.erl,
	  src/mod_roster.hrl, src/mod_roster_odbc.erl,
	  src/odbc/mssql2000.sql, src/odbc/mysql.sql,
	  src/odbc/odbc_queries.erl, src/odbc/pg.sql,
	  src/roster_versioning.erl:
	  Support for roster versioning (EJAB-964)
	  
	  Introduces two options for mod_roster and mod_roster_odbc: -
	  {versioning, true | false} Enable or disable roster versioning on
	  ejabberd. - {store_current_id, true | false} If true, the current
	  roster version is stored on DB (internal or odbc). Otherwise it
	  is calculated on the fly each time.
	  
	  Performance: Setting store_current_id to true should help in
	  reducing the load for both ejabberd and the DB.
	  
	  Details: If store_current_id is false, the roster version is a
	  hash of the entire roster. If store_current_id is true, the
	  roster version is a hash, but of the current time (this has to do
	  with transactional semantics; we need to perform both the roster
	  update and the version update on the same transaction, but we
	  don't have the entire roster when we are changing a single item
	  on DB. Loading it there requires significant changes to be
	  introduced, so I opted for this simpler approach).
	  
	  In either case, there is no difference for the clients, the
	  roster version ID is opaque.
	  
	  IMPORTANT: mod_shared_roster is not compatible with the option
	  'store_current_id'. Shared roster and roster versioning can be
	  both enabled, but store_current_id MUST be set to false.

2009-08-06  jsautret

	* src/odbc/ejabberd_odbc.erl, src/odbc/ejabberd_odbc_sup.erl:
	  * src/odbc/ejabberd_odbc_sup.erl: make requests return a timeout
	  if connections to the database cannot be established (EJABS-990).
	  * src/odbc/ejabberd_odbc.erl: cosmetic changes.

	* src/ejabberd_loglevel.erl:
	  * src/ejabberd_loglevel.erl: add get/0 API function that returns
	  current log level (EJAB-1004).

	* src/odbc/ejabberd_odbc.erl:
	  * src/odbc/ejabberd_odbc.erl: fix keepalive query, broken by
	  r2092.

2009-08-06  cromain

	* tools/ejabberdctl:
	  cosmetic change

2009-08-06  jsautret

	* tools/ejabberdctl:
	  * tools/ejabberdctl: fix shell function syntax (EJAB-1003). *
	  tools/ejabberdctl: use a variable for Erlang shell.

2009-08-03  badlop

	* doc/guide.html, doc/guide.tex, src/ejabberd_s2s_out.erl:
	  Document the new option s2s_dns_options, expressed in seconds
	  (EJAB-994)

2009-07-31  cromain

	* src/mod_pubsub/mod_pubsub.erl:
	  fix is_last_item_cache_enabled issue with PEP, and fix
	  indentation

2009-07-31  ekhramtsov

	* src/mod_vcard_ldap.erl:
	  fixes incorrect substitution of an LDAP pattern

2009-07-30  cromain

	* src/mod_pubsub/nodetree_tree.erl:
	  deny node creation if node owner is not owner of parent node as
	  well

	* src/mod_pubsub/mod_pubsub.erl:
	  typo fix

	* src/mod_pubsub/mod_pubsub.erl:
	  do not store item when persist_item false but
	  send_last_published_item and last_item_cache enabled

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_hometree.erl:
	  fix configuration result (EJAB-995)

2009-07-30  ekhramtsov

	* src/ejabberd_captcha.erl:
	  do not crash on unmatched request

2009-07-30  gcant

	* src/ejabberd_config.erl, src/ejabberd_s2s_out.erl:
	  EJAB-994: Implements DNS timeouts and retries.

2009-07-30  badlop

	* doc/guide.html, doc/guide.tex, src/ejabberd.cfg.example,
	  src/mod_ping.erl:
	  Document mod_ping in the ejabberd Guide (EJAB-974)(EJAB-173)

2009-07-30  ekhramtsov

	* src/ejabberd_c2s.erl, src/mod_ping.erl:
	  implemented timeout_action: none | kill. default is none

	* src/ejabberd_local.erl, src/mod_ping.erl:
	  XMPP Ping support (thanks to Brian Cully)

2009-07-29  ekhramtsov

	* src/treap.erl:
	  update existing key instead of dropping an error

2009-07-28  gcant

	* src/odbc/ejabberd_odbc.erl:
	  EJAB-940: Implements reliable ODBC transaction nesting.

2009-07-27  badlop

	* src/mod_muc/mod_muc.erl:
	  Fix error when nick registration stanza doesn't contain Value.

2009-07-25  cromain

	* src/mod_pubsub/node_hometree.erl:
	  fix subscribers publish_model

2009-07-24  cromain

	* src/mod_pubsub/mod_pubsub.erl:
	  fix get node configuration bug (Thanks to Brian Cully)

2009-07-23  badlop

	* src/ejabberd_admin.erl:
	  New command to dump a table to text file.

	* src/web/ejabberd_web_admin.erl:
	  Add support to delete content and delete table.

	* src/web/ejabberd_http.erl:
	  Log an error if HTTP request does not include Host header
	  (EJAB-966)

2009-07-22  ekhramtsov

	* src/treap.erl:
	  delete/2 now does not crash when there is nothing to delete.
	  fold/1 added

2009-07-21  cromain

	* src/mod_caps.erl:
	  caps storage indexed on case insensitive jid

2009-07-21  mremond

	* src/ejabberd.cfg.example:
	  Fix typo from EJAB-988

2009-07-21  badlop

	* src/mod_muc/mod_muc_log.erl, src/mod_muc/mod_muc_room.erl:
	  HTML room logs: fix formatting of spaces; log config when
	  disabling logging; display occupants (EJAB-986)

	* doc/guide.html, doc/guide.tex, src/web/mod_http_fileserver.erl:
	  Allow content types to be configured in ejabberd.cfg
	  (EJAB-975)(thanks to Brian Cully)

2009-07-20  cromain

	* src/mod_pubsub/mod_pubsub.erl:
	  fix get_entity_subscriptions result match

2009-07-20  badlop

	* src/web/ejabberd_http_bind.erl:
	  moved some log reports from error to debug level (thanks to
	  Evgeniy Khramtsov)

2009-07-20  cromain

	* src/jlib.hrl, src/mod_pubsub/gen_pubsub_node.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node.template,
	  src/mod_pubsub/node_buddy.erl, src/mod_pubsub/node_club.erl,
	  src/mod_pubsub/node_dag.erl, src/mod_pubsub/node_dispatch.erl,
	  src/mod_pubsub/node_flat.erl, src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_mb.erl, src/mod_pubsub/node_pep.erl,
	  src/mod_pubsub/node_private.erl, src/mod_pubsub/node_public.erl:
	  Implement pubsub#get-pending Ad Hoc Command (EJAB-955) (thanks to
	  Brian Cully)

2009-07-17  badlop

	* src/web/ejabberd_http.erl:
	  Revert workaround of EJAB-611 because it seems no longer required
	  (EJAB-709)

	* doc/guide.html, doc/guide.tex, src/jlib.hrl, src/mod_disco.erl,
	  src/mod_irc/mod_irc.erl, src/mod_muc/mod_muc.erl,
	  src/mod_proxy65/mod_proxy65_service.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_vcard.erl,
	  src/mod_vcard_ldap.erl, src/mod_vcard_odbc.erl:
	  Support XEP-0157: Contact Addresses for XMPP Services (EJAB-235)

2009-07-17  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_hometree.erl:
	  Fix updating pending subscriptions (EJAB-980)

2009-07-17  badlop

	* src/ejabberd_auth_internal.erl, src/ejabberd_sm.erl:
	  Store account number in internal auth of (EJAB-981)(thanks to
	  Juan Pablo Carlino)

2009-07-17  cromain

	* src/mod_pubsub/gen_pubsub_node.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node.template,
	  src/mod_pubsub/node_buddy.erl, src/mod_pubsub/node_club.erl,
	  src/mod_pubsub/node_dag.erl, src/mod_pubsub/node_dispatch.erl,
	  src/mod_pubsub/node_flat.erl, src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_mb.erl, src/mod_pubsub/node_pep.erl,
	  src/mod_pubsub/node_private.erl, src/mod_pubsub/node_public.erl:
	  Fix set-subscriptions to work with multi-subscribe (EJAB-977)

2009-07-16  badlop

	* src/ejabberd_commands.erl:
	  If a command is already defined: log as Debug, not as Warning.

2009-07-13  badlop

	* src/msgs/gl.po:
	  Update Galician translation (thanks to Carlos E. Lopez)

2009-07-08  cromain

	* src/mod_pubsub/node_hometree.erl:
	  prevent creating badxml when pubsub_state is not accessible

2009-07-07  badlop

	* src/Makefile.in:
	  If directory /sbin is created, set permissions 755, not 750.

2009-07-06  badlop

	* src/ejabberdctl.template:
	  Temporary debug and ctl nodes must get nodename similar to
	  destination.

	* doc/guide.tex, src/ejabberdctl.template, tools/ejabberdctl:
	  Add -hidden flag when calling Debug or Ctl

2009-07-06  cromain

	* src/mod_pubsub/nodetree_dag.erl:
	  XEP-0248 bugfix (EJAB-963) (Thanks to Brian Cully)

2009-07-02  cromain

	* src/mod_pubsub/nodetree_virtual.erl:
	  make virtual nodes having default options

2009-06-30  badlop

	* src/jlib.hrl, src/mod_offline.erl, src/mod_offline_odbc.erl:
	  Support XEP-0085 Chat State Notifications (EJAB-961)

	* src/ejabberd_c2s.erl, src/mod_muc/mod_muc_room.erl, src/xml.erl:
	  Include original timestamp on delayed presences (thanks to
	  Mickael Remond)(EJAB-234)

	* doc/guide.html, doc/guide.tex, src/ejd2odbc.erl, src/jlib.erl,
	  src/jlib.hrl, src/mod_muc/mod_muc_room.erl, src/mod_offline.erl,
	  src/mod_offline_odbc.erl, src/mod_time.erl:
	  Add XEP82 Date Time, update XEP202 Entity Time and XEP203 Delayed
	  Delivery (EJAB-234)

	* src/mod_offline.erl, src/mod_offline_odbc.erl:
	  Add announcement of offline feature to service discovery
	  (EJAB-234)

2009-06-29  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_dag.erl,
	  src/mod_pubsub/nodetree_dag.erl,
	  src/mod_pubsub/nodetree_virtual.erl:
	  minor bugfixes on dag nodes

2009-06-25  badlop

	* src/ejabberd_loglevel.erl:
	  Don't use lists:keyfind/3 bcause it was introduced only in recent
	  R13A.

	* doc/guide.html, doc/guide.tex:
	  Improve explanation about SSL for port 5223 and its option 'tls'.

	* doc/guide.html, doc/guide.tex:
	  Add note about PAM configuration for pam_winbind (thanks to Jon
	  Bendtsen)

2009-06-23  badlop

	* src/web/ejabberd_web_admin.erl:
	  Improvements in the WebAdmin browsing menus.

	* src/web/ejabberd_web_admin.erl:
	  Add Vim folding

	* src/mod_irc/mod_irc.erl:
	  Change some translatable strings.

2009-06-22  badlop

	* src/web/ejabberd_web_admin.erl:
	  Detect auth errors and report in log file. Support auth when
	  domain not provided.

2009-06-17  badlop

	* README:
	  Add forgotten optional requirement: Imagemagick's Convert.

2009-06-16  badlop

	* contrib/ejabberd-modules.repo, doc/Makefile, doc/guide.html,
	  doc/guide.tex, src/ejabberd.cfg.example:
	  Add permanent section about HTTP Bind module to the Guide.
	  Example config.

	* tools/jhbtest.pl:
	  Add unit test script for http-bind service (thanks to Stefan
	  Strigler)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Add forgotten copyright and license notices.

	* src/web/ejabberd_http_bind.erl:
	  Easier debugging (EJAB-936)(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Code clean-up (EJAB-936)(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Started code clean-up (EJAB-936)(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Replaced sha1 to hexadecimal transformation with sha:sha/1 call
	  (thanks to Alexey Shchepin)

	* src/web/ejabberd_http_bind.erl:
	  Replace TYPE/1 with is_TYPE/1 (EJAB-922)

	* src/web/ejabberd_http_bind.erl:
	  Simplified code.(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Properly warn user and admin when mod_http_bind is not
	  started.(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Do not clear input when dispatching a get when we have nothing to
	  output. (thanks to Geoff Cant)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Changed the place where database is created(thanks to Michael
	  Remond)

	* src/web/ejabberd_http_bind.erl:
	  Fix remote-stream-error stanzas

	* src/web/ejabberd_http_bind.erl:
	  New option max_inactivity to configure maximum inactivity period
	  (EJAB-512)

	* src/web/mod_http_bind.erl:
	  Fix warning of unused Host variable

	* src/web/ejabberd_http_bind.erl:
	  Include condition in http-bind terminate body when service stops
	  (EJAB-792)

	* src/web/ejabberd_http_bind.erl:
	  Fix unknown rid error (thanks to Jerome Sautret)

	* src/web/ejabberd_http_bind.erl:
	  Implement packets reordering to avoid race conditions
	  (EJAB-724).(thanks to Michael Remond)

	* src/web/ejabberd_http_bind.erl:
	  Updated IP retrieving (thanks to Alexey Shchepin)

	* src/web/ejabberd_http_bind.erl:
	  Improve ip fetching patch (thanks to Christohpe Romain)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Retrieve correct IP from http connection (thanks to Christohpe
	  Romain)

	* src/web/mod_http_bind.erl:
	  Fix syntax error. (thanks to Jerome Sautret)

	* src/web/mod_http_bind.erl:
	  Removed HTTP bind session count. Removed the 'sponsored bind
	  session' text. (thanks to Michael Remond)
	  
	  Details: Removed the HTTP bind session count because it leaks
	  information on the size of the platform. Removed the text
	  'sponsored by Mabber' because it is confusing, as people could
	  think a third-party service using HTTP bind is sponsored by
	  Mabber.

	* src/web/mod_http_bind.erl:
	  Do not display error message when starting several hosts
	  (EJAB-571) (thanks to Christohpe Romain)

	* src/web/mod_http_bind.erl:
	  Provide explanation in error message when module is already
	  started for another vhost

	* src/web/ejabberd_http_bind.erl:
	  Removed small warning

	* src/web/ejabberd_http_bind.erl:
	  Bugfixes (thanks to Alexey Shchepin)

	* src/web/ejabberd_http_bind.erl:
	  Removed receive_loop (thanks to Alexey Shchepin)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Remove Erlang module attribute 'vsn' because it does not provide
	  any worth feature, and it difficults hot code update (EJAB-440)

	* src/web/ejabberd_http_bind.erl:
	  Bugfix when table does not exist (thanks to Justin Kirby)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Migration code for people using previous version of the HTTP
	  binding module (EJAB-390)

	* src/web/ejabberd_http_bind.erl:
	  Do not overwrite the stanza namespace (thanks to Anastasia
	  Gornostaeva)

	* src/web/ejabberd_http_bind.erl:
	  Support for c2s ACL access, max_stanza and shaper on http_poll
	  connections (EJAB-243, EJAB-415, EJAB-416)(thanks to Michael
	  Remond)

	* src/web/ejabberd_http_bind.erl:
	  The Erlang/OTP function httpd_util:to_lower/1 is deprecated, and
	  it is recommended to use string:to_lower/1 instead.

	* src/web/ejabberd_http_bind.erl:
	  Use DEBUG instead of INFO_MSG to keep log files small. Fix parse
	  errors for grepping 'stream:error' (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Forgot keyword 'catch' when doing list_to_float on bosh version
	  attribute for initial request (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Fixes for pausing sessions; did not parse 'pause' attribute to
	  int (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Support pausing sessions (thanks to Stefan Strigler) (thanks to
	  Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Comment-header: talk about xmpp over bosh rather than http
	  binding (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Removed debugging stuff. Removed error condition (thanks to
	  Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Code cleanup. Code reorganization. Store version of bosh session.
	  Use bosh version for error conditions (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Store version as float (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Save bosh version with session (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Code rearranged (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Make use of macros for namespaces. Some code cleanup. (thanks to
	  Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Fix for 'terminate' in request, send empty body instead of error
	  (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Disabled debugging (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Some code cleanup (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Bosh compliance: honor xmpp:version (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Restore ejabberd directory structure (src/web) for integration as
	  patch (thanks to Christohpe Romain)

	* src/web/ejabberd_http_bind.erl:
	  We do not send a 'version' attribute at the stream header for now
	  (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Prepare_response: fixed a dbg message. Changed http header
	  (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Implements sockname and peername for compatibility (thanks to
	  Christohpe Romain)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Reverted to r76 as 97 is completely broken and should not have
	  been checked in at all (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Minor changes (thanks to Stefan Strigler)

	* src/web/mod_http_bind.erl:
	  Disabled debug (thanks to Stefan Strigler)

	* src/web/mod_http_bind.erl:
	  Deal with return values from starting/terminating supervisor
	  (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Disabled debug (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Removed my own supervisor (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl:
	  Renamed some vars for (thanks to Stefan Strigler)

	* src/web/mod_http_bind.erl:
	  Start supervisor here (thanks to Stefan Strigler)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Make use of new api for plugable http based services (thanks to
	  Stefan Strigler)

	* src/web/ejabberd_http_bind.erl, src/web/mod_http_bind.erl:
	  Initial commit of HTTP-Bind source code (thanks to Stefan
	  Striegler)

	* doc/Makefile, doc/guide.html, doc/guide.tex,
	  src/ejabberd.cfg.example:
	  Add permanent section about mod_http_fileserver to the Guide.
	  Example config.

	* src/web/mod_http_fileserver.erl:
	  Add forgotten copyright and license notices.

	* src/web/mod_http_fileserver.erl:
	  New option directory_indices, and improve logging (thanks to
	  Brian Cully)(EJAB-932)

	* src/web/mod_http_fileserver.erl:
	  Fix capitalization of HTTP headers (thanks to Brian
	  Cully)(EJAB-892)

	* src/web/mod_http_fileserver.erl:
	  Converted to gen_server behaviour (EJAB-561). Use the general
	  reopen_log_hook instead of ejabberdctl command.

	* src/web/mod_http_fileserver.erl:
	  Fix ip source to comply with new ip storage into ejabberd_http
	  (thanks to Christophe Romain)

	* src/web/mod_http_fileserver.erl:
	  Use httpd_util:to_lower when not compiling with Erlang R12
	  (EJAB-628)

	* src/web/mod_http_fileserver.erl:
	  Added JavaScript content type

	* src/web/mod_http_fileserver.erl:
	  Include Last-Modified HTTP header in responses to allow caching
	  (EJAB-546) in mod_http_fileserver and mod_muc_log_http.

	* src/web/mod_http_fileserver.erl:
	  Fix error creating ETS table if enabled in several vhosts
	  (EJAB-551). Unregister the command when stopping the module.

	* src/web/mod_http_fileserver.erl:
	  Remove Erlang module attribute 'vsn' because it doesn't provide
	  any worth feature, and it difficults hot code update (EJAB-440)

	* src/web/mod_http_fileserver.erl:
	  The Erlang/OTP function httpd_util:to_lower/1 is deprecated, and
	  it's recommended to use string:to_lower/1 instead.

	* src/web/mod_http_fileserver.erl:
	  Small change in accesslog file format; fix bug when accesslog
	  conf parameter wasn't present in the conf file (thanks to Jerome
	  Sautret)

	* src/web/mod_http_fileserver.erl:
	  Added accesslog parameter to record requests log in a file
	  similar to Apache (thanks to Jerome Sautret)

	* src/web/mod_http_fileserver.erl:
	  Initial commit of mod_http_fileserver (thanks to Massimiliano
	  Mirra)

2009-06-16  mremond

	* src/ejabberd.cfg.example:
	  Fix syntax error in config file.

2009-06-15  badlop

	* doc/guide.html, doc/guide.tex, src/mod_irc/iconv_erl.c,
	  src/mod_irc/mod_irc.erl, src/mod_irc/mod_irc_connection.erl:
	  Ad-hoc commands to join IRC channel, set nickname and encoding
	  (thanks to Magnus Henoch)(EJAB-302)

	* doc/guide.html, doc/guide.tex, src/ejabberd.cfg.example,
	  src/mod_offline.erl, src/mod_offline_odbc.erl:
	  Add option to restrict max offline messages by Access and ACL
	  (EJAB-951)
	  
	  New option for mod_offline: access_max_user_messages. The old
	  option user_max_messages is no longer supported.

	* src/ejabberd_debug.erl, src/eldap/eldap.erl:
	  Replace TYPE/1 with is_TYPE/1 (EJAB-922)

2009-06-15  cromain

	* src/mod_pubsub/mod_pubsub.erl:
	  add greetings to Brian Cully for pubsub contribs

	* src/mod_pubsub/Makefile.win32,
	  src/mod_pubsub/gen_pubsub_nodetree.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node.template,
	  src/mod_pubsub/node_buddy.erl, src/mod_pubsub/node_club.erl,
	  src/mod_pubsub/node_dag.erl, src/mod_pubsub/node_dispatch.erl,
	  src/mod_pubsub/node_flat.erl, src/mod_pubsub/node_hometree.erl,
	  src/mod_pubsub/node_mb.erl, src/mod_pubsub/node_pep.erl,
	  src/mod_pubsub/node_private.erl, src/mod_pubsub/node_public.erl,
	  src/mod_pubsub/nodetree_dag.erl,
	  src/mod_pubsub/nodetree_tree.erl,
	  src/mod_pubsub/nodetree_virtual.erl, src/mod_pubsub/pubsub.hrl:
	  experimental patch including XEP-248 (thanks to Brian Cully)

2009-06-11  badlop

	* src/ejabberd_c2s.erl:
	  Prevent process crash if the IP and port of a connection is
	  unknown.

2009-06-09  badlop

	* src/ejabberd_c2s.erl:
	  When client is closed, include the Reason in the stream trailer
	  stanza.

	* src/cyrsasl_digest.erl, src/ejabberd_captcha.erl,
	  src/ejabberd_zlib/ejabberd_zlib_drv.c, src/expat_erl.c,
	  src/mod_irc/iconv_erl.c, src/odbc/mssql2000.sql, src/pam/epam.c,
	  src/stringprep/stringprep_drv.c, src/tls/tls_drv.c:
	  Add forgotten copyright and license notices. Fix blackspaces.

2009-06-09  ekhramtsov

	* src/msgs/ru.msg, src/msgs/ru.po:
	  fixes typo in Russian translation

	* src/ejabberd_captcha.erl:
	  Malformed CAPTCHA response may crash a room. This is now fixed.

2009-06-05  badlop

	* src/msgs/es.msg, src/msgs/es.po:
	  Update Spanish translation

	* src/msgs/fr.msg, src/msgs/fr.po:
	  Update French translation (thanks to Nicolas Vérité)

2009-06-03  badlop

	* src/msgs/ru.msg, src/msgs/ru.po:
	  Update Russian translation (thanks to Evgeniy Khramtsov)
	  
	  The translator improves ru.po Russian translation. Later ru.msg
	  is automatically obtained by calling: make translations

	* src/msgs/ca.msg, src/msgs/ca.po, src/msgs/cs.msg, src/msgs/cs.po,
	  src/msgs/de.msg, src/msgs/de.po, src/msgs/ejabberd.pot,
	  src/msgs/eo.msg, src/msgs/eo.po, src/msgs/es.msg, src/msgs/es.po,
	  src/msgs/fr.msg, src/msgs/fr.po, src/msgs/gl.msg, src/msgs/gl.po,
	  src/msgs/it.msg, src/msgs/it.po, src/msgs/ja.msg, src/msgs/ja.po,
	  src/msgs/nl.msg, src/msgs/nl.po, src/msgs/no.msg, src/msgs/no.po,
	  src/msgs/pl.msg, src/msgs/pl.po, src/msgs/pt-br.msg,
	  src/msgs/pt-br.po, src/msgs/pt.msg, src/msgs/pt.po,
	  src/msgs/ru.msg, src/msgs/ru.po, src/msgs/sk.msg, src/msgs/sk.po,
	  src/msgs/sv.msg, src/msgs/sv.po, src/msgs/th.msg, src/msgs/th.po,
	  src/msgs/tr.msg, src/msgs/tr.po, src/msgs/uk.msg, src/msgs/uk.po,
	  src/msgs/vi.msg, src/msgs/vi.po, src/msgs/wa.msg, src/msgs/wa.po,
	  src/msgs/zh.msg, src/msgs/zh.po:
	  Update ejabberd.pot and *.po, compile *.msg. All this by calling:
	  make translations

2009-06-03  ekhramtsov

	* src/msgs/ru.msg:
	  updated russian translation

2009-06-02  badlop

	* src/ejabberd_c2s.erl:
	  When max_stanza_size is exceeded, return meaningful error message
	  (EJAB-752)

	* src/mod_disco.erl:
	  Remove support of deprecated Disco Publish XEP-0030 (EJAB-904)

2009-06-01  badlop

	* src/ejabberd_commands.erl:
	  Fix Access check: the rule can be defined in a vhost or global.

2009-05-29  cromain

	* src/jlib.hrl, src/mod_pubsub/gen_pubsub_node.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node.template,
	  src/mod_pubsub/node_buddy.erl, src/mod_pubsub/node_club.erl,
	  src/mod_pubsub/node_dispatch.erl, src/mod_pubsub/node_flat.erl,
	  src/mod_pubsub/node_hometree.erl, src/mod_pubsub/node_mb.erl,
	  src/mod_pubsub/node_pep.erl, src/mod_pubsub/node_private.erl,
	  src/mod_pubsub/node_public.erl, src/mod_pubsub/pubsub.hrl,
	  src/mod_pubsub/pubsub_subscription.erl:
	  apply patch from EJAB-845

	* src/mod_pubsub/nodetree_virtual.erl:
	  fix nodetree virtual to allow node subscription

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/pubsub.hrl:
	  make flat the default node plugin

	* src/mod_pubsub/node_hometree.erl, src/mod_pubsub/node_pep.erl:
	  fix ets table name change

2009-05-28  cromain

	* src/mod_caps.erl:
	  remove useless debug

	* doc/guide.tex, src/ejabberd.cfg.example, src/mod_caps.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node.template,
	  src/mod_pubsub/node_buddy.erl, src/mod_pubsub/node_club.erl,
	  src/mod_pubsub/node_default.erl,
	  src/mod_pubsub/node_dispatch.erl, src/mod_pubsub/node_flat.erl,
	  src/mod_pubsub/node_hometree.erl, src/mod_pubsub/node_mb.erl,
	  src/mod_pubsub/node_pep.erl, src/mod_pubsub/node_private.erl,
	  src/mod_pubsub/node_public.erl,
	  src/mod_pubsub/nodetree_default.erl,
	  src/mod_pubsub/nodetree_tree.erl:
	  pubsub: added configuration option in guide.tex, added last item
	  cache, use default node type if given type is not configured,
	  make node_flat the default node plugin. caps: improve cache
	  handling

2009-05-27  badlop

	* src/web/ejabberd_web_admin.erl:
	  Update CSS of WebAdmin menu

	* src/ejabberd_update.erl, src/web/ejabberd_web_admin.erl:
	  Support to select what modules to update. Split large function in
	  smaller ones.

2009-05-26  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_default.erl:
	  make get_items able to sort items in publish order (EJAB-824)

	* src/mod_pubsub/gen_pubsub_nodetree.erl,
	  src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_default.erl,
	  src/mod_pubsub/node_pep.erl, src/mod_pubsub/nodetree_default.erl,
	  src/mod_pubsub/nodetree_virtual.erl:
	  improve get_entity_* to work regardless of nodetree (EJAB-937)

2009-05-26  badlop

	* src/ejabberd_captcha.erl, src/mod_muc/mod_muc_room.erl:
	  Added support for captcha feature disability (EJAB-895)
	  
	  If the option captcha_cmd is set but captcha can't be created: *
	  show critical error at server start * hide captcha option in room
	  configuration form * don't require occupants to fill captcha

	* src/ejabberd_captcha.erl, src/mod_muc/mod_muc_room.erl:
	  Add label in captcha form. Improve translatable strings in
	  captcha and muc room.

2009-05-25  badlop

	* doc/guide.html, doc/guide.tex, src/ejabberd.cfg.example,
	  src/ejabberd_auth_ldap.erl, src/eldap/eldap.erl,
	  src/eldap/eldap.hrl, src/eldap/eldap_pool.erl,
	  src/mod_vcard_ldap.erl:
	  Support LDAPS with TLS (EJAB-109)(thanks to Thomas Baden, Andy
	  Harb, Sergei Golovan, Anton Podavalov)

	* src/mod_proxy65/mod_proxy65_stream.erl:
	  Decrease proxy65 buffer sizes to 8192 bytes.
	  
	  The original size of 65535 confused clients with tight shapers
	  (thanks to Evgeniy Khramtsov)

2009-05-21  mremond

	* src/odbc/ejabberd_odbc.erl:
	  * trunk/src/odbc/ejabberd_odbc.erl: Fix typo (EJABS-859)
	  (EJAB-940) (CR-EJAB-10) *
	  branches/road-to-exmpp/src/odbc/ejabberd_odbc.erl: Likewise.

	* src/odbc/ejabberd_odbc.erl:
	  * trunk/src/odbc/ejabberd_odbc.erl: Move trace to debug loglevel
	  (EJAB-940) (EJABS-859) (CR-EJAB-10)

	* src/odbc/ejabberd_odbc.erl:
	  * trunk/src/odbc/ejabberd_odbc.erl: Support for nested
	  transaction (EJABS-859) (EJAB-940) (CR-EJAB-10)

2009-05-19  cromain

	* src/mod_pubsub/mod_pubsub.erl, src/mod_pubsub/node_default.erl,
	  src/mod_pubsub/node_pep.erl, src/mod_pubsub/nodetree_virtual.erl,
	  src/mod_pubsub/pubsub.hrl:
	  PubSub: improve get_entity_* API

2009-05-19  badlop

	* src/ejabberd_s2s.erl, src/ejabberd_s2s_in.erl,
	  src/ejabberd_s2s_out.erl:
	  Added API function to get current S2S connections with
	  information
	  
	  get_info_s2s_connections(Type) returns a list of incoming (or
	  outgoing) S2S connections with information for each one including
	  IP address, port number, TLS options... (thanks to Juan Pablo
	  Carlino)

2009-05-16  ekhramtsov

	* src/eldap/eldap.erl:
	  * src/eldap/eldap.erl: log warnings on unsuccessful LDAP bind
	  attempts. Increase timeout before the next LDAP bind attempt up
	  to five seconds if the last bind attempt was rejected by the LDAP
	  server ("soft" error). Thanks to Konstantin Khomoutov.

2009-05-15  badlop

	* doc/guide.html, doc/guide.tex:
	  Document how to convert Mnesia node name

	* src/ejabberd_admin.erl:
	  New command to convert mnesia nodename, copied from OTP and
	  Debian

	* src/ejabberdctl.cfg.example, src/ejabberdctl.template:
	  Allow to define additional Erlang options in ejabberdctl.cfg
	  (thanks to Sergei Golovan)

	* src/ejabberdctl.template:
	  The --node argument overwrites the value of ejabberdctl.cfg

	* README, doc/guide.html, doc/guide.tex:
	  Erlang/OTP R13 can be used, but its support is still experimental

2009-05-14  badlop

	* ChangeLog, src/Makefile.in:
	  No longer edit ChangeLog, will be auto generated for ejabberd
	  releases.
	  
	  Added new call 'make changelog' which generates a ChangeLog file
	  by prepending to the old file obtained from SVN the new lines
	  obtained from SVN Log and formatted with svn2cl. ChangeLog will
	  be generated and included in ejabberd releases.

2009-05-12  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix bad transaction returncode in
	unsubscribe presence handler

2009-05-11  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: Prevent race condition when calling get_caps while
	note_caps has not been handled yet (EJAB-934)
	* src/mod_pubsub/mod_pubsub.erl: Likewise

2009-05-08  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Allow to get subscriptions on a given
	node (EJAB-712); Improve XML schema validation on publish item;
	Remove subscriptions of users whose authorization has been removed on
	nodes with presence access model; Do not allow unsubscribed user to
	subscribe node with presence access model.

	* src/mod_pubsub/mod_pubsub.erl: Handle Example 90 of XEP-0060
	(EJAB-909)

2009-05-08  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_app.erl: Better support for profiling.
	* src/ejabberd.erl: Likewise
	* src/ejabberd_ctl.erl: Likewise
	* src/ejabberd_debug.erl: Likewise

2009-05-07  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: Set debug message to DEBUG (from debian patch,
	thanks to Sergei Golovan)

	* src/mod_pubsub/mod_pubsub.erl: Remove subscriptions when anonymous
	user removed (EJAB-913) (thanks to Andy Skelton)

	* src/mod_pubsub/mod_pubsub.erl: Fix disco#items bug on root node,
	and fix other minor typo from previous patch.

	* src/mod_pubsub/mod_pubsub.erl: Avoid calling get_user_resources
	on non local domain when pep_sendlast_offline is enabled

	* src/mod_pubsub/mod_pubsub.erl: Reduce send_last_item load and number
	of calls to get_caps

	* src/mod_pubsub/mod_pubsub.erl: Fix get_entity_* not returning node
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/nodetree_default.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Retract policy should obey
	pubsub#publish_model (EJAB-871) (thanks to Matthew Baron)
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_mb.erl: Likewise
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/node_flat.erl: Likewise
	* src/mod_pubsub/node.template: Likewise

2009-05-06  Badlop  <badlop@process-one.net>

	* src/ejabberd_c2s.erl: Replace TYPE/1 with is_TYPE/1 (EJAB-922)
	* src/ejabberd_logger_h.erl: 
	* src/ejabberd_s2s.erl: 
	* src/eldap/eldap.erl: 
	* src/mod_offline.erl: 
	* src/mod_offline_odbc.erl: 
	* src/mod_roster.erl: 
	* src/odbc/odbc_queries.erl: 
	* src/p1_fsm.erl: 
	* src/xml.erl: 

	* src/Makefile.in: Prevent Erlang R13B compilation warning:
	behaviour X undefined (EJAB-920)

	* src/ejabberd_loglevel.erl: Use dynamic_compile instead of
	ram_file_io_server. Support definition of loglevels with integer
	or atom. (thanks to Geoff Cant)(EJAB-919)
	* src/dynamic_compile.erl: Added erlang module that converts
	string to binary loadable code by Mats Cronqvist, Chris Newcombe,
	and Jacob Vorreuter.
	* src/ram_file_io_server.erl: Remove file not longer useful.
	* src/ejabberd.app: Likewise

2009-05-03  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Fix badarg return (EJAB-899)

2009-04-30  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: API change for major optimization
	* src/mod_pubsub/pubsub.hrl: Likewise
	* src/mod_pubsub/nodetree_default.erl: Likewise
	* src/mod_pubsub/nodetree_virtual.erl: Likewise
	* src/mod_pubsub/node_mb.erl: Likewise
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/node_flat.erl: Likewise
	* src/mod_pubsub/node.template: Likewise
	* src/mod_pubsub/gen_pubsub_node.erl: Likewise
	* src/mod_pubsub/gen_pubsub_nodetree.erl: Likewise

	* src/mod_caps.erl: Reduce memory consumption and remove mnesia table
	locking, improving performances

2009-04-28  Badlop  <badlop@process-one.net>

	* src/ejabberd_hooks.erl: Support distributed hooks (EJAB-829)

2009-04-27  Badlop  <badlop@process-one.net>

	* src/xml.erl: More verbose error reporting for
	element_to_string (thanks to Magnus Henoch)(EJAB-301)

	* src/translate.erl: Support additional files (EJAB-925)
	* contrib/extract_translations/extract_translations.erl: Likewise
	* contrib/extract_translations/prepare-translation.sh: Likewise

	* src/win32_dns.erl: Fix problem parsing some win32 dns (EJAB-927)

	* src/cyrsasl_digest.erl: Fix auth verification (EJAB-863)

	* src/jlib.erl: Fix recursive call to speedup base64
	decoding (thanks to Jeffrey Rogiers)(EJAB-333)

2009-04-24  Christophe Romain <christophe.romain@process-one.net>

	* src/odbc/ejabberd_odbc.erl: allow to run query bloc as erlang
	function without transaction

	* src/mod_pubsub/mod_pubsub.erl: do not register handlers and hooks
	while plugins and ets tables are not initialized.

2009-04-23  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: improve send last published items
	(not spawned as much) and allow to send last PEP items of our offline
	contacts if configured for (fix discussion issue on standars ML)

2009-04-22  Badlop  <badlop@process-one.net>

	* src/ejabberd.cfg.example: Fix English typos. Fix line length:
	max 80 characters per line. Remove trailing blankspaces. Added
	markers for Vim fold, you may want to add to $HOME/.vimrc this
	line: set modeline
	* src/ejabberdctl.cfg.example: Likewise

	* src/mod_muc/mod_muc.erl: Limit number of characters in Room ID,
	Name and Description (EJAB-899)
	* src/mod_muc/mod_muc_room.erl: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

	* src/cyrsasl.erl: Change API of check_password: pass a function
	to generate the digest (thanks to Graham Whitted)(EJAB-863)
	* src/cyrsasl_anonymous.erl: Likewise
	* src/cyrsasl_digest.erl: Likewise
	* src/cyrsasl_plain.erl: Likewise
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_auth_anonymous.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth_pam.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise

	* src/ejabberd_c2s.erl: Fix for SASL Anonymous connections not
	stored or purged (thanks to Andy Skelton)(EJAB-912)

	* src/mod_shared_roster.erl: Support in API to add 'all' as member
	of a group (thanks to Martin Langhoff)(EJAB-916)

	* src/ejabberd_captcha.erl: If a problem appears while obtaining
	the image, show error message (EJAB-895)

	* src/Makefile.in: Install example script captcha.sh (EJAB-895)

	* src/ejabberd.cfg.example: Add CAPTCHA options (EJAB-895)

	* doc/guide.tex: Add section to document how to setup CAPTCHA
	support (EJAB-895)
	* doc/guide.html: Likewise

2009-04-17  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document new ejabberdctl option. New section that
	documents AccessCommands. (EJAB-910)
	* doc/guide.html: Likewise

	* src/ejabberd_ctl.erl: New option to require auth in ejabberdctl
	and restrict what commands and arguments can execute (EJAB-910)
	* src/ejabberd_config.erl: Likewise

	* src/ejabberd_commands.erl: API to restrict who can execute what
	commands and arguments (EJAB-910)

2009-04-14  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Explain that the recommended Erlang/OTP version
	is R12B-5, and R13 is not supported yet.
	* doc/guide.html: Likewise
	* README: Likewise

	* src/mod_muc/mod_muc_log.erl: Linkify also xmpp:..., as it was
	done previously (thanks to Konstantin Khomoutov)(EJAB-850)

2009-04-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: Better handling of presence hook and caps clean
	(thanks to Jonathan Schleifer)(EJAB-707)
	* src/ejabberd_c2s.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Improve invalid-payload check, send
	last published item to new resource only, thread message sending.
	(from r2005 commit)

2009-04-09  Badlop  <badlop@process-one.net>

	* src/msgs/pl.po: Fix some translations (thanks to Andrzej Smyk)

2009-04-08  Badlop  <badlop@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Announce PubSub features in the
	server JID only if PEP is enabled (EJAB-905)

	* src/mod_muc/mod_muc.erl: English fixes (thanks to Glenn Sieb)
	* src/mod_muc/mod_muc_log.erl: Likewise
	* src/mod_muc/mod_muc_room.erl: Likewise
	* src/mod_register.erl: Likewise
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/ejabberd_frontend_socket.erl: Fix compilation warnings and
	add TODO comments.

	* src/mod_irc/mod_irc_connection.erl: Fix compilation warnings.

2009-04-08  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/ejabberd_captcha.erl: fixed compilation warnings.

2009-04-01  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.5.txt: Added file for new release

2009-03-30  Badlop  <badlop@process-one.net>

	* src/ejabberd_captcha.erl: Small code reorganization; export new
	functions build_captcha_html/2 and check_captcha/2

2009-03-24  Badlop  <badlop@process-one.net>

	* src/ejabberd_sm.erl: Partially retract SVN r1976
	EJAB-300 (EJAB-890). Check default privacy list when account, not
	a specific session, receives a presence subscription
	stanza (EJAB-300).
	* src/ejabberd_c2s.erl: Likewise

2009-03-20  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: implement roster acces model (thanks
	to Andy Skelton)(EJAB-780)

2009-03-19  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberdctl.template: Allow more environment variable overrides
	in ejabberdctl (thanks to Brian Cully)(EJAB-891)

2009-03-13  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/ejabberd_captcha.erl: XEP-158 (CAPTCHA Forms).
	* src/ejabberd_config.erl: likewise.
	* src/ejabberd_sup.erl: likewise.
	* src/jlib.hrl: likewise.
	* src/web/ejabberd_http.erl: likewise.
	* src/mod_muc/mod_muc_room.erl: CAPTCHA support.
	* src/mod_muc/mod_muc_room.hrl: likewise.
	* tools/captcha.sh: sample CAPTCHA script.

2009-03-10  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.4.txt: Added file for new release

	* src/tls/tls_drv.c: Fix encryption problem for ejabberd_http
	after timeout (thanks to Alexey Shchepin)(EJAB-880)

2009-03-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix PEP with other domains and s2s
	(EJAB-825). Also fixes send last published items in subscription.

	* src/mod_pubsub/node_default.erl: minor typo fix

2009-03-09  Badlop  <badlop@process-one.net>

	* src/tls/tls_drv.c: Fix to support OpenSSL older than
	0.9.8f (EJAB-877)(thanks to Jonathan Schleifer)
	* doc/guide.tex: It is again supported OpenSSL older than 0.9.8f
	* doc/guide.html: Likewise

2009-03-07  Badlop  <badlop@process-one.net>

	* src/Makefile.in: In SunOS, use different C flags (thanks to
	Thomas)(EJAB-438)
	* src/ejabberd_zlib/Makefile.in: Likewise
	* src/mod_irc/Makefile.in: Likewise
	* src/stringprep/Makefile.in: Likewise
	* src/tls/Makefile.in: Likewise

	* src/ejabberd_c2s.erl: Enforce privacy rules also for
	subscription requests (EJAB-300)
	* src/ejabberd_sm.erl: Likewise

2009-03-06  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/ejabberd_hooks.erl: anonymous functions support.

2009-03-05  Badlop  <badlop@process-one.net>

	* src/ejabberd_app.erl: In a Windows machine, explicitly add the
	nameservers, as it seems Erlang does not do itself (EJAB-860)
	* src/win32_dns.erl: Get name servers from Windows registy (thanks
	to Geoff Cant)

	* doc/guide.tex: Require OpenSSL 0.9.8f or higher (EJAB-877)
	* doc/guide.html: Likewise

2009-03-04  Badlop  <badlop@process-one.net>

	* src/ejabberd_auth.erl: If anonymous auth is enabled, when
	checking if the account already exists in other auth methods, take
	into account if the auth method failed (EJAB-882)
	* src/ejabberd_auth_anonymous.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth_pam.erl: Likewise

2009-03-04  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Allow node creation without configure
	iem

2009-03-03  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Add roster subscriptions handling
	so on_sub_and_presence if fully supported.

	* src/mod_pubsub/mod_pubsub.erl: Allow to send PEP events to all
	connected ressources, even via s2s.
	* src/mod_caps.erl: Likewise

2009-02-28  Badlop  <badlop@process-one.net>

	* src/mod_pubsub/node_default.erl: Fix that non-subscriber could
	fetch items from Authorize node (thanks to Brian Cully)(EJAB-873)

2009-02-27  Badlop  <badlop@process-one.net>

	* src/tls/tls_drv.c: S2S connection with STARTTLS fails to Gtalk
	and recent Openfire (thanks to Philipp Hancke)(EJAB-877)

2009-02-27  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/mod_proxy65/mod_proxy65_service.erl: if an 'ip' option
	is not defined, the module takes an IP address of a local hostname.

2009-02-26  Badlop  <badlop@process-one.net>

	* doc/guide.tex: No mention to the release date in ejabberd Guide
	or release notes. The date of an ejabberd release is determined by
	the date of the corresponding release announcement.

2009-02-25  Badlop  <badlop@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix incorrect implementation of
	Pubsub payload requirements (thanks to Andy Skelton)(EJAB-823)

2009-02-24  Badlop  <badlop@process-one.net>

	* src/ejabberd_listener.erl: Fix report message of 'undef' error

2009-02-23  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_c2s.erl: Do not call mod_caps:clear_caps, this previous
	optimization is too agressive and breaks PubSub/PEP standard behavior
	(EJAB-854)

2009-02-23  Alexey Shchepin  <alexey@process-one.net>

	* src/web/ejabberd_http.erl: Added a workaround for inet:peername
	returning 'ebadf'

2009-02-20  Badlop  <badlop@process-one.net>

	* src/ejabberd_listener.erl: When stopping a listener, don't stop
	the listener supervisor (EJAB-874)

2009-02-19  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix nodetree plugin resolver

2009-02-17  Badlop  <badlop@process-one.net>

	* src/ejabberd_listener.erl: More error detections

2009-02-16  Badlop  <badlop@process-one.net>

	* src/ejabberd_config.erl: Check certfiles are readable on server
	start and listener start (EJAB-753)
	* src/ejabberd_listener.erl: Likewise

	* src/mod_privacy.erl: Privacy List: deny presence-out all + send
	presence to: presence is sent (EJAB-255)
	* src/ejabberd_c2s.erl: Likewise

	* src/mod_muc/mod_muc_room.erl: Owner of a password protected room
	must provide the password, like other participants (EJAB-867)

	* src/mod_muc/mod_muc_log.erl: Prevent XSS in MUC logs by
	linkifying only a few known protocols (EJAB-850)

	* src/mod_muc/mod_muc.erl: Export function to create MUC
	room (thanks to Eric Cestari) (EJAB-729)

	* src/mod_roster.erl: When account is deleted, cancel presence
	subscription for all roster items (EJAB-790)
	* src/mod_roster_odbc.erl: Likewise

2009-02-14  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_http_poll.erl: Allow configuration of session
	timeout, using new global option http_poll_timeout (EJAB-135)
	* doc/guide.tex: Document new option
	* doc/guide.html: Likewise

	* src/ejabberd_listener.erl: Report error at startup if a listener
	module isn't available or is not an ejabberd listener (EJAB-868)

2009-02-13  Badlop  <badlop@process-one.net>

	* src/mod_shared_roster.erl: Fix bug: a pending subscription
	request, and later the requester added to the roster due to a
	shared roster group, that request could neither be accepted or
	rejected (thanks to Brian Cully)(EJAB-869)

	* src/web/ejabberd_web_admin.erl: Show big integers with comma
	separators for easy reading

	* src/ejabberd_system_monitor.erl: Allow parametrizable watchdog
	threshold: option watchdog_large_heap or chatting with the
	watchdog bot (EJAB-545)
	* src/ejabberd_config.erl: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2009-02-13  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_auth.erl: prevent from calling
	get_vh_registered_users/2 when not available

2009-02-05  Badlop  <badlop@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: The table pubsub_node in ejabberd
	older than 2.0.2 had indexes for parentid and type. This is not
	required since ejabberd 2.0.2, so those indexes can be
	deleted. (EJAB-669)

2009-02-03  Badlop  <badlop@process-one.net>

	* doc/Makefile: When cleaning, remove contributed_modules.tex.
	In Clean do not remove html. In new Distclean, remove also html.

	* src/Makefile.in: Fix arguments to Install program

2009-02-02  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Calls to the hook
	webadmin_menu_node provide the node as first argument, and calls
	to webadmin_menu_hostnode provide both the host and the node. Fix
	call to make_menu_items, because webadmin_menu_node was called in
	cases where webadmin_menu_hostnode should be called. Align to
	right some table elements.

2009-01-31  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Provide only an example of language option
	* doc/guide.html: Likewise

2009-01-30  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/eldap/eldap.erl: moves waiting for response queries to
	pending queue on an LDAP connection failure.

2009-01-27  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/eldap/eldap.erl: implemented queue for pending queries.

2009-01-27  Badlop  <badlop@process-one.net>

	* doc/guide.tex: mod_muc can run in several nodes of cluster
	* doc/guide.html: Likewise

2009-01-23  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/eldap/eldap.erl: Close a connection on tcp_error.

2009-01-23  Badlop  <badlop@process-one.net>

	* src/odbc/mysql.sql: Fix complain about comment syntax
	* src/odbc/pg.sql: Likewise

2009-01-21  Badlop  <badlop@process-one.net>

	* doc/api/process-one.css: Add some style to HTML elements

	* src/ejabberd_listener.erl: Fix EDoc errors
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/ejabberd_hooks.erl: Explanation in EDoc of some functions

2009-01-20  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Explain that account creation is only supported
	by internal and odbc authentication methods
	* doc/guide.html: Likewise

	* src/Makefile.in: The path to the installed copy of ejabberd
	Guide is set in the environment variable
	EJABBERD_DOC_PATH (EJAB-837).
	* src/web/ejabberd_web_admin.erl: Likewise
	* src/ejabberdctl.template: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

	* src/mod_privacy.erl: Only run roster_get_jid_info if privacy
	list has subscription or group (thanks to George Hazan)(EJAB-851).
	Sort items in privacy list by order before storing (EJAB-848)
	* src/mod_privacy.hrl: Likewise
	* src/mod_privacy_odbc.erl: Likewise

2009-01-17  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_c2s.erl: Added comments.

2009-01-16  Badlop  <badlop@process-one.net>

	* src/mod_privacy.erl: Privacy list items must be processed in the
	specified order (EJAB-848)
	* src/mod_privacy_odbc.erl: Likewise

2009-01-13  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.3.txt: Add release notes

2009-01-13  Mickael Remond  <mremond@process-one.net>

	* src/tls/Makefile.win32: Windows compilation support.
	* src/tls/tls_drv.c: Likewise.
	* src/tls/stdint.h: Likewise.

	* doc/guide.tex: Update Erlang version in Windows compilation
	documentation.

2009-01-13  Badlop  <badlop@process-one.net>

	* src/msgs/pl.po: Fix typo (thanks to Apag0r)(EJAB-844)

2009-01-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Use textareas for large input
	like ejabberd module options and listening port options. Show
	result of POST more clearly. Ensure access rules are shown with
	some minimum separation. Improve menu headers. (EJAB-562)
	* src/web/ejabberd_web_admin.hrl: Likewise
	* src/mod_offline.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_roster.erl: Likewise
	* src/mod_roster_odbc.erl: Likewise
	* src/mod_shared_roster.erl: Likewise

	* src/ejabberd_listener.erl: New way to configure IP address and
	IP version of listener. Support for definition of IP address in
	string format, and implicit definition of IP
	version (EJAB-388). Support for defining several listeners: all
	with same port number but different IP addresses (EJAB-389)(thanks
	to Fabrice Colliot and Sergei Golovan). Better report in WebAdmin
	of problem when starting a listener. The old configuration method
	of ip tuple and inet6 is fully supported for backwards
	compatibility, but is not documented in the Guide anymore.
	* src/ejabberd_config.erl: Likewise
	* src/mod_proxy65/mod_proxy65_stream.erl: Likewise
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise
	* src/web/ejabberd_web_admin.erl: Likewise

	* doc/guide.tex: Document the new way to configure IP address and
	IP version of listener, undocument options ip and inet6
	* doc/guide.html: Likewise

	* src/web/ejabberd_web_admin.erl: New appearance of WebAdmin logo,
	fixed logo-fill.

	* doc/guide.tex: Fix some English strings: JID -> Jabber ID;
	jabberd 1.4 -> jabberd14; commited -> committed
	* src/*/*.erl: Likewise
	* src/msgs/*.msg: Likewise
	* src/msgs/*.po: Likewise

2009-01-12  Alexey Shchepin  <alexey@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Fixed processing of UPDATE results
	with pgsql

2009-01-12  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Update copyright date 2008 to 2009 (EJAB-842)
	* doc/guide.html: Likewise
	* src/*/*.erl: Likewise
	* src/*/*.erl: Remove unneeded blankspaces in license text

2009-01-11  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix owners cache and fix unsubscribe
	permissions (thanks to Andy Skelton)(EJAB-840)
	* src/mod_pubsub/node_default.erl: Likewise

	* src/mod_pubsub/node_default.erl: prevent unauthorized entity to gain
	none-affiliation for given entity (EJAB-840)

2009-01-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/node_default.erl: fix unsubscription of full jid
	subscribed node (thanks to Andy Skelton)(EJAB-839)

2009-01-09  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Improve explanation of backup commands (EJAB-832)
	* doc/guide.html: Likewise

	* src/web/ejabberd_web_admin.erl: New appearance of WebAdmin logo,
	fixed logo-fill.

	* src/mod_configure.erl: Fix access check for vhost configuration

2009-01-08  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_listener.erl: Define send timeout option to avoid
	blocking on socket send (EJAB-746).
	* src/ejabberd_s2s_out.erl: Likewise.

2009-01-08  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: completely support subscription using
	full JID (EJAB-701)
	* src/mod_pubsub/node_default.erl: Likewise

	* src/mod_pubsub/node_default.erl: any entity can retrieve item when
	node access model is "open" (thanks to Myers Carpenter)(EJAB-836)

	* src/mod_pubsub/node.template: apply delete-any feature
	* src/mod_pubsub/node_mb.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise

2009-01-07  Badlop  <badlop@process-one.net>

	* src/mod_roster.erl: Show hyperlinks to local contacts when
	browsing roster of account in Web Admin (EJAB-480)
	* src/mod_roster_odbc.erl: Likewise

	* src/web/ejabberd_web_admin.erl: WebAdmin serves Guide and links
	to related sections; the path to guide.html can be configured with
	option doc_path (EJAB-837)
	* src/web/ejabberd_web_admin.hrl: Likewise
	* src/mod_shared_roster.erl: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2009-01-06  Badlop  <badlop@process-one.net>

	* src/msgs/ru.po: Fix typo (thanks to Dominges)
	* src/msgs/ru.msg: Likewise

2009-01-05  Alexey Shchepin  <alexey@process-one.net>

	* src/tls/tls_drv.c: Added a flag to avoid certificate validation
	* src/tls/tls.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise

2009-01-03  Badlop  <badlop@process-one.net>

	* src/*.erl: Fix EDoc comments

2009-01-03  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: deliver notification depending on
	presence-based-delivery configuration (EJAB-827). notification code
	rewrite.

	* src/mod_pubsub/mod_pubsub.erl: code cleanning, minor bugfixes
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/pubsub.hrl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: prevent subscribing with full jid,
	waiting for full jid support (EJAB-701)

	* src/mod_pubsub/mod_pubsub.erl: use of delete-any feature instead of
	delete-nodes for delete item use case (fix from erroneous definition
	in XEP-0060)

	* src/mod_pubsub/mod_pubsub.erl: Added "access-whitelist" and
	"member-affiliation" features (thanks to Andy Skelton)(EJAB-780)

2008-12-29  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_c2s.erl: Bugfix in "from" attribute checking

2008-12-29  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Print meaningful error message when
	an SQL transaction exceeds number of restarts. Also rollbacks
	this transaction to prevent deadlocks.

	* src/odbc/odbc_queries.erl: replaced string:join/2 function.
	Removed ugly "catch" statement from update_t/4.
	WARNING: this change requires last version of mysql driver.
	You can update it from ejabberd-modules repository.

2008-12-28  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_c2s.erl: We should allow use of bare resource in from by
	the client (partially revert r1727) (EJAB-812).

2008-12-26  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Show in ejabberd Web Admin the
	connection method and connected node of Jabber clients (thanks to
	Oleg Palij)(EJAB-319)

	* src/ejabberd_config.erl: Option outgoing_s2s_options to define
	s2s outgoing behaviour: IPv4, IPv6 and timeout (thanks to Stephan
	Maka)(EJAB-665)
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd_socket.erl: Likewise
	* src/ejabberd.cfg.example: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2008-12-26  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/odbc/ejabberd_odbc.erl: get rid of SERIALIZABLE isolation
	level on MySQL connections.
	* src/odbc/odbc_queries.erl: replaces all delete->insert chains
	with update->insert.
	* src/mod_privacy_odbc.erl: moved sql queries to odbc_queries.erl.
	* src/mod_roster_odbc.erl: changed interface for odbc_queries.erl.

2008-12-24  Badlop  <badlop@process-one.net>

	* src/aclocal.m4: Fixes in configure script: fix
	disable-ejabberd_zlib and disable-pam; in case of problems, PAM
	verification aborts with error instead of warning. (EJAB-787)
	* src/configure.ac: Likewise
	* src/configure: Likewise

2008-12-23  Badlop  <badlop@process-one.net>

	* src/acl.erl: New ACL: shared_group (thanks to Maxim Ryazanov)
	* doc/guide.tex: Likewise

	* src/mod_shared_roster.erl: Push new group members when
	registered or manually added to group: EJAB-730 EJAB-731 EJAB-732
	EJAB-767 EJAB-794. When user is added to group, push it to other
	members, and other members to it. When user is removed from group,
	push deletion to other members, and other members to it. When user
	is registered, push him to members of group @all@. When user is
	deleted, push deletion to members of group @all@. Document several
	functions in mod_shared_roster.

	* src/ejabberd_auth.erl: Rename hook user_registered to
	register_user, for name consistency with the widely used hook
	remove_user. Run hook register_user in ejabberd_auth, so it's run
	when account is created with any method. Run hook remove_user in
	ejabberd_auth, so it's run when account is deleted with any
	method.
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth_pam.erl: Likewise
	* src/mod_register.erl: Likewise

	* src/jlib.erl: Implementation of XEP-0059 Result Set
	Management (thanks to Eric Cestari)(EJAB-807)
	* src/jlib.hrl: Likewise
	* src/mod_muc/mod_muc.erl: Likewise

2008-12-23  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Improve handling of PEP sent to
	external contacts (EJAB-825)
	* src/mod_caps.erl: Likewise

2008-12-23  Badlop  <badlop@process-one.net>

	* src/mod_last.erl: Implement workaround for uptime statistic in
	32 bit machines, so it can show uptime greater than 50
	days (EJAB-610)
	* src/mod_last_odbc.erl: Likewise
	* src/ejabberd_config.erl: Store start time in local_config table

	* src/cyrsasl_digest.erl: Check digest-uri in SASL digest
	authentication (thanks to Paul Guyot)(EJAB-569)

	* src/odbc/odbc_queries.erl: Fix removal of private_storage of an
	account when the account is removed

	* src/mod_privacy.erl: Remove privacy lists of an account when the
	account is removed (EJAB-720)
	* src/mod_privacy_odbc.erl: Likewise

2008-12-19  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix send_last_published_item issue
	when running on clustered table (thanks to Vincent Barat)(EJAB-793)

2008-12-18  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Check option of the nodetree instead
	of checking configuration (thanks to Eric Cestari)(EJAB-737)

2008-12-16  Badlop  <badlop@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix update pubsub tables from
	ejabberd 1.x to 2.x (EJAB-817)

	* doc/guide.tex: Fix capitalization of some section titles

	* doc/guide.tex: Mention as optional Requirements: mysql, pgsql
	and pam

	* src/ejabberd_admin.erl: Command reopen-log must also rotate
	sasl.log (thanks to Alexander Tsvyashchenko)(EJAB-711)
	* src/ejabberd_logger_h.erl: Export the function rotate_log/1
	* doc/guide.tex: Improve explanation of log files rotation

	* doc/guide.tex: Improve explanation of watchdog admins
	option: only useful for developers (EJAB-816)
	* src/ejabberd.cfg.example: Likewise

	* doc/guide.tex: Say 'higher' instead of 'newer' in requirements
	* README: Likewise

	* doc/guide.tex: Simplify example mod_muc configuration

2008-12-15  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix get_item_name deadlock on
	transaction

2008-12-12  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_c2s.erl: Bugfix in "from" attribute checking

2008-12-09  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: prevent publish items with invalid
	XML schema bugfix (EJAB-699) (previous commit was uncomplete)
	and fix bug injected in previous commit

2008-12-08  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_c2s.erl: Reduce memory consumption due to caps handling
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_caps.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: ignore unknown configuration fields
	(EJAB-762) (thanks to Jack Moffitt)

	* src/mod_pubsub/mod_pubsub.erl: fix node authorization bug (EJAB-798)
	send authorization update event (EJAB-799) (thanks to Brian Cully)

	* src/mod_pubsub/mod_pubsub.erl: add nodetree filtering and
	authorization (EJAB-813) (thanks to Brian Cully)
	* src/mod_pubsub/nodetree_default.erl: Likewise
	* src/mod_pubsub/nodetree_virtual.erl: Likewise
	* src/mod_pubsub/gen_pubsub_nodetree.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: prevent publish items with invalid
	XML schema (EJAB-699)

	* src/mod_pubsub/pubsub.hrl: remove unused pubsub_presence record

	* src/mod_pubsub/node_flat.erl: renamed from node_zoo

	* src/mod_pubsub/mod_pubsub.erl: reply to suscriptions options queries
	with unsupported feature error (EJAB-713)

	* src/mod_pubsub/node_default.erl: remove pubsub_state record when
	unsubscribing node without affiliation (EJAB-776)

2008-12-08  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_c2s.erl: Enforce client stanza from attribute
	(EJAB-812).
	* src/jlib.erl: Likewise.

2008-12-02  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Move definitions to header file
	* src/mod_muc/mod_muc_room.hrl: New header file
	* src/Makefile.in: Likewise

2008-12-01  Badlop  <badlop@process-one.net>

	* doc/guide.tex: New subsection Database Connection
	* doc/guide.html: Likewise

2008-11-28  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Clean user activity after timeout
	(EJAB-804)

2008-11-26  Badlop  <badlop@process-one.net>

	* src/ejabberdctl.template: Fix detection of ejabberdctl.cfg path

	* src/mod_irc/mod_irc.erl: Announce disco#info (thanks to Spike)
	* src/mod_muc/mod_muc.erl: Announce disco#info disco#items
	* src/mod_proxy65/mod_proxy65_service.erl: No announce disco#items
	* src/mod_pubsub/mod_pubsub.erl: Announce disco#info disco#items
	* src/mod_vcard.erl: Announce disco#info

	* src/gen_mod.erl: First store module options in ETS and Mnesia,
	then start the module. In case of failure, remove options from
	ETS. Until now the module was started before the options were
	stored in database, and some modules started incorrectly because
	they couldn't access the options from database; for instance
	mod_muc_room required this for reading max_users option.

	* src/mod_muc/mod_muc_room.erl: Include the value of max_users
	service option and the current max_users room option in the list
	of allowed room limit values.

2008-10-17  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/node_pep.erl: Fix get_node_affiliations resultset to
	owner (Thanks to Michal Schmidt)

2008-11-24  Evgeniy Khramtsov <ekhramtsov@process-one.net>

	* src/eldap/Makefile.in: added +optimize and +driver
	compilation options
	* src/eldap/Makefile.win32: Likewise

2008-11-23  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_receiver.erl: Hibernate after timeout
	* src/ejabberd_frontend_socket.erl: Likewise

2008-11-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_http.erl: Include recognized headers in
	request_headers as atoms, and others as strings (EJAB-778).
	URL path should be tokenized by / and then decoded (EJAB-786).

	* doc/guide.tex: Improve legibility of mod_irc example config

2008-11-10  Alexey Shchepin  <alexey@process-one.net>

	* src/tls/tls_drv.c: Don't create a SSL context on every
	connection and disable SSLv2 on outgoing connections (EJAB-781)

2008-11-08  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s_out.erl: exports the DNS resolution
	function.

2008-11-06  Badlop  <badlop@process-one.net>

	* src/extauth.erl: When the extauth call fails or timeouts, deny
	authorization. Use two timeouts: 60s for script initialization and
	10s for regular calls. (thanks to Kevin Crosbie from
	Ravenpack) (EJAB-627)

2008-11-03  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_c2s.erl: Disable zlib when STARTTLS is required

2008-10-27  Badlop  <badlop@process-one.net>

	* src/Makefile.in (clean-local): Delete also ejabberdctl.example

2008-10-25  Badlop  <badlop@process-one.net>

	* src/translate.erl: When a translation file can't be loaded, show
	detailed error message

	* src/ejabberd_ctl.erl: If ejabberd didn't start correctly:
	'ejabberdctl status' suggests to look in log files; any other
	ejabberdctl command shows 'status'.

	* src/ejabberd_app.erl: Open ejabberd.log sooner, so errors during
	ejabberd initialization are logged in that file (EJAB-777). Write
	a log message when ejabberd finishes the start or stop.

2008-10-24  Badlop  <badlop@process-one.net>

	* src/ejabberd_c2s.erl: Ensure unique ID in roster push (EJAB-721)
	* src/mod_roster.erl: Likewise
	* src/mod_roster_odbc.erl: Likewise
	* src/mod_shared_roster.erl: Likewise

	* src/ejabberd_listener.erl: Fix listeners
	* src/ejabberd_sup.erl: Likewise
	* src/gen_mod.erl: Likewise

2008-10-23  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_frontend_socket.erl: Fixed SSL sockets

2008-10-17  Badlop  <badlop@process-one.net>

	* src/Makefile.in: docdir should be prefixed with DESTDIR (thanks
	to Jack Moffitt)(EJAB-775)

2008-10-17  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix badarg issue on get_roster_info
	when allowed roster groups is not defined

	* src/mod_pubsub/mod_pubsub.erl: fix remove_user not unsubscribing
	user (EJAB-684)

	* src/mod_pubsub/node_default.erl: does not write item when max_items
	set to 0 (solves EJAB-768)

2008-10-14  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix pubsub_publish_item hook
	ServerHost parameter (EJAB-772)

2008-10-13  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/odbc/ejabberd_odbc.erl: log MySQL driver messages.

2008-10-13  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: When requesting page of
	nonexistent user, show 'Not Found' page (EJAB-771)

2008-10-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Run new hook
	webadmin_user_parse_query when POST in web admin user
	page (thanks to Oleg Palij)(EJAB-747)
	* src/mod_offline.erl: Add button "Remove All Offline Messages" in
	a user page (thanks to Oleg Palij)(EJAB-747)
	* src/mod_offline_odbc.erl: Likewise

	* src/web/ejabberd_web_admin.erl: Improve Web Admin navigation
	menu for vhosts and nodes (EJAB-734)

	* doc/guide.tex: Explain the new ejabberdctl command 'help'
	* doc/guide.html: Likewise

	* src/mod_configure.erl: Update calls from ctl to
	commands (EJAB-694)
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/ejabberd_sm.erl: Update from ctl to commands (EJAB-694)
	* src/ejabberd_s2s.erl: Likewise

	* src/ejabberd_auth.erl: Update from ctl to commands (EJAB-694)
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise

	* src/ejabberdctl.template: Move help print to a separate
	function (EJAB-694)

	* src/ejabberd_ctl.erl: Add frontend support for
	commands (EJAB-694). Categorization and sorting of commands in
	ejabberd_ctl help (EJAB-313). Lines in command line help of length
	80, and text formatting (EJAB-473)

	* src/ejabberd_app.erl: Initialize ejabberd_commands and start
	ejabbed_admin (EJAB-694)

	* src/ejabberd_admin.erl: Implement commands from old
	ejabberd_ctl (EJAB-694)

	* src/ejabberd_commands.erl: New 'ejabberd commands': separate
	command definition and calling interface (EJAB-694)
	* src/ejabberd_commands.hrl: Likewise

	* src/mod_proxy65/mod_proxy65.erl: Update so the listener starts
	correctly (EJAB-303)
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise

	* src/ejabberd_app.erl: Start listeners explicitely at server
	start after everything else (EJAB-303). Implement support in
	ejabberd for 'independent listeners', which handle their
	connections themselves: gen_tcp:listen, etc.
	* src/ejabberd_listener.erl: Likewise
	* src/ejabberd_socket.erl: Likewise
	* src/ejabberd_sup.erl: Likewise

2008-10-07  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: uncomment pubsub_publish_item hook
	call (EJAB-765)

2008-10-07  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/mod_roster_odbc.erl: fix MySQL multiple requests issue.

2008-10-06  Badlop  <badlop@process-one.net>

	* doc/guide.html: Regenerated

2008-10-06  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/ejabberd_rdbms.erl: fix SQL database reconnection
	issues (EJAB-764) and add odbc_start_interval configuration
	directive (default to 30 seconds).
	* src/odbc/ejabberd_odbc.erl: likewise.
	* src/odbc/ejabberd_odbc_sup.erl: likewise.
	* doc/guide.tex: likewise.

2008-10-03  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/odbc/odbc_queries.erl: Fix empty query that fail on MySQL.

2008-10-03  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/mod_vcard_odbc: added vCard support for MS SQL Server 2005.
	* src/odbc/odbc_queries.erl: likewise.
	* src/odbc/mssql2005.sql: likewise.

2008-10-01  Mickael Remond  <mremond@process-one.net>

	* src/mod_shared_roster.erl: Correct roster push when changing
	a shared roster entry name (EJAB-738).

2008-09-30  Badlop  <badlop@process-one.net>

	* src/*/Makefile.win32: Provide explicit beam filenames because
	nmake does not accept wildcards (thanks to Attila
	Vangel)(EJAB-543)

2008-09-24  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Allow PEP node type to be mapped with
	namespace (EJAB-739). Change get_items to use From (EJAB-751). (Thanks
	to Eric Cestari)
	* src/mod_pubsub/gen_pubsub_node.erl: Likewise
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_zoo.erl: Likewise
	* src/mod_pubsub/node.template: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise

	* src/mod_pubsub/node_mb.erl: Added PEP microglobing node (Thanks to
	Eric Cestari)

2008-09-22  Mickael Remond  <mremond@process-one.net>

	* src/mod_configure.erl: Fix adhoc commands reply types for
	"get-online-users-num" and "get-registered-users-num" (EJAB-756).

2008-09-15  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Fix explanation of mod_muc's anonymous
	option. Make clear that an ejabberd_service can only serve a
	single external component. Provide Mnesia directory when setting
	clustering (thanks to Matthew Reilly)

2008-09-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_http.hrl: Provide Host, Port, Headers and
	Transfer Protocol in request (thanks to Eric Cestari)(EJAB-560)
	* src/web/ejabberd_http.erl: Likewise

2008-09-02  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Fix mod_proxy configuration example
	* doc/guide.html: Likewise

2008-09-02  Mickael Remond  <mremond@process-one.net>

	* src/odbc/mssql2000.sql: Script for MSSQL 2000
	* src/odbc/mssql2005.sql: Script for MSSQL 2005 (EJAB-535)
	* src/odbc/mssql.sql: removed

2008-08-27  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: send last published events now
	supports PEP events from unavailable users nodes (EJAB-698)
	* src/ejabberd_c2s.erl: Likewise

2008-08-26  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.2.txt: Update for final release

	* doc/guide.tex: Windows binary installer requires MSVC++ 5
	* doc/guide.html: Likewise

2008-08-26  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: get_items bugfix (EJAB-716)

2008-08-25  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_privacy_odbc.erl: Prevent case_clause error when
	ejabber_odbc:sql_query returns {error, Reason}
	* src/mod_vcard_odbc.erl: Likewise
	* src/mod_last_odbc.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise

2008-08-25  Badlop  <badlop@process-one.net>

	* src/ejabberd_check.erl: Detect correctly MSSQL and ODBC
	configuration (EJAB-710)

2008-08-24  Geoff Cant  <gcant@process-one.net>

	* src/mod_mud/mod_muc_room.erl: is_visitor/2 fix - use get_role
	not get_affiliation

2008-08-22  Badlop  <badlop@process-one.net>

	* src/ejabberd_router.erl: Fix call to mnesia match_object

2008-08-21  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Fix names of chatroom to room, user to occupant
	* doc/guide.html: Likewise

2008-08-18  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_log.erl: MUC log files options: plaintext
	format; filename with only room name (EJAB-596)
	* doc/guide.tex: Document both options
	* doc/guide.html: Likewise

	* src/mod_register.erl: Change password using mod_register always
	returns success regardless of real result (EJAB-723)
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise

2008-08-18  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/node_dispatch.erl: Fix call to unexported function
	nodetree_default:get_subnodes/2

2008-08-17  Badlop  <badlop@process-one.net>

	* contrib/extract_translations/extract_translations.erl: Use
	Gettext PO for translators, export to ejabberd MSG (EJAB-648)
	* contrib/extract_translations/prepare-translation.sh: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise
	* src/Makefile.in: New option 'make translations'
	* src/msgs/ejabberd.pot: Template translation file
	* src/msgs/*.po: Generated from old MSG files
	* src/msgs/*.msg: Automatic exported from PO files

2008-08-16  Badlop  <badlop@process-one.net>

	* src/msgs/sv.msg: Fixed formatting typos

	* src/gen_mod.erl: Export stop_module_keep_config/2 (EJAB-706)

2008-08-13  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Explain that LDAP is read-only storage (thanks to
	Evgeniy Khramtsov)
	* doc/guide.html: Likewise

2008-08-10  Badlop  <badlop@process-one.net>

	* src/msgs/eo.msg: Updated (thanks to Andreas van Cranenburgh)
	* src/msgs/nl.msg: Updated (thanks to Andreas van Cranenburgh)
	* src/msgs/sk.msg: Updated (thanks to Marek Becka)
	* src/msgs/sv.msg: Updated (thanks to Thore Alstromer and Heysan)

2008-08-09  Badlop  <badlop@process-one.net>

	* src/ejabberd_service.erl: Fix XEP-0114 compliance: define xmlns
	in header of error response; include in response the JID of served
	component not server (thanks to Sergei Golovan)(EJAB-717)

2008-08-04  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Restart the database connection when
	it's lost or it reaches timeout with MySQL. Set transaction isolation level
	to SERIALIZABLE when establishing connection to MySQL.

2008-08-01  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.2.txt: Added for ejabberd 2.0.2-beta1

	* src/web/ejabberd_http.erl: Temporary solution for check of
	packet size when HTTPS (EJAB-611)(EJAB-507)(EJAB-574)

2008-07-31  Badlop  <badlop@process-one.net>

	* src/msgs/uk.msg: Fix: each string in a single line
	* src/msgs/wa.msg: Likewise

	* src/msgs/es.msg: Fix typo
	* src/msgs/gl.msg: Likewise
	* src/msgs/pt-br.msg: Likewise

	* src/msgs/zh.msg: Fix some translations (thanks to Zhan Caibao)

	* src/msgs/ca.msg: Updated (thanks to Badlop)
	* src/msgs/cs.msg: Updated (thanks to Lukas Poliuvk)
	* src/msgs/de.msg: Updated (thanks to Nikolaus Polak)
	* src/msgs/es.msg: Updated (thanks to Badlop)
	* src/msgs/fr.msg: Updated (thanks to Christophe Romain)
	* src/msgs/it.msg: Updated (thanks to Luca Brivio)
	* src/msgs/ja.msg: Updated (thanks to Tsukasa Hamano)
	* src/msgs/no.msg: Updated (thanks to Stian B. Barmen)
	* src/msgs/pl.msg: Updated (thanks to Zbyszek Zolkiewski)
	* src/msgs/pt-br.msg: Updated (thanks to Otavio Fernandes)
	* src/msgs/ru.msg: Updated (thanks to Evgeniy Khramtsov)
	* src/msgs/tr.msg: Updated (thanks to Doruk Fisek)
	* src/msgs/uk.msg: Updated (thanks to Ruslan Rakhmanin)
	* src/msgs/wa.msg: Updated (thanks to Pablo Saratxaga)
	* src/msgs/zh.msg: Updated (thanks to Shelley Shyan)

	* README: Update location where mnesia, ebin and priv directories
	are installed; install headers and doc (EJAB-696)

	* doc/guide.tex: Update Process-one name to ProcessOne (EJAB-708)
	* doc/guide.html: Likewise
	* doc/api/overview.edoc: Likewise
	* src/*/*.erl: Likewise
	* src/*/*.hrl: Likewise
	* src/*/*.c: Likewise
	* src/odbc/*.sql: Likewise

2008-07-30  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Support Reasons for all
	affiliation and role changes (EJAB-306)

	* src/gen_mod.erl: When ejabberd is kindly stopped, don't forget
	modules configuration (EJAB-706)
	* src/ejabberd_app.erl: Likewise

2008-07-28  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document how to get error message when ejabberd
	crash dumps at start (EJAB-660)
	* doc/guide.html: Likewise

2008-07-25  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Speedup startup with many pubsub
	nodes (EJAB-669)
	* src/mod_pubsub/nodetree_default.erl: Likewise

2008-07-24  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Include example PAM configuration file
	ejabberd.pam (thanks to Evgeniy Khramtsov)(EJAB-704)
	* doc/guide.html: Likewise

	* src/mod_proxy65/mod_proxy65_lib.erl: Send protocol compliant
	SOCKS5 reply; this breaks support of uncompliant Psi<0.10 (thanks
	to Felix Geyer)(EJAB-632)
	* src/mod_proxy65/mod_proxy65_stream.erl: Likewise

	* src/mod_register.erl: When a registration is blocked due to IP
	limitation, return description in error stanza (EJAB-692)

2008-07-24  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Allow owner to subscribe/get its own
	node (EJAB-705)

2008-07-24  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document room options allow_visitor_nickchange
	and allow_visitor_status (EJAB-624)
	* doc/guide.html: Likewise

2008-07-23  Geoff Cant  <geoff.cant@process-one.net>

	* src/mod_muc/mod_muc_room.erl: new room options,
	allow_visitor_presence and allow_visitor_nickchange to
	block/enable visitors to broadcast presence updates to the room
	(EJAB-624).
	* src/mod_muc/mod_muc_room.erl: renaming allow_visitor_presence to
	allow_visitor_status and altering effect (when false) to remove
	custom status tags in presence broadcasts to muc rooms by
	visitors.

2008-07-23  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: remove_user hook removes
	subscriptions (EJAB-684), send the last published and not the
	first published item (EJAB-675), remove the pubsub/nodes tree,
	subscribing to a node sends only last items (EJAB-700)
	* src/mod_pubsub/node_pep.erl: added acl and jid match on node
	creation permission (EJAB-663)
	* src/mod_pubsub/node_default.erl: fix node creation permission
	issue for service
	* src/mod_pubsub/node_zoo.erl: Likewise

2008-07-22  Badlop  <badlop@process-one.net>

	* src/ejabberd_config.erl: If syntax mistake in config file, show
	specific error message (EJAB-616)

2008-07-22  Alexey Shchepin  <alexey@process-one.net>

	* src/odbc/odbc_queries.erl: Fixed a typo

2008-07-03  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/ejabberd_ctl.erl: Call reopen_log_hook for each virtual host.

2008-07-17  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Fix to allow a server admin to add
	himself as owner of a room (EJAB-687)

2008-07-17  Christophe Romain  <christophe.romain@process-one.net>

	* src/web/Makefile.in: use -DSSL39 if compiling with R12

2008-07-16  Badlop  <badlop@process-one.net>

	* src/ejabberd_c2s.erl: Put auth_module in Info always (EJAB-549)

	* src/*.hrl: Get back all ejabberd header files to their original
	placement in src/ subdirectories (EJAB-696)
	* src/*/*.erl: Likewise
	* src/*/Makefile.in: Likewise
	* src/Makefile.in: Install header files in system include/ dir,
	reproducing the subdirectory structure of src/

	* src/ejabberdctl.template: Update environment variable names

2008-07-15  Badlop  <badlop@process-one.net>

	* src/ejabberdctl.template: Small fix so arguments of the command
	are also passed to erl

	* doc/guide.tex: Improve explanation of option 'hosts' in
	ejabberd_service
	* doc/guide.html: Likewise

2008-07-15  Alexey Shchepin  <alexey@process-one.net>

	* src/web/ejabberd_http_poll.erl: Report connection's IP address

	* src/ejabberd_c2s.erl: Rolled back the previous IP getting patch
	* src/ejabberd_sm.erl: Likewise
	* src/ejabberd_receiver.erl: Likewise
	* src/web/ejabberd_http_poll.erl: Likewise

2008-07-14  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Update what permissions does enable-user grant
	* doc/guide.html: Likewise

	* src/configure.ac: Don't explicitely put root privileges when a
	user is not explicitely enabled
	* src/configure: Likewise
	* src/Makefile.in: Likewise

	* src/Makefile.in: Fix docdir so it recognizes prefix. If sbin dir
	does not exist, create it. Fix cookiefile permission
	check. (EJAB-696)

2008-07-13  Badlop  <badlop@process-one.net>

	* src/configure.ac: Update installation permissions (EJAB-402)
	* src/configure: Likewise

	* src/Makefile.in: The mnesia, ebin and priv dirs are now
	installed in different locations. Install header files and
	documentation (EJAB-696)
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

	* include/*.hrl: Place for all ejabberd header files (EJAB-696)
	* src/*/*.erl: Update references to header files
	* src/*/Makefile.in: Include the include/ dir

	* src/configure.ac: Allow to execute ejabberd with a normal
	system user (thanks to Viq)(EJAB-402)
	* src/configure: Likewise
	* src/ejabberdctl.template: Likewise
	* src/Makefile.in: Likewise
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2008-07-12  Badlop  <badlop@process-one.net>

	* src/configure.ac: Improve legibility
	* src/aclocal.m4: Likewise
	* src/configure: Likewise

	* src/ejabberdctl.template: Remove garbage variable. Document node
	option

	* doc/guide.tex: Add references to sections.
	* doc/guide.html: Likewise

2008-07-11  Badlop  <badlop@process-one.net>

	* src/mod_register.erl: Revert support for io_lib newline, since
	there is a standard character that representes newline (EJAB-501)
	* doc/guide.tex: Update documentation to explain newline character
	* doc/guide.html: Likewise
	* src/ejabberd.cfg.example: Likewise

2008-07-10  Badlop  <badlop@process-one.net>

	* src/configure.ac: Don't check for erlang header file (EJAB-232)
	* src/configure: Likewise

2008-07-09  Badlop  <badlop@process-one.net>

	* src/configure.ac: Check for erlang header files (EJAB-232)
	* src/configure: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Fix compilation warnings
	* src/mod_pubsub/node_zoo.erl: Likewise

	* src/mod_shared_roster.erl: Allow to get subscribed to a contact
	that is already in the roster by means of a shared roster group:
	add it to another roster group and it gets subscribed
	automatically (EJAB-407)

	* src/mod_roster.erl: Likewise

	* src/mod_muc/mod_muc_log.erl: Fix XHTML compliance: ensure some
	language is set, include ID attribute in each message, add
	microseconds to ensure unique value (EJAB-497)

	* src/mod_register.erl: Support for io_lib newline character in
	the body of welcome_message (EJAB-501)
	* doc/guide.tex: Document the newline character
	* src/ejabberd.cfg.example: Example usage of newline character

	* src/ejabberd_config.erl (load_file): error message on sasl.log
	is not flattened (EJAB-616)

	* doc/guide.tex: mod_muc_log XMPP URI supports the updated version
	RFC 5122 (EJAB-631)
	* doc/guide.html: Likewise

2008-07-08  Badlop  <badlop@process-one.net>

	* tools/ejabberdctl: Work also when 'which' is unavailable

2008-07-08  Christophe Romain  <christophe.romain@process-one.net>

	* src/web/ejabberd_http_poll.erl: improve ip fetching patch

2008-07-07  Badlop  <badlop@process-one.net>

	* src/Makefile.in: Spool, config and log dirs: writtable by owner,
	readable by group, nothing by others (EJAB-686)
	* doc/guide.tex: New section Securing sensible files
	* doc/guide.html: Likewise

	* doc/guide.tex: Solaris Makefile install: use ginstall (thanks to
	Jonathan Auer)(EJAB-649)
	* doc/guide.html: Likewise

2008-07-03  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/mod_privacy_odbc.erl: Support for privacy lists in MySQL
	(thanks to Igor Goryachev)(EJAB-538)

2008-07-03  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fix permission control on item
	retrieve (EJAB-453)
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/gen_pubsub_node.erl: Likewise
	* src/mod_pubsub/node.template: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Allow subscriber to request specific
	items by ItemID; Allow to retrieve pubsub#title configuration (thanks
	to Kevin Crosbie); Fix forbidden result on setting
	affiliation/subscription

	* src/mod_pubsub/node_zoo.erl: Add node type without
	home/<host>/<user> constraint

	* src/ejabberd_local.erl: prevent iq_response table overload
	(EJAB-608)
	* src/mod_caps.erl: Likewise

	* src/web/ejabberd_http.erl: Retrieve correct IP from http connection
	* src/web/ejabberd_http_poll.erl: Likewise
	* src/ejabberd_receiver.erl: Likewise
	* src/ejabberd_sm.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise

2008-06-29  Badlop  <badlop@process-one.net>

	* src/ejabberd_ctl.erl: Web Admin and Ad-hoc admin: dump only
	persistent tables (EJAB-678)

	* src/mod_pubsub/node_pep.erl: Complain if mod_caps disabled and
	mod_pubsub has PEP plugin enabled (EJAB-677)

2008-06-28  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Allow to store room
	description (thanks to Christopher Dupont)(EJAB-670)

2008-06-21  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_http.erl: Support PUT and DELETE methods in
	ejabberd_http (thanks to Eric Cestari)(EJAB-662)

	* doc/guide.tex: Explain that S2S outgoing first tries IPv4 and if
	that fails then tries IPv6
	* doc/guide.html: Likewise

2008-06-18  Badlop  <badlop@process-one.net>

	* src/ejabberd.app: The ejabberd version number is defined in the
	OTP application resource file, in the key 'vsn' (EJAB-657)
	* src/ejabberd.hrl: The macro VERSION now consults the ejabberd
	application key vsn
	* src/configure.erl: Load the ejabberd application description
	* doc/Makefile: Read ejabberd version from ejabberd.app vsn
	* doc/api/Makefile: Likewise

2008-06-18  Christophe Romain  <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: get_default bugfix (EJAB-656)

2008-06-13  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Allow admins to send messages to
	rooms even if not joined (EJAB-645)
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

	* src/ejabberd.cfg.example: Add registration_timeout (EJAB-653)

	* doc/guide.tex: Table of listener modules converted to
	description. Table of modules overview simplified, and module
	names link to their sections. Document
	ldap_local_filter (EJAB-179). Title in HTML is shorter.
	Update several external URIs.

	* doc/guide.html: Regenerated with all the latest changes

2008-06-12  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Permanent reference URL for sections (EJAB-651).
	Changes in CSS: verbatim text is indented and has grey background;
	descriptions are indented; table borders are softer. Fix
	indentation of verbatim text.

2008-06-10  Badlop  <badlop@process-one.net>

	* src/ejabberd_c2s.erl: Bugfix: deliver messages when first
	presence is Invisible (thanks to Dariusz Markowicz)(EJAB-262)

2008-06-08  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Small fixes (thanks to Christoph Anton Mitterer)
	* doc/introduction.tex: Likewise
	* doc/guide.html: Likewise

2008-06-05  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document ejabberdctl status code (EJAB-633)
	* doc/guide.html: Likewise

2008-06-04  Badlop  <badlop@process-one.net>

	* src/msgs/pl.msg: Bugfix in arguments of translated string that
	could crash the room (thanks to Anastasia Gornostaeva)

2008-05-31  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web.erl (make_xhtml/2): Allow to include
	elements in the HTTP header

	* src/odbc/odbc_queries.erl (del_user_return_password): Return
	password (thanks to Oleg Palij)

2008-05-22  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s.erl: Added s2s_send_packet and s2s_receive_packet
	hooks (EJAB-635).
	* src/ejabberd_s2s_in.erl: Likewise.

	* src/ejabberd_c2s.erl: user_send_packet hook now called on all packets
	including presence packets (EJAB-634)

2008-05-22  Badlop  <badlop@process-one.net>

	* README: R12 support: remove compilation warning (EJAB-630)

2008-05-19  Badlop  <badlop@process-one.net>

	* doc/guide.html: Update

	* src/configure.ac: R12 support: remove compilation
	warning (EJAB-630)
	* src/configure: Likewise
	* doc/guide.tex: Likewise

	* doc/guide.tex: Describe how to disable registration
	limitation (EJAB-614)

2008-05-19  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s_out.erl: Avoid an harmless error (function clause in
	logs)

2008-05-17  Badlop  <badlop@process-one.net>

	* src/extauth.erl: Log strange responses from extauth script. Use
	timeout (EJAB-627)

2008-05-16  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Allow change_state of a room

2008-05-16  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_s2s_out.erl: Change FSMTIMEOUT to 30s

2008-05-12  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Return Forbidden error message
	when user sends private message in a room that disallows
	it (EJAB-595)

	* src/web/ejabberd_http.erl (parse_auth): Allow password that
	include colon character (EJAB-622)

2008-05-09  Mickael Remond <mremond@process-one.net>

	* src/mod_ip_blacklist.erl: Better error handling (EJAB-625).

2008-05-05  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_c2s.erl: Added C2S blacklist support (EJAB-625).
	* src/mod_ip_blacklist.erl: Likewise.
	* src/jlib.erl: Added IP format tuple to string function.
	* src/ejabberd_socket.erl: Properly handled c2s start failure (happen
	for blacklisted IP).

2008-05-04  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_receiver.erl: Don't activate a socket untill its
	receiver process is controlling it

2008-04-30  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: XEP-0115 patch (EJAB-618)

2008-04-29  Badlop  <badlop@process-one.net>

	* src/ejabberd_s2s_out.erl: Improve confusing log message in s2s
	connection: wait_for_validation connect timeout (EJAB-617)

	* src/ejabberd.cfg.example: Small improvements in explanations

	* doc/guide.tex: Document MUC room options (EJAB-619)

2008-04-28  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document the option max_s2s_connections

2008-04-28  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: remove unused served_hosts option
	and make init message be debug and not info

2008-04-27  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Fixed room shaper processing

2008-04-26  Badlop  <badlop@process-one.net>

	* src/mod_shared_roster.erl: Fix for new registered accounts not
	being immediately shown in an 'all' special shared roster
	group (thanks to Alexey Shchepin) (EJAB-71)
	* src/mod_register.erl: New vhost event user_registered

	* doc/guide.tex: Document option registration_timeout (EJAB-614)

2008-04-25  Badlop  <badlop@process-one.net>

	* src/ejabberd_c2s.erl: Added forbidden_session_hook

	* src/acl.erl: New access types: resource, resource_regexp and
	resource_glob
	* doc/guide.tex: Likewise

2008-04-23  Alexey Shchepin  <alexey@process-one.net>

	* src/treap.erl: Bugfix

	* src/mod_register.erl: Fixed table creation, timeout isn't
	activated when registration fails

	* src/mod_register.erl: Restrict registration frequency per IP or
	user (EJAB-614)
	* src/ejabberd_c2s.erl: Pass IP to the c2s_unauthenticated_iq hook
	* src/ejabberd_config.erl: Added registration_timeout option

	* src/treap.erl: Treaps implementation

2008-04-22  Badlop  <badlop@process-one.net>

	* src/ejabberd_auth.erl: Improve anonymous authentication to not
	remove rosters accidentally (EJAB-549). New functions in
	ejabberd_auth to get/check password and know which module accepted
	the authentication. New element 'auth_module' in ejabberd_c2s
	record 'statedata'. Cyrsasl provides a new property in the
	response: {auth_module, AuthModule}.
	* src/ejabberd_auth_anonymous.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise
	* src/cyrsasl_anonymous.erl: Likewise
	* src/cyrsasl_digest.erl: Likewise
	* src/cyrsasl_plain.erl: Likewise

2008-04-18  Badlop  <badlop@process-one.net>

	* src/ejabberd_s2s_out.erl: Fix long timeout when reconnecting s2s
	after a remote server crash (EJAB-540)
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_s2s.erl: Likewise
	* doc/guide.tex: Likewise

2008-04-16  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Clarification: PEP is enabled in default config

2008-04-14  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: Cache negative response (EJAB-474)

2008-04-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Include Last-Modified HTTP
	header in responses to allow caching (EJAB-546)

2008-04-11  Badlop  <badlop@process-one.net>

	* src/Makefile.in: Improved indentation of GCC call
	* src/ejabberd_zlib/Makefile.in: Likewise
	* src/mod_irc/Makefile.in: Likewise
	* src/stringprep/Makefile.in: Likewise
	* src/tls/Makefile.in: Likewise

	* src/ejabberd_listener.erl (start_listener): Revert SVN r1260.

2008-04-11  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_config.erl: Removed a dependency on string:to_upper

	* src/tls/tls_drv.c: Fixed gcc signedness warnings (EJAB-447)
	* src/ejabberd_zlib/ejabberd_zlib_drv.c: Likewise

	* src/expat_erl.c: Removed R9B workaround (EJAB-447)

2008-04-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: fix identity and database update
	bugfix
	* src/mod_pubsub/nodetree_default.erl: Likewise

2008-04-10  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_c2s.erl: Uniform default value for empty privacy
	list. Fixes (EJAB-603).

2008-04-08  Badlop  <badlop@process-one.net>

	* src/ejabberd_auth_ldap.erl: LDAP function to get the number of
	registered users is too slow (EJAB-331): set timeout in LDAP
	search queries (thanks to Evgeniy Khramtsov) and return the number
	of registered users.

2008-04-07  Mickael Remond  <mremond@process-one.net>

	* doc/guide.tex: Documented the IQ discipline {queue, N}.
	* doc/guide.html: Likewise.

2008-04-05  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Fix default_room_opts with default_room_options
	* doc/guide.html: Likewise

2008-04-04  Badlop  <badlop@process-one.net>

	* src/ejabberd_auth_ldap.erl (get_vh_registered_users_number): New
	function that returns 0 registered users (EJAB-331).

	* src/ejabberd_c2s.erl (process_presence_probe): Don't route a
	presence probe to oneself (EJAB-498)

2008-04-02  Badlop  <badlop@process-one.net>

	* src/ejabberd_config.erl: Add support to include additional
	configuration files. Add support for macro definition and
	usage. (EJAB-593)
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2008-04-02  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: add condition inclusion of pep in
	disco identity (EJAB-564)

	* src/Makefile.in: Do not ignore values passed from configure
	(thanks to Justin Boffemmyer)(EJAB-592)

2008-04-01  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Updated command line parameters, epmd section
	* doc/guide.html: Likewise

	* doc/api/Makefile: Report the correct ejabberd version. When
	cleaning, remove also erlang.png

	* src/mod_muc/mod_muc_room.erl: Update source code to prevent
	warning messages from EDoc
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/nodetree_default.erl: Likewise
	* src/mod_pubsub/nodetree_virtual.erl: Likewise
	* src/mod_pubsub/pubsub.hrl: Likewise

2008-04-01  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberdctl.template: Add firewalling port range definition
	* src/ejabberdctl.cfg.example: Likewise

2008-03-31  Badlop  <badlop@process-one.net>

	* src/ejabberd_listener.erl: Remove code of the unused listening
	socket option 'ssl' (EJAB-159)
	* src/ejabberd_app.erl: Likewise

	* doc/webadmmain.png: Updated to ejabberd 2.0.0
	* doc/webadmmainru.png: Likewise

	* doc/disco.png: Removed because not used

	* doc/guide.tex: Fix Latex reference to webadmin section. Update
	explanation of screenshots. Update xmpp addresses of Mickael
	Remond and Sander Devrieze.
	* doc/guide.html: Likewise

	* doc/Makefile: Remove the Hevea deprecated option -noiso
	* doc/guide.html: Likewise
	* doc/dev.html: Likewise
	* doc/features.html: Likewise

	* src/ejabberd_listener.erl (start_listener): Start also the
	supervisor of the module

2008-03-27  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Fix epam location (thanks to Evgeniy Khramtsov)
	* doc/guide.html: Likewise

2008-03-26  Badlop  <badlop@process-one.net>

	* src/Makefile.in: Support for parallel compilation with 'make -j'
	in multi core CPUs: fix compilation dependencies; compile
	behaviors before other source code. (thanks to Jonathan Schleifer)
	* src/mod_pubsub/Makefile.in: Likewise
	* src/eldap/Makefile.in: Likewise

2008-03-26  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_local.erl: The iq_response table wasn't cloned
	automatically on all nodes which resulted in a single point of
	failure

2008-03-25  Badlop  <badlop@process-one.net>

	* src/Makefile.in: Failure to install epam is not
	critical (EJAB-573). Only try to install epam if pam was enabled
	in configure script (thanks to Etan Reisner)(EJAB-586)

2008-03-24  Badlop  <badlop@process-one.net>

	* doc/guide.tex: mod_vcard_ldap replace NICK with NICKNAME (thanks
	to Andreas Ntaflos)
	* doc/guide.html: Likewise

	* src/msgs/de.msg: Fix irc typo (thanks to Jonathan Schleifer)
	* src/msgs/cs.msg: Likewise
	* src/msgs/pl.msg: Likewise
	* src/msgs/sk.msg: Likewise

2008-03-22  Mickael Remond  <mremond@process-one.net>

	* src/eldap/Makefile.in: Generate ELDAPv3.beam during first Makefile
	pass (EJAB-583).

2008-03-22  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document service_check_from (EJAB-576)
	* doc/guide.html: Likewise

2008-03-21  Badlop  <badlop@process-one.net>

	* src/mod_caps.erl: Move two log calls ERROR_MSG to DEBUG
	* src/shaper.erl: Move log call INFO_MSG to DEBUG

	* doc/guide.tex: Document s2s_default_policy and
	s2s_host (EJAB-575)
	* doc/guide.html: Likewise

2008-03-21  Christophe Romain <christophe.romain@process-one.net>

	* src/pam/epam.erl: Seek epam binary into priv/bin (EJAB-573)
	* src/ejabberd.erl: Likewise
	* src/Makefile.in: Likewise
	* src/ejabberdctl.template: Likewise
	* tools/ejabberdctl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Pubsub subscription is now wrapped in
	pubsub tags (EJAB-580)

2008-03-21  Badlop  <badlop@process-one.net>

	* src/cyrsasl_digest.erl: Rewrite io:format calls to loglevel
	macros (EJAB-555)
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_ctl.erl: Likewise
	* src/ejabberd_loglevel.erl: Likewise
	* src/ejabberd_s2s.erl: Likewise
	* src/ejabberd_sm.erl: Likewise
	* src/ejabberd_update.erl: Likewise
	* src/extauth.erl: Likewise
	* src/mod_irc/mod_irc.erl: Likewise
	* src/shaper.erl: Likewise
	* src/tls/tls.erl: Likewise
	* src/web/ejabberd_http_poll.erl: Likewise

	* src/ejabberd.hrl: New macro ?PRINT(Format, Args) to print in
	standard output

2008-03-20  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Improve explanation of how to start ejabberd when
	binary installer. Don't recommend R12 in Windows compilation.
	Describe what happens if maxrate shaper is exceeded.
	* doc/guide.html: Likewise

2008-03-20  Mickael Remond  <mremond@process-one.net>

	* src/eldap.erl: Improved logging. We now use ejabberd logging
	framework (EJAB-582).

	* src/eldap.erl: Faster LDAP reconnection (Thanks to Christophe
	Romain) (EJAB-581)

2008-03-17  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s.erl: Only trigger s2s_connect_hook on
	successful connection (EJAB-566)
	* src/ejabberd_s2s_out.erl: Likewise

2008-03-15  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_ctl.erl: API improvement: Added
	reopen_log_hook (EJAB-565)

	* src/ejabberd_s2s.erl: API improvement: Added s2s_connect_hook
	(EJAB-566).

2008-03-13  Badlop  <badlop@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Start ODBC explicitely because
	Erlang R12 doesn't start automatically like in R11 and
	older (thanks to Sergei Golovan)(EJAB-541)

	* src/ejabberd.hrl: Removed unused ejabberd_debug and
	PRIVACY_SUPPORT. Reordered the remaining options

	* doc/guide.tex: Describe option Matches in mod_vcard_ldap (thanks
	to Evgeniy Khramtsov)(EJAB-530).  Fix typo in the description of
	ldap_server option.
	* doc/guide.html: Likewise

	* src/mod_echo.erl: Small change to avoid a compilation warning of
	unused function

2008-03-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl (term_to_string): Show Erlang
	terms in one line in Erlang R12 (EJAB-503)

2008-03-11  Badlop  <badlop@process-one.net>

	* src/ejabberd_s2s_in.erl (get_cert_domains): When compiling with
	Erlang R12, replace the calls to deprecated module PKIX1Explicit88
	with OTP-PKIX (EJAB-556)

2008-03-10  Badlop  <badlop@process-one.net>

	* src/ejabberd_update.erl: Fix crash when browsing the Update
	page in Erlang R12 (EJAB-552)

2008-03-09  Alexey Shchepin  <alexey@process-one.net>

	* src/web/ejabberd_http_poll.erl: Fixed HTTP headers when a
	requested session doesn't exist

2008-03-09  Badlop  <badlop@process-one.net>

	* src/mod_proxy65/mod_proxy65_service.erl: Implement alternative
	to the deprecated function inet:ip_to_bytes (thanks to Evgeniy
	Khramtsov)(EJAB-542)

2008-03-07  Mickael Remond  <mremond@process-one.net>

	* src/eldap/eldap_pool.erl: Improved logging

2008-03-04  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Improve documentation of host_config
	add (EJAB-544)
	* doc/guide.html: Likewise
	* src/ejabberd.cfg.example: Likewise
	* src/ejabberd_config.erl: Likewise

	* doc/guide.tex: mod_announce recommends, but doesn't require
	mod_adhoc (thanks to Anastasia Gornostaeva)
	* doc/guide.html: Likewise
	* src/ejabberd.cfg.example: Likewise

2008-03-03  Alexey Shchepin  <alexey@process-one.net>

	* src/tls/tls.erl: recv_data/2 doesn't throw exceptions now
	* src/ejabberd_zlib/ejabberd_zlib.erl: Likewise

2008-02-29  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_roster.erl: Fixed "from" attribute in roster pushes
	* src/mod_roster_odbc.erl: Likewise

2008-02-28  Badlop  <badlop@process-one.net>

	* src/ejabberd_app.erl (prep_stop): Stop modules when stopping
	ejabberd (EJAB-536)
	* src/mod_caps.erl (stop): Probably not needed to stop supervisor
	child (EJAB-536)
	* src/mod_muc/mod_muc.erl (room_destroyed): Catch message
	sending (EJAB-536)
	* src/mod_muc/mod_muc_room.erl (init): Ensure rooms are called
	when the process dies due to a linked die (EJAB-536)

2008-02-27  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_check.erl: Separate config loading from
	configuration sanity checks (EJAB-533)
	* src/src/ejabberd_app.erl: Likewise
	* src/ejabberd_app.erl: Likewise

2008-02-26  Badlop  <badlop@process-one.net>

	* src/msgs/it.msg: Updated (thanks to Smart2128)

2008-02-21  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.0.txt: Small fixes and update date

2008-02-20  Badlop  <badlop@process-one.net>

	* README: Updated to match the content of the ejabberd Guide

	* doc/release_notes_2.0.0.txt: Updated version number and date

	* doc/guide.tex: Mentioned the problems about Windows service
	* doc/guide.html: Likewise

	* src/msgs/ru.msg: Updated (thanks to Konstantin Khomoutov)
	* src/msgs/zh.msg: Updated (thanks to Mike Wang and Zhan Caibao)

2008-02-19  Badlop  <badlop@process-one.net>

	* src/msgs/ca.msg: Updated (thanks to Vicent Alberola Canet)
	* src/msgs/cs.msg: Updated (thanks to Lukas Polivka)
	* src/msgs/de.msg: Updated (thanks to Cord Beermann and Nikolaus
	Polak)
	* src/msgs/eo.msg: Updated (thanks to Andreas van Cranenburgh)
	* src/msgs/es.msg: Updated
	* src/msgs/fr.msg: Updated (thanks to Christophe Romain)
	* src/msgs/gl.msg: Updated (thanks to Carlos E. Lopez)
	* src/msgs/nl.msg: Updated (thanks to Andreas van Cranenburgh)
	* src/msgs/no.msg: Updated (thanks to Stian B. Barmen)
	* src/msgs/pt-br.msg: Updated (thanks to Otavio Fernandes)
	* src/msgs/uk.msg: Updated (thanks to Stoune and Ruslan Rakhmanin)

2008-02-19  Christophe Romain <christophe.romain@process-one.net>

	* src/odbc/ejabberd_odbc.erl: add pgsql driver monitoring

2008-02-19  Mickael Remond <mremond@process-one.net>

	* src/ejabberd_config.erl: dirty_get_registered_users now
	correctly returns all users for all vhosts no matter which
	back-end is used (EJAB-527)
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise

2008-02-18  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_c2s.erl: Bug in get_conn_type since SVN r1194 crashes
	http-bind and http-poll (thanks to Brian Cully) (EJAB-526)

2008-02-15  Badlop  <badlop@process-one.net>

	* doc/release_notes_2.0.0.txt: Describe in the Release Notes the
	upgrade instructions (EJAB-522)

2008-02-15  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_sm.erl: Retreive connection type in
	sm_register_connection_hook
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_auth_anonymous.erl: Likewise

2008-02-14  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Allow unmoderated rooms (EJAB-437)
	* src/msgs/*: Recover old translations to several languages from
	ejabberd 1.1.4

2008-02-14  Alexey Shchepin  <alexey@process-one.net>

	* src/cyrsasl_digest.erl: Unquote backslash in DIGEST-MD5 quoted
	strings (EJAB-304)

	* src/mod_roster.erl: Removed the ancient Psi roster workaround
	* src/mod_roster_odbc.erl: Likewise

2008-02-12  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Fixed native support for all the
	ACL types (EJAB-253)

	* src/acl.erl: Normalize ACL before adding to the configuration
	tables (EJAB-521)

2008-02-11  Mickael Remond <mremond@process-one.net>

	* src/ejabberd_auth.erl: Do not allow empty password at
	creation. On authent, check in all cases that password is not
	empty.
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise

	* src/ejabberd_receiver.erl: Avoid crash to appear in log, when
	trying to close a stream with an undefined state.

2008-02-11  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Bugfix: event used in place of x when
	xmlns is pubsub#event (EJAB-518)

2008-02-11  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Bugfix: local message stanza may
	not have an attribute From (EJAB-515)

2008-02-08  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Include the error condition in the
	presence status when kicking a participant due to an error
	stanza (EJAB-496)

	* src/ejabberd.cfg.example: Document options to SQL keep alive
	interval and pool size (EJAB-206)
	* doc/guide.tex: Likewise
	* doc/guide.html: Likewise

2008-02-06  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Support for decline of invitation
	to MUC room (EJAB-515)

2008-02-06  Mickael Remond <mremond@process-one.net>

	* src/mod_pubsub/node_buddy.erl: Fixed typo
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node.template: Likewise

	* src/mod_pubsub/gen_pubsub_node.erl: API improvement: Added a way
	to generate custom item name
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Small API improvements and
	refactoring

2008-02-04  Badlop  <badlop@process-one.net>

	* src/ejabberd.hrl: Updated version to 2.1.0-alpha
	* doc/dev.html: Likewise
	* doc/features.html: Likewise
	* doc/guide.html: Likewise
	* doc/version.tex: Likewise

2008-02-04  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Append "(n/a)" to disco room
	descriptions when a number of occupants is not available

2008-02-02  Mickael Remond  <mremond@process-one.net>

	* src/mod_pubsub/nodetree_virtual.erl: Fixed error report at startup.

	* src/mod_pubsub/mod_pubsub.erl: Added the from field in the
	get_subnodes pubsub plugin API function. This is usefull to write
	plugins to generate the pubsub hierarchy dynamically, based on who
	is doing the browsing request.
	* src/mod_pubsub/gen_pubsub_nodetree.erl: Likewise
	* src/mod_pubsub/nodetree_default.erl: Likewise
	* src/mod_pubsub/nodetree_virtual.erl: Likewise

2008-01-30  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Removed the option served_hosts in mod_pubsub
	because it does not work correctly yet (EJAB-504)
	* doc/guide.html: Likewise

	* src/mod_echo.erl: Put in comments the call to the educational
	function do_client_version

2008-01-29  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: MUC kicks a participant if sends a
	private message with type=error (EJAB-496)

2008-01-25  Badlop  <badlop@process-one.net>

	* doc/introduction.tex: Updated list of languages
	* doc/release_notes_2.0.0.txt: Likewise

	* src/msgs/eo.msg: New Esperanto translation (thanks to Andreas
	van Cranenburgh)

	* src/msgs/no.msg: New Norwegian translation (thanks to Stian
	B. Barmen)

	* doc/Makefile: Fixed small problem with contributed_modules.tex

2008-01-25  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Setting boolean node configuration
	fixed (EJAB-509)
	* src/mod_pubsub/node_default.erl: Use roster_groups_allowed instead
	of access_roster_groups (EJAB-508)
	* src/mod_pubsub/node_pep.erl: Likewise
	* src/mod_pubsub/node_buddy.erl: Likewise
	* src/mod_pubsub/node_club.erl: Likewise
	* src/mod_pubsub/node_dispatch.erl: Likewise
	* src/mod_pubsub/node_private.erl: Likewise
	* src/mod_pubsub/node_public.erl: Likewise

2008-01-16  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Updated the names of log files.
	* doc/guide.html: Likewise

	* src/mod_muc/mod_muc_room.erl: Added log messages for room
	destroy

	* src/mod_caps.erl: Small beautify of log error messages

2008-01-15  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Improved the documentation of Binary
	installer. Updated the requirements, specifically: Erlang R10B-9
	is required as minimum, and R12 is not yet supported. Added
	section Upgrading ejabberd. Improved documentation about Erlang
	runtime system environment variables and command-line parameters.
	* doc/guide.html: Likewise

	* doc/release_notes_2.0.0.txt: Updated to RC1
	* doc/version.tex: Likewise
	* src/ejabberd.hrl: Likewise

	* doc/introduction.tex: Updated to 22 languages

	* doc/Makefile: Ensure that Bash is used

	* doc/guide.tex: Updated copyright dates to 2008.
	* src/*: Likewise

2008-01-15  Jerome Sautret <jerome.sautret@process-one.net>

	* src/Makefile.in: Allow compilation with Erlang R12 (EJAB-446)
	(thanks to Sergei Golovan and Maxim Treskin). Erlang R12 version is
	not supported and not recommended for production servers.
	* src/aclocal.m4: Likewise
	* src/configure.ac: Likewise
	* src/configure: Likewise
	* src/ejabberd_s2s_in.erl: Likewise

2008-01-13  Badlop  <badlop@process-one.net>

	* src/ejabberdctl.template: Instead of using the Erlang kernel
	variable 'inetrc', use the ERL_INETRC environment variable that is
	available since Erlang/OTP R10B-5.

2008-01-12  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: set_subscription fix (EJAB-494)

2008-01-11  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_caps.erl: don't ask capabilities to MUC room participants
	(EJAB-478)

2008-01-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/nodetree_default: Force PEP parent node to be []

	* src/mod_pubsub/mod_pubsub.erl: Send last published PEP event now checks
	the correct peer caps (EJAB-491)
	* src/ejabberd_c2s.erl: Likewise

2008-01-09  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_room.erl: MUC kicks a participant if sends a
	private message with type=error (EJAB-496)

2008-01-08  Badlop  <badlop@process-one.net>

	* src/ejabberdctl.template: Removed the option ERL_FULLSWEEP_AFTER
	because it is almost useless regarding ejabberd's performance.
	* src/ejabberdctl.cfg.example: Likewise

2008-01-08  Christophe Romain  <christophe.romain@process-one.net>

	* doc/Makefile: fix version.tex generation bug

2008-01-01  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Uniformize the name of
	ejabberd's web admin to: 'Web Admin' (EJAB-472)
	* doc/guide.tex: Likewise
	* doc/introduction.tex: Likewise

	* src/web/ejabberd_web_admin.erl: Uniformize ejabberd name in the
	text using the Latex command

	* src/mod_muc/mod_muc_room.erl: Resend 'continue' elements in muc
	room invitations (EJAB-490)

	* src/ejabberdctl.template: Create logs_dir if doesn't exist. New
	parameters --config, --ctl-config, --logs, --spool. Crash dump
	renamed to erl_crash_DATETIME.dump.

	* src/ejabberdctl.template: Backport improvements from binary
	installer (EJAB-488): options are simple values; enable Kernel
	Poll by default, set SMP to auto, set max ports to 32000, max
	processes to 250000.
	* src/ejabberdctl.cfg.example: Likewise

	* src/ejabberd.inetrc: Renamed ejabberd.inetrc to inetrc
	* src/inetrc: Likewise
	* src/Makefile.in: Likewise
	* doc/guide.tex: Likewise

2007-12-31  Badlop  <badlop@process-one.net>

	* src/msgs/ca.msg: Updated (thanks to Vicent Alberola Canet)

2007-12-29  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_s2s_out.erl: Fixed behavior when outgoing_s2s_port
	option is not defined (EJAB-487)

2007-12-27  Badlop  <badlop@process-one.net>

	* src/mod_vcard_ldap.erl: Fix some field names (EJAB-483)

2007-12-26  Badlop  <badlop@process-one.net>

	* src/web/ejabberd_web_admin.erl: Translate menu items of webadmin
	hooks in each module (EJAB-485)
	* src/mod_shared_roster.erl: Likewise

	* src/web/ejabberd_web_admin.erl: max_user_sessions access rule
	contains an integer, but webadmin always expects atoms (EJAB-482)

2007-12-25  Badlop  <badlop@process-one.net>

	* src/mod_configure.erl: Bugfix, update to match changes in
	mod_announce SVN r1099

2007-12-24  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: remove useless get_roster_info call in
	presence_probe handling when access rule is presence

2007-12-24  Mickael Remond  <mremond@process-one.net>

	* doc/release_notes_2.0.0.txt: ejabberd 2.0.0 beta 1 release
	notes.

2007-12-23  Badlop  <badlop@process-one.net>

	* src/msgs/vi.msg: New Vietnamese translation (thanks to EQHO
	Communications)

	* src/msgs/th.msg: New Thai translation (thanks to EQHO
	Communications)

	* src/msgs/gl.msg: Updated (thanks to Carlos E. Lopez)

	* src/mod_muc/mod_muc_room.erl: Log room creation and
	destruction. Ensure JID of owners of MUC room are user, not
	server (EJAB-435)

2007-12-22  Badlop  <badlop@process-one.net>

	* src/ejabberd.app: Update ejabberd.app: add new erlang
	modules (EJAB-466)

	* doc/introduction.tex: Small updates

	* doc/guide.tex: Small fixes in Install. Added http_bind to
	Listening Ports.

	* src/web/ejabberd_http.erl: Add 'http_bind' option for easy
	configuration of HTTP-Binding

	* src/mod_announce.erl: Fixed unnoticeable bug related to Node
	matching. Renamed some nonstandard node names according to
	XEP-0133. Small reordering of clauses. When editing MOTD, display
	current value (EJAB-475)

2007-12-22  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_sm.erl: change incoming_presence_hook to
	presence_probe_hook
	* src/ejabberd_c2s.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: send last pep item bugfix and
	broadcast optimization (EJAB-468) (EJAB-467) (EJAB-460) (EJAB-469)
	* src/mod_pubsub/pubsub.hrl: Likewise
	* src/mod_pubsub/node_default.erl: Likewise

2007-12-22  Badlop  <badlop@process-one.net>

	* src/mod_caps.erl: Bugfix in timeout checking. Check for timeout
	when an error response is received, and also before querying

2007-12-21  Badlop  <badlop@process-one.net>

	* src/ejabberd_ctl.erl: Added new command: mnesia (thanks to
	Tsukasa Hamano)

2007-12-21  Mickael Remond  <mremond@process-one.net>

	* src/msgs/fr.msg: Updated French translation (EJAB-295)

2007-12-21  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: disco#items bugfix (EJAB-465)

2007-12-21  Badlop  <badlop@process-one.net>

	* src/msgs/uk.msg: Updated (thanks to Ruslan Rakhmanin)

	* src/msgs/de.msg: Updated (thanks to Nikolaus Polak and Cord
	Beermann)

	* contrib/extract_translations/prepare-translation.sh: Small fix

2007-12-20  Badlop  <badlop@process-one.net>

	* src/mod_caps.erl: Don't include the Node attribute from C
	element in the disco#info query

2007-12-20  Christophe Romain <christophe.romain@process-one.net>

	* doc/guide.tex: Explain how to launch installer and improve
	ejabberdctl usage example (EJAB-420)
	* doc/guide.html: Likewise

	* src/mod_pubsub/mod_pubsub.erl: PEP notification bugfix

	* src/odbc/odbc_queries.erl: User count performance improvements
	(EJAB-239)

2007-12-20  Badlop  <badlop@process-one.net>

	* src/msgs/zh.msg: Small update (thanks to Shelley Shyan)

	* src/msgs/ru.msg: Small update (thanks to Konstantin Khomoutov)

2007-12-19  Badlop  <badlop@process-one.net>

	* src/msgs/pl.msg: Updated (thanks to Andrzej Smyk)(EJAB-463)

	* src/msgs/de.msg: Updated (thanks to Cord Beermann)

	* src/msgs/es.msg: Small update (thanks to Badlop)

	* src/msgs/cs.msg: Small update (thanks to Lukas Polivka alias
	Spike411)

	* src/web/ejabberd_web_admin.erl: No need to translate copyright
	notice

2007-12-18  Badlop  <badlop@process-one.net>

	* src/mod_muc/mod_muc_log.erl: Add handling of kicks 321, 322, 332

	* doc/guide.tex: Document mod_privacy_odbc

	* doc/Makefile: Support for conditional inclusion of documentation
	from contributed modules
	* doc/guide.tex: Likewise

2007-12-18  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Purge related pep nodes at remove_user
	* src/mod_pubsub/node_pep.erl: Likewise

2007-12-17  Badlop  <badlop@process-one.net>

	* src/ejabberd_zlib/Makefile.in: Compile all erl files found in
	the directory, so it isn't needed to provide an explicit list of
	target files
	* src/eldap/Makefile.in: Likewise
	* src/mod_irc/Makefile.in: Likewise
	* src/mod_muc/Makefile.in: Likewise
	* src/mod_proxy65/Makefile.in: Likewise
	* src/mod_pubsub/Makefile.in: Likewise
	* src/odbc/Makefile.in: Likewise
	* src/pam/Makefile.in: Likewise
	* src/stringprep/Makefile.in: Likewise
	* src/tls/Makefile.in: Likewise
	* src/web/Makefile.in: Likewise
	* src/ejabberd_zlib/Makefile.win32: Likewise
	* src/eldap/Makefile.win32: Likewise
	* src/mod_irc/Makefile.win32: Likewise
	* src/mod_muc/Makefile.win32: Likewise
	* src/mod_proxy65/Makefile.win32: Likewise
	* src/mod_pubsub/Makefile.win32: Likewise
	* src/odbc/Makefile.win32: Likewise
	* src/stringprep/Makefile.win32: Likewise
	* src/tls/Makefile.win32: Likewise
	* src/web/Makefile.win32: Likewise

	* doc/guide.tex: Remove 'ssl' option from documentation and
	configuration load (EJAB-461)
	* src/ejabberd_listener.erl: Likewise

	* src/msgs/cs.msg: Small typo (thanks to Lukas Polivka alias
	Spike411)

	* src/ejabberd.cfg.example: Small change in order of options

2007-12-15  Badlop  <badlop@process-one.net>

	* src/mod_irc/iconv.erl: Changed order of handle_info
	clause (EJAB-290)
	* src/stringprep/stringprep.erl: Likewise

	* src/eldap/eldap.erl: Removed handle_sync_event clause because it
	is never called (EJAB-290)

	* src/mod_irc/mod_irc.erl: No need to translate copyright notice
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_vcard.erl: Likewise
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise
	* src/msgs/*.msg: Likewise

	* contrib/extract_translations/prepare-translation.sh: Bugfix

2007-12-14  Badlop  <badlop@process-one.net>

	* src/msgs/*: Unified file format: First line is SVN Id
	tag. Second is Language name. Next lines are authors, adding the
	new ones on top. Each string must be in a single line (to
	facilitate the automatic removal of unused strings). Last four
	lines report file format for Emacs and Vim.

	* contrib/extract_translations/prepare-translation.sh: New
	features: extract all translations, include explanation for
	translators in the file, remove unused strings from file, include
	unused strings in a section for reference, provide information
	about current translation and number of missing strings, compress
	the files to a zip

	* contrib/extract_translations/extract_translations.erl: Reverted
	to the original version

2007-12-14  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_s2s_out.erl: Bugfix

2007-12-12  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: presence handler bugfix
	* src/mod_pubsub/node_default.erl: Allow send last item on presence

2007-12-12  Badlop  <badlop@process-one.net>

	* src/msgs/it.msg: Updated (thanks to Luca Brivio)

2007-12-11  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: notification broadcast bugfix

	* src/jlib.hrl: add pubsub namespace

2007-12-11  Badlop  <badlop@process-one.net>

	* src/msgs/tr.msg: New translation (thanks to Doruk Fisek)

	* src/msgs/zh.msg: Updated (thanks to Shelley Shyan)

2007-12-10  Badlop  <badlop@process-one.net>

	* src/msgs/ja.msg: Updated (thanks to Tsukasa Hamano)

	* doc/guide.tex: Small improvement in mod_shared_roster

	* src/mod_irc/mod_irc.erl: Bugfix in ACL check (thanks to Sergei
	Golovan)

2007-12-10  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: database upgrade and auto-create
	pep node bugfix

2007-12-09  Mickael Remond  <mremond@process-one.net>

	* src/web/ejabberd_http.erl: Fixed URL decoding code (EJAB-450)

	* src/msg/fr.msg: Added missing space.

2007-12-09  Badlop  <badlop@process-one.net>

	* src/msgs/ru.msg: Updated (thanks to Konstantin Khomoutov)

2007-12-08  Badlop  <badlop@process-one.net>

	* src/msgs/ja.msg: New translation (thanks to Tsukasa Hamano)

	* src/msgs/nl.msg: Updated (thanks to Andreas van Cranenburgh)

	* src/ejabberd_config.erl: Report human-readable message when
	Mnesia spool files are not readable.

2007-12-08  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s_out.erl: Increase dialback timeout as dialback can
        sometimes take longer than expected.

2007-12-08  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: disco_sm_items bugfix

2007-12-07  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_sm.erl: Bugfix

2007-12-07  Badlop  <badlop@process-one.net>

	* src/Makefile.in: Fix compilation warnings: Part 5: To fix a
	warning about behaviour undefined, the erlang module that
	implements the behaviour must be compiled before the module that
	uses such behaviour (EJAB-290)

	* src/eldap/eldap.erl: Fix compilation warnings: Part 4 (EJAB-290)
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/mod_irc/iconv.erl: Fix compilation warnings: 3 (EJAB-290)
	* src/mod_irc/mod_irc.erl: Likewise
	* src/mod_irc/mod_irc_connection.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/stringprep/stringprep.erl: Likewise
	* src/web/ejabberd_http.erl: Likewise
	* src/web/ejabberd_http_poll.erl: Likewise

	* src/mod_caps.erl: Fix compilation warnings: Part 2 (EJAB-290)
	* src/mod_configure.erl: Likewise
	* src/mod_configure2.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_shared_roster.erl: Likewise
	* src/mod_stats.erl: Likewise
	* src/mod_version.erl: Likewise

	* src/cyrsasl.erl: Fix compilation warnings: Part 1 (EJAB-290)
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_config.erl: Likewise
	* src/ejabberd_hooks.erl: Likewise
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd_sm.erl: Likewise
	* src/idna.erl: Likewise
	* src/jd2ejd.erl: Likewise

2007-12-06  Badlop  <badlop@process-one.net>

	* src/**/*.erl: Remove Erlang module attribute 'vsn' because it
	doesn't provide any worth feature, and it difficults hot code
	update (EJAB-440)

	* src/ejabberdctl.cfg.example: Explain that each connection uses
	two or three ports (thanks to Max Loparyev)

	* src/configure: Regenerated
	* doc/dev.html: Likewise
	* doc/features.html: Likewise
	* doc/guide.html: Likewise
	* doc/version.tex: Likewise

	* doc/introduction.tex: Updated number of translated languages

	* src/web/ejabberd_web_admin.erl: Support more native acl_type on
	web interface (EJAB-253)

	* src/ejabberd_c2s.erl: Increase the timeout of open socket
	without authentication to 60 seconds because many Jabber clients
	are not yet capable of handling this correctly (EJAB-355)

	* src/Makefile.in: Allow compilation with HiPE, disabled by
	default, undocumented and unrecommended because it is experimental
	and doesn't seem to provide meaningful gains currently (thanks to
	Samuel Tardieu) (EJAB-412)
	* src/configure.ac: Likewise

	* src/msgs/cs.msg: Updated (thanks to Lukas Polivka alias
	Spike411)

	* src/mod_muc/mod_muc.erl: Catch creation of table
	muc_online_users: it may be already created by other mod_muc
	instance

	* doc/Makefile: Remove bashism

	* doc/guide.tex: Document how to change computer
	hostname (EJAB-320)

	* src/web/ejabberd_http.erl: Change loglevel for http
	queries (EJAB-363)
	* src/web/ejabberd_web_admin.erl: Likewise

	* doc/guide.tex: Add mod_caps and improve mod_pubsub documentation
	* src/ejabberd.cfg.example: Added mod_caps enabled by default

2007-12-06  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/node_dispatch.erl: Correct syntax issue
	* src/mod_pubsub/Makefile.in: include example plugins
	* src/mod_pubsub/Makefile.win32: likewise
	* src/ejabberd.cfg.example: use default and pep pubsub plugins
	* doc/guide.tex: add nodetree and plugins pubsub option
	* doc/guite.html: likewise

2007-12-06  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Document the Debug Console (EJAB-395)

	* src/ejabberdctl.template: The parameter 'kernel inetrc' is used
	even with -sname to guarantee the same behaviour that when using
	-name (EJAB-317)

	* doc/guide.tex: Improvements in sections: Start, Creating Initial
	Account, Module Overview, Managing an ejabberd server, and
	Debugging

2007-12-05  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Added explanations about epmd, cookie and node
	name (EJAB-251)

	* src/msgs/zh.msg: Updated (thanks to Shelley Shyan)

	* src/mod_muc/mod_muc_room.erl: Rephrase the invitation sentence
	to make more natural

	* src/msgs/es.msg: Updated

	* src/ejabberd.hrl: Set more proper version number

	* contrib/extract_translations/extract_translations.erl: Don't
	report [] to be translated. Identify unusued strings.

2007-12-04  Badlop  <badlop@process-one.net>

	* .gitignore: Removed (EJAB-441)
	* src/.cvsignore: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Bugfix: don't report the Jabber
	server as a pubsub service. Fixed URI.

2007-12-03  Mickael Remond  <mremond@process-one.net>

	* src/mod_muc.erl: Added option to limit the number of room a user is
	allowed to connect to (EJAB-445).
	* src/mod_muc_room.erl: Likewise.
	* doc/guide.tex: Likewise.:ChangeLog

2007-12-02  Badlop  <badlop@process-one.net>

	* src/ejabberdctl.cfg.example: Bugfix in kernel poll. Added SMP
	option. Reorganization of options
	* src/ejabberdctl.template: Added SMP option

	* src/Makefile.in: New options make uninstall and
	uninstall-all (EJAB-293)

2007-12-01  Mickael Remond  <mremond@process-one.net>

	* doc/Makefile: echo seems to interpret \n and \v under MacOSX
	Leopard. I fixed the problem but let me know if it breaks build
	chain in other contexts.

	* Doc/guide.tex: Updated Windows compilation instructions.
	* src/configure.erl: Likewise.

	* doc/ejabberd.hrl: Preparing ejabberd 2.0.0 beta release.
	* doc/version.tex: Likewise.

	* src/tls/Makefile.win32: Updated for latest Win32 OpenSSL library.

	* src/odbc_queries.erl: Added a default define value so that we
	can recompile the file manually with a simple erlc command (with
	the default generic value).

2007-12-01  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_pubsub/Makefile.in: Removed mod_pubsub_old mentioning
	* src/mod_pubsub/Makefile.win32: Likewise

	* src/odbc/odbc_queries.erl: Reverted the previous patch because
	it produces "redefining macro 'generic'" compilation error

	* src/mod_caps.erl: CAPS support (thanks to Magnus Henoch)
	* src/ejabberd_local.erl: Support for IQ responses
	* src/jlib.erl: Added iq_query_or_response_info/1 function
	* src/jlib.hrl: Added NS_PUBSUB_ERRORS and NS_CAPS

	* src/mod_pubsub/Makefile.in: New pubsub+pep implementation
	(thanks to Christophe Romain and Magnus Henoch)
	* src/ejabberd_sm.erl: Added get_session_pid/3 function
	* src/ejabberd_c2s.erl: Added get_subscribed_and_online/1 function

2007-11-30  Mickael Remond  <mremond@process-one.net>

	* src/odbc_queries.erl: Added a default define value so that we
	can recompile the file manually with a simple erlc command.

2007-11-29  Badlop  <badlop@process-one.net>

	* src/mod_vcard.erl: Add type of x:data field to search results
	(thanks to Robin Redeker) (EJAB-327)
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise

	* src/aclocal.m4: Fix autoconf caching for SSL libraries (thanks
	to Michael Shields) (EJAB-439)

	* src/configure.ac: Don't hardcode gcc and gcc options in
	Makefiles (thanks to Etan Reisner) (EJAB-436)
	* src/Makefile.in: Likewise
	* src/ejabberd_zlib/Makefile.in: Likewise
	* src/eldap/Makefile.in: Likewise
	* src/mod_irc/Makefile.in: Likewise
	* src/mod_muc/Makefile.in: Likewise
	* src/mod_proxy65/Makefile.in: Likewise
	* src/mod_pubsub/Makefile.in: Likewise
	* src/odbc/Makefile.in: Likewise
	* src/pam/Makefile.in: Likewise
	* src/stringprep/Makefile.in: Likewise
	* src/tls/Makefile.in: Likewise
	* src/web/Makefile.in: Likewise

	* src/mod_muc/mod_muc_room.erl: Hide the option 'Make room
	moderated' because it isn't implemented, and set the default value
	of 'moderated' to true because that is the behaviour
	implemented (EJAB-419)

2007-11-28  Badlop  <badlop@process-one.net>

	* doc/guide.tex: It should be made more clear that domain_certfile
	works for both s2s and c2s connections (EJAB-212). Added another
	example of listening ports.

	* doc/guide.tex: Update URI of ejabberd official home page, URI
	of ejabberd.jabber.ru, and copyright dates (EJAB-366)
	* doc/introduction.tex: Likewise
	* src/ejabberd.hrl: Likewise
	* src/ejabberd_admin.erl: Likewise
	* src/mod_irc/mod_irc.erl: Likewise
	* src/mod_irc/mod_irc_connection.erl: Likewise
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_muc/mod_muc_log.erl: Likewise
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_vcard.erl: Likewise
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise
	* src/msgs/*.msg: Updated
	* src/web/ejabberd_web_admin.erl: Likewise

2007-11-27  Badlop  <badlop@process-one.net>

	* src/gen_mod.erl: Update in database the configuration changes in
	modules (EJAB-330)

	* src/mod_configure.erl: The command get-user-lastlogin is now
	compatible with both Mnesia and ODBC (EJAB-383)
	* src/mod_last.erl: Likewise
	* src/mod_last_odbc.erl: Likewise

	* doc/guide.tex: Document ejabberd_http's
	request_handlers (EJAB-372). Fixed small Latex problems.
	Sort options of listening sockets.

2007-11-27  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_announce.erl: Bugfix (thanks to Christophe Romain)

2007-11-27  Badlop  <badlop@process-one.net>

	* doc/guide.tex: Added clarification about LDAP default port
	(thanks to Christophe Romain).

	* src/mod_vcard.erl: Ensure mod_vcard to respect FORM_TYPE
	registry (EJAB-328).
	* src/mod_vcard_ldap.erl: Likewise.
	* src/mod_vcard_odbc.erl: Likewise.
	* doc/guide.tex: Updated documentation.

	* src/mod_muc/mod_muc_room.erl: Don't show the room name as the
	room description (EJAB-382).

2007-11-26  Badlop  <badlop@process-one.net>

	* src/ejabberd.cfg.example: Added example configuration of
	databases.

	* doc/guide.tex: Fixed several typos.

	* src/ejabberd_config.erl: Print error when the configuration
	requires ODBC, MySQL or PostgreSQL libraries but are not installed
	(EJAB-210).

	* src/web/ejabberd_web_admin.erl: Added a favicon (EJAB-379).

	* src/msgs/wa.msg: New Walon translation (thanks to Pablo
	Saratxaga) (EJAB-374).

	* doc/guide.tex: Describe how ejabberd treats ejabberd.cfg file
	(EJAB-384).

	* src/ejabberd.cfg.example: Huge reorganization and grouping of
	options (EJAB-392).

	* doc/guide.tex: Describe in mod_muc: nick register and service
	admin message (EJAB-400).

	* src/mod_echo.erl: Example function that demonstrates how to
	receive XMPP packets using Erlang's message passing mechanism
	(EJAB-247).

	* src/ejabberdctl.template: Removed bashisms (EJAB-399). Set
	environment variables instead of passing parameters when calling
	erl (EJAB-421). Write erl_crash.dump in the log/ directory, with
	unique filename (EJAB-433).

	* src/ejabberd_ctl.erl: Improvements in the help messages
	(EJAB-399).

	* doc/guide.tex: Improvements in sections ejabberdctl, and Install
	from Source (EJAB-399).

2007-11-25  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_router.erl: Bugfix

	* src/ejabberd_s2s_out.erl: Bugfix

	* src/ejabberd_sm.erl: Optimized check_max_sessions (thanks to
	Christophe Romain)

2007-11-22  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_config.erl: Improved error message when ejabberd
	config file is not found.

2007-11-16  Christophe Romain <christophe.romain@process-one.net>

	* src/ejabberd_auth_internal.erl: Better count management and
	batch users retrieval internal database

2007-11-14  Mickael Remond  <mremond@process-one.net>

	* examples/extauth/check_pass_null.pl: Fixed external
	authentication example script (EJAB-404)

2007-11-05  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_config.erl: Refactoring: Move internal data
	structure to an include file.
	* src/ejabberd_config.hrl: Likewise.

2007-11-03  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_auth.erl: Better count management and batch users
	retrieval for relational database (Thanks to Massimiliano Mirra).
	* src/ejabberd_auth_odbc.erl: Likewise.
	* src/odbc/odbc_queries.erl: Likewise.

2007-11-02  Mickael Remond  <mremond@process-one.net>

	* src/web/ejabberd_http_poll.erl: Refactoring. Moved c2s limits
	acquisition to a separate module.
	* src/ejabberd_c2s_config.erl: Likewise.

2007-11-01  Mickael Remond  <mremond@process-one.net>

	* src/web/ejabberd_http_poll.erl: Support for c2s ACL access,
	max_stanza and shaper on http_poll connections (EJAB-243,
	EJAB-415, EJAB-416)

2007-10-30  Jerome Sautret  <jerome.sautret@process-one.net>

	* src/ejabberd_s2s.erl: don't use the resource of the sender to choose
	a s2s connection to ensure that a muc room always uses the same
	connection (EJAB-360)

2007-10-23  Christophe Romain  <christophe.romain@process-one.net>

	* doc/dev.tex: Added extauth script details (EJAB-334)

2007-10-17  Christophe Romain  <christophe.romain@process-one.net>

	* src/ejabberdctl.template: Bugfix on previous change (EJAB-380)

2007-10-17  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberdctl.template: Several improvements (EJAB-380)
	(thanks to Sander Devrieze, Sergei Golovan, Torsten Werner and
	Badlop)
	* src/ejabberdctl.cfg.example: Likewise
	* src/ejabberd.inetrc: Likewise
	* src/Makefile.in: Likewise

	* src/mod_privacy.erl: Bugfix

2007-10-07  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_vcard_odbc.erl: Reverted previous change

2007-10-06  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_vcard_odbc.erl: Bugfix

	* src/mod_offline_odbc.erl: Bugfix

2007-10-01  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_auth_pam.erl: Support for PAM authentication (EJAB-307)
	(thanks to Evgeniy Khramtsov)
	* src/ejabberd.cfg.example: Likewise
	* src/configure.ac: Likewise
	* src/aclocal.m4: Likewise
	* src/Makefile.in: Likewise
	* examples/ejabberd.pam: Likewise
	* doc/guide.tex: Likewise

2007-09-28  Christophe Romain  <christophe.romain@process-one.net>

	* src/odbc/mysql.sql: Added some missing NOT NULL restrictions
	* src/odbc/mssql.sql: Likewise
	* src/odbc/pg.sql: Likewise

2007-09-27  Christophe Romain  <christophe.romain@process-one.net>

	* src/ejabberdctl.template: apply rootdir patch from Badlop (EJAB-385)
	* tools/ejabberdctl: define EJABBERD_EBIN as from ejabberdctl.template

2007-09-25  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_s2s.erl: Max number of connections and max number
	of connections per node now can be specified via
	max_s2s_connections and max_s2s_connections_per_node acl rules

2007-09-14  Mickael Remond  <mremond@process-one.net>

	* src/ejabberd_s2s_out.erl: Changed to actual p1_fsm behaviour. It
	was working correctly as the API of p1_fsm and gen_fsm is strictly
	the same.

	* src/ejabberd_s2s_in.erl: Added debug hook for s2s loop (EJAB-358).

	* src/ejabberd_c2s.erl: Added debug hook for c2s loop (EJAB-358).

	* src/ejabberd_s2s.erl: open all missing connections if
	needed (Jerome Sautret).

	* src/ejabberd_s2s.erl: don't check blacklist for services (Jerome
	Sautret).

	* src/ejabberd_s2s.erl: Try to open all s2s connections at the
	same time, to guarantee the right order of the packets (Jerome
	Sautret).

	* src/ejabberd_s2s.erl: max_s2s_connexions_number local parameter
	added (Jerome Sautret).

	* src/ejabberd_s2s_out.erl: Implements s2s negociation timeouts
	and s2s connection retrial interval (EJAB-357, EJAB-294).

	* src/ejabberd_c2s.erl: Implements timeouts during session opening
	negociation (EJAB-355).

	* doc/guide.tex: Documentation for new configure option
	--disable-transient-supersisors (EJAB-354).

	* src/ejabberd_c2s.erl: Option to prevent the use of Erlang OTP
	supervisor for transient processes (EJAB-354).
	* src/ejabberd_s2s_in.erl: Likewise.
	* src/ejabberd_s2s_out.erl: Likewise.
	* src/mod_muc/mod_muc_room.erl: Likewise.
	* src/configure.ac: Likewise.
	* src/configure: Likewise.
	* src/Makefile.in: Likewise.
	* src/mod_muc/Makefile.in: Likewise.

	* src/ejabberd_s2s_out.erl: Moved s2s connexion information from
	INFO level to DEBUG level and more human readable information
	explai

	* src/ejabberd_s2s_in.erl: Moved s2s connexion information from
	INFO level to DEBUG level (EJAB-353).

	* src/ejabberd_s2s_out.erl: open up to 3 s2s outgoing connection
	per domain pair (Jerome Sautret).
	* src/ejabberd_s2s.erl: Likewise.

2007-09-11  Alexey Shchepin  <alexey@process-one.net>

	* src/gen_mod.erl: Added get_module_opt_host/3 (thanks to Badlop)

2007-09-10  Mickael Remond  <mremond@process-one.net>

	* src/guide.tex: Fix: user_regexp acls are valid for all local
	users (all vhosts).

2007-09-06  Mickael Remond  <mremond@process-one.net>

	* src/guide.tex: Improved documentation for adding a vhost
	specific option (EJAB-297).

	* src/mod_configure.erl: Virtual host support for
	mod_configure (Thanks to Badlop) (EJAB-285).

2007-09-05  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_offline_odbc.erl: Bugfix

2007-09-04  Mickael Remond  <mremond@process-one.net>

	* src/mod_register.erl: update ejabberd commands to support
	XEP-0133 (initial patch by Badlop) (EJAB-325).
	* src/mod_configure.erl: Likewise.
	* src/mod_announce.erl: Likewise.
	* src/jlib.hrl: Likewise.
	* src/ejabberd.cfg.example: Likewise.
	* doc/guide.tex: Likewise.

2007-09-03  Mickael Remond  <mremond@process-one.net>

	* examples/extauth/check_pass_null.pl: Perl is generally available
	as a default in most Linux distributions.

2007-09-02  Alexey Shchepin  <alexey@process-one.net>

	* src/jlib.erl: Removed http_base_64:decode call

	* src/mod_muc/mod_muc_room.erl: Added logging of MUC admin/owner
	queries

2007-09-01  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Added user_message_shaper and
	room_shaper options
	* src/mod_muc/mod_muc.erl: Likewise

2007-08-31  Mickael Remond  <mremond@process-one.net>

	* doc/guide.tex: Minor examples improvement in LDAP
	example (Thanks to Badlop) (EJAB-272).

	* doc/guide.tex: Documentation for mod_muc option for server-wide
	limitation of the maximum number of users per room (EJAB-344).

	* doc/guide.tex: Documentation for mod_muc option to allow admin
	to enter room even if the maximum number of users
	reached (EJAB-345).

	* src/web/ejabberd_web_admin.erl: Make the web interface pages
	"translatable" (Thanks to Badlop) (EJAB-11).

2007-08-29  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd.cfg.example: Updated mod_muc 'host' option default
	value (thanks to Badlop)

	* src/mod_muc/mod_muc_room.erl: The mod_muc option max_users now
	limits max number of users in rooms and max_users_admin_threshold
	sets a number of admin or owner accounts allowd to join after
	max_users occupants

2007-08-29  Mickael Remond  <mremond@process-one.net>

	* doc/guide.tex: Documentation for XML based optimisation build
	time option (EJAB-298)

2007-08-29  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_muc/mod_muc_log.erl: Added missed HTMLization in a
	nickname change logging (thanks to Badlop)

2007-08-28  Mickael Remond  <mremond@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Changed default max number of user
	in a room to 200 (EJAB-248)

	* src/mod_offline_odbc.erl: Implements quota for offline messages
	in relational database (EJAB-314)
	* src/odbc/odbc_queries.erl: Likewise

2007-08-28  Alexey Shchepin  <alexey@process-one.net>

	* doc/guide.tex: Described @HOST@ feature (thanks to Badlop)

2007-08-26  Mickael Remond  <mremond@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Implements muc max users option
	from XEP-0045 (Thanks to Jerome Sautret) (EJAB-248).

2007-08-26  Alexey Shchepin  <alexey@process-one.net>

	* doc/guide.tex: Removed mentions of unexistent 'hosts' modules
	option (thanks to Badlop)

2007-08-25  Alexey Shchepin  <alexey@process-one.net>

	* src/gen_mod.erl: Substitute @HOST@ with hostname in the 'host'
	option (thanks to Badlop)
	* src/mod_vcard.erl: Likewise
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_irc/mod_irc.erl: Likewise
	* src/mod_echo.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise

2007-08-24  Alexey Shchepin  <alexey@process-one.net>

	* src/web/ejabberd_web_admin.erl: Moved roster stuff to mod_roster*
	* src/mod_roster.erl: Likewise
	* src/mod_roster_odbc.erl: Likewise

2007-08-23  Alexey Shchepin  <alexey@process-one.net>

	* src/ejabberd_sm.erl: Removed check which denies resource to
	receive its own presence

	* src/web/ejabberd_web_admin.erl: Added hooks to allow plugins to
	add their pages without modifying ejabberd_web_admin.erl (thanks
	to Badlop)
	* src/web/ejabberd_web_admin.hrl: Macro definitions moved here
	* src/mod_shared_roster.erl: Updated
	* src/mod_offline.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise

2007-08-22  Alexey Shchepin  <alexey@process-one.net>

	* src/jlib.erl: Use http_base_64:decode if available

2007-08-20  Alexey Shchepin  <alexey@process-one.net>

	* src/mod_roster.erl: Don't send roster push when unsubscribing in
	"None + Pending In" state
	* src/mod_roster_odbc.erl: Likewise

	* src/mod_offline.erl: Renamed MAX_OFFLINE_MSGS to MaxOfflineMsgs

2007-08-16  Jerome Sautret  <jsautret@process-one.net>

	* src/odbc/ejabberd_odbc_sup.erl: Add an odbc_pool_size config
	file option to choose the number of SQL connection in each
	pool (EJAB-58).
	* src/odbc/ejabberd_odbc.erl: Add an odbc_keepalive_interval
	config file option to perform a keep alive query at given
	interval (EJAB-206).

2007-08-13  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_offline.erl: Added a config option to define the maximum
	number of offline messages per user (EJAB-314).

	* doc/guide.tex: Added documentation for the mod_offline quota
	(EJAB-314).

	* doc/guide.tex: Remove release notes (EJAB-323).

	* src/mod_offline.erl: Returns an error message to sender when
	message is discarded due to quota (EJAB-314).

2007-08-12  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/ejabberd_odbc.erl: UTF-8 support for MySQL5 (EJAB-318).

2007-08-09  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Minor update (thanks to Sergei Golovan)

2007-08-08  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_offline.erl: Only count messages if a quota has been
	actually set (EJAB-314).
	* src/p1_mnesia.erl: Minor coding style change.

2007-08-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_offline.erl: Started implementation of mod_offline
	quota. For now, it require change in code. Will be turn into a
	config file parameter soon. (EJAB-314).
	* src/p1_mnesia.erl: Added memory efficient record count in
	Mnesia.

2007-08-03  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_announce.erl: Added support to all the announce features
	described in documentation. Access to all announce features
	through command line, adhoc commands and disco (Thanks to
	Badlop) (EJAB-18).
	* src/gen_mod.erl: Likewise.
	* doc/guide.tex: Likewise.

2007-08-02  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Added default_room_options option
	(thanks to Etan Reisner and Badlop)
	* src/mod_muc/mod_muc_room.erl: Likewise
	* doc/guide.tex: Updated

2007-08-01  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Front page table formatting that render correctly
	in HTML and update mentionning CEAN as a way to install
	ejabberd (Thanks to Badlop) (EJAB-272).

	* src/ejabberd_s2s_out.erl: Avoid bouncing messages twice if
	terminate happens during open_socket.

	* src/ejabberd_s2s_out.erl: On terminate, bounce internal process
	queue and Erlang message queue.

	* src/mod_private.erl: Reduce memory consumption on user private
	storage removal (EJAB-299).

2007-07-31  Mickael Remond  <mickael.remond@process-one.net>

	* src/xml.erl: Making use of CDATA escaping optional through with
	a compile time option (EJAB-298).
	* src/Makefile.in: Likewise.
	* src/configure.ac: Likewise.

2007-07-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_version.erl: Added option to hide OS version (thanks to
	Badlop)
	* doc/guide.tex: Updated

	* src/msgs/zh.msg: Updated (thanks to Shelley Shyan)

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/msgs/gl.msg: New galician translation (thanks to
	Carlos E. Lopez)

	* src/ejabberd_config.erl: Added possibility for appending values
	to config options (thanks to Badlop)
	* doc/guide.tex: Updated

2007-07-30  Mickael Remond  <mickael.remond@process-one.net>

	* src/xml.erl: Better escaping management with CDATA. We only add
	CDATA enclosure when needed. CDATA end token is properly escaped.

	* src/xml.erl: Only wrap xmldata nodes in xml cdata "tag" if
	bigger than 50 bytes. Shorter xmlcdata nodes will be escaped.

	* src/tls/tls_drv.c: Sends the entire certificate chain (EJAB-209).

	* src/acl.erl: Remove compilation warnings (EJAB-290).

	* src/xml_stream.erl: Group CDATA on a single xmlcdata
	node (splitting is not relevant as dependant on TCP/IP packet
	fragmentation) (EJAB-292).

	* src/xml.erl: Remove compilation warnings (EJAB-290).

	* src/xml.erl: Do not crypt binary CData, but enclose the value in
	XML CDATA "tag".

	* src/xml.erl: Code clean-up: removed old code in comments.

2007-07-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_roster_odbc.erl: Better error management when bad JID in
	roster table (EJAB-289).

2007-07-26  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_web_admin.erl: Code clean-up.

	* src/mod_offline.erl: Code clean-up.

	* src/gen_mod.erl: Throw error more cleanly.

	* src/mod_configure.erl: One ACL call was not virtual host
	compliant.

	* src/ejabberd_auth_odbc.erl: Fixed wrong call preventing user
	removal with relational databases.

	* src/mod_last_odbc.erl: Adapted to mod_privacy changes.
	* src/mod_privacy_odbc.erl: Refactoring to extract records in
	include file.

	* src/mod_last.erl: Adapted to mod_privacy changes.
	* src/mod_privacy.erl: Refactoring to extract records in include
	file.
	* src/mod_privacy.hrl: Likewise.

	* src/mod_roster_odbc.erl: Fixed wrong call.

2007-07-24  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Added recommandations on max_stanza options
	usage.

	* src/ejabberd_s2s_out.erl: Autodisconnect s2s connections which
	are overloaded (EJAB-287).
	* src/p1_fsm.erl: Likewise.

2007-07-19  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_s2s_in.erl: Add s2s whitelist / blacklist support
	on incoming s2s connections (EJAB-283)
	* src/ejabberd_s2s.erl: Likewise

2007-07-18  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_s2s.erl: Fixed typos.

	* src/ejabberd_s2s.erl: Implements s2s hosts whitelist / blacklist
	* src/ejabberd.cfg.example: Likewise

	* src/ejabberd_s2s_out.erl: Make s2s connections more robust
	* src/ejabberd_s2s.erl: Likewise

2007-07-17  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_configure.erl: Bugfix: Show only virtual host users
	on admin disco for all users (EJAB-268) (Thanks to Badlop).

	* src/mod_muc/mod_muc_log.erl: Recognise more URI schemes in
	logged HTML (EJAB-279) (Thanks to qu1j0t3).

	* src/ejabberd_s2s_out.erl: Improved place of the INFO /
	DEBUG printout.

	* src/odbc/ejabberd_odbc.erl: Better error handling for MySQL
	native driver (EJAB-224).

2007-07-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s.erl: Added remove_connection/3
	* src/ejabberd_s2s_out.erl: Bugfix: remove only own s2s record

2007-07-11  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s_out.erl: Bounce packets after unregistering s2s
	connection, not before

2007-07-11  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_echo.erl: mod_echo does not reply to other
	components. This is to make sure that a component will not
	discover its own capabilities (Thanks to Badlop) (EJAB-281).
	* src/ejabberd.cfg.example: disable mod_echo in the example config
	file. mod_echo is mainly a development/test module.

2007-07-09  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/mssql.sql: Nickname cannot be null in rosterusers table
	(MSSQL)
	* src/odbc/mysql.sql: Likewise
	* src/odbc/pg.sql: Likewise

2007-06-29  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_config.erl: Normalize hostnames in config file. If mixed
	case is used, the hostname will be now useable (EJAB-277).
	* src/stringprep/stringprep_sup.erl: Likewise
	* src/stringprep/Makefile.in: Likewise
	* src/stringprep/Makefile.win32: Likewise
	* src/ejabberd_app.erl: Likewise

2007-06-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_auth_anonymous.erl: Do not purge non anonymous accounts
	when using anonymous authentication with another type of auth.

	* src/ejabberd_service.erl: Added an option to disable from attribute
	checks in packets coming from an external component (EJAB-275)
	* doc/guide.tex: Likewise

	* doc/guide.tex: Documentation rework started (EJAB-272)
	* doc/introduction.tex: Likewise

2007-06-28  Christophe Romain <christophe.romain@process-one.net>

	* src/web/ejabberd_web_admin.erl: corrects (EJAB-273),
	remove obsolete OnlineUsers calculation

2007-06-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Include <body/> in MUC invitations
	for older clients (thanks to Michael Scherer)

2007-06-25  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Typos

	* src/mod_muc/mod_muc_room.erl: New anti-abuse options:
	min_presence_interval and min_message_interval
	* doc/guide.tex: Likewise

	* doc/guide.tex: Documentation improvements on watchdog

	* doc/guide.tex: No need to escape underscore in Latex verbatim
	sections

	* doc/guide.tex: Watchdog alert documentation
	* src/ejabberd.cfg.example: Likewise

2007-06-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/mod_irc.erl: Added an option for default IRC
	encoding (thanks to Badlop) (EJAB-452)
	* doc/guide.tex: Updated

	* src/mod_disco.erl: Don't override accumulated value in
	get_local_identity/5 (thanks to Magnus Henoch and Badlop)

	* src/web/ejabberd_web_admin.erl: Added links to server and
	virtual host homes (thanks to Badlop)

2007-06-20  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc_room.erl: It is now possible to limit who is
	allowed to create persistent MUC rooms (Thanks to Badlop) (EJAB-257)
	* src/mod_muc/mod_muc.erl: Likewise
	* doc/guide.tex: Likewise
	* src/ejabberd.cfg.example: Likewise

2007-06-18  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/odbc_queries.erl: Added missing users_number/1 for MSSQL
	(EJAB-239).

2007-06-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Fixed typo

2007-06-10  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Show IP address of connected
	resources on user info page (thanks to Oleg Palij)

2007-06-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_config.erl: Fixed "language" option processing
	(thanks to Badlop)

	* src/msgs/zh.msg: Updated (thanks to Shelley Shyan)

	* src/msgs/ca.msg: New Catalan translation (thanks to Vicent
	Alberola)

2007-06-05  Mickael Remond  <mickael.remond@process-one.net>

	* src/xml.erl: Add new helper function get_subtag_cdata/2.

2007-05-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_vcard_odbc.erl: Fix for previous commit (thanks to
	Badlop)

2007-05-29  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_vcard_odbc.erl: Make service description translatable in
	discovery (EJAB-236)
	* src/mod_vcard_ldap.erl: Likewise

	* src/Makefile.in: Added Dialyzer target (EJAB-189 - Thanks
	to Geoff Cant)
	* src/Makefile.in: Build XmppAddr.beam in a single pass
	* src/mod_muc/Makefile.in: +debug_info directive support
	* src/stringprep/Makefile.in: Likewise
	* src/mod_irc/Makefile.in: Likewise
	* src/web/Makefile.in: Likewise
	* src/eldap/Makefile.in: Likewise
	* src/mod_pubsub/Makefile.in: Likewise
	* src/ejabberd_zlib/Makefile.in: Likewise
	* src/mod_proxy65/Makefile.in: Likewise
	* src/tls/Makefile.in: Likewise
	* src/odbc/Makefile.in: Likewise

	* src/mod_vcard.erl: Make services description translatable in
	discovery (EJAB-236 - thanks to Badlop)
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_irc/mod_irc.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_proxy65/mod_proxy65_service.erl: Likewise
	* src/msgs/fr.msg: Added service description translation

2007-05-21  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberdctl.template: Updated version of ejabberdctl (thanks
	to Christophe Romain)
	* tools/ejabberdctl: Likewise
	* src/Makefile.in: Updated

	* src/ejabberd_sm.erl: Updated the session table to store
	additional session info
	* src/ejabberd_c2s.erl: Report IP address to ejabberd_sm (thanks
	to Christophe Romain)

2007-05-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/zh.msg: New chinese translation (thanks to Shelley
	Shyan)

2007-05-16  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Corrected error messages when
	trying to join members-only room (thanks to Badlop)

	* src/ejabberd_c2s.erl: Added c2s_update_presence hook

2007-05-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Bugfix (thanks to Badlop)

2007-05-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth.erl: Added get_vh_registered_users_number/1
	function
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/odbc/odbc_queries.erl: Added users_number/1 function
	* src/ejabberd.cfg.example: Added an example for
	pgsql_users_number_estimate option
	* src/mod_stats.erl: Updated
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/ejabberd_auth_anonymous.erl: Added anonymous_purge_hook
	(thanks to Christophe Romain and Mickael Remond)
	* src/mod_offline.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_roster.erl: Likewise
	* src/mod_roster_odbc.erl: Likewise

2007-05-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Bugfix

2007-05-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_receiver.erl: Workaround for inet_drv bug

	* src/web/ejabberd_http_poll.erl: Added sockname/1 and peername/1
	stubs

	* src/web/ejabberd_http.hrl: Added "ip" field in the "request"
	record (thanks to Jerome Sautret and Mickael Remond)
	* src/web/ejabberd_http.erl: Likewise

2007-05-03  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Added set_presence_hook
	* src/ejabberd_c2s.erl: Likewise

	* src/ejabberd_sm.erl: Added check for existence of incoming
	subscription destination

	* src/msgs/it.msg: Added italian translation (thanks to Luca
	Brivio)

	* src/mod_muc/mod_muc_room.erl: More accurate invitation errors
	(thanks to Magnus Henoch)

2007-04-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Don't deliver roster items in "None +
	Pending In" state
	* src/mod_roster.erl: Likewise

2007-04-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_socket.erl: Added API for monitoring socket
	processes
	* src/ejabberd_frontend_socket.erl: Likewise
	* src/ejabberd_c2s.erl: Added socket monitoring

	* src/mod_muc/mod_muc_room.erl: Fixed the stop reason for the
	destroy event

2007-04-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Minor optimisation

	* src/ejabberd_system_monitor.erl: Experimental watchdog
	* src/ejabberd_sup.erl: Likewise
	* src/ejabberd_config.erl: Likewise

2007-03-22  Mickael Remond  <mickael.remond@process-one.net>

	* src/guide.tex: Fixed typo.

2007-03-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Better behaviour under high load

2007-03-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s.erl: Don't bounce packets with "error" and
	"result" type

	* src/ejabberd_s2s.erl: Fixed spelling

	* src/ejabberd_s2s.erl: Don't start s2s process for existing
	connection in case of race condition

2007-03-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_service.erl: Added shaper_rule option, changed
	service connection log message

2007-03-13  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_service.erl: Add extra info in the log about which
	components is connected and which Erlang process is handling
	it. This is usefull in context where many types of components are
	used (Thanks to Jerome Sautret) (EJAB-211).

2007-03-10  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_http.erl: Support for binaries in ejabberd HTTP
	server (Thanks to Massimiliano Mirra) (EJAB-197).

	* src/configure.ac: autoconf improvements (thanks to Tony Finch)
	(EJAB-204).
	* src/aclocal.m4: Likewise.

	* src/odbc/ejabberd_odbc.erl: ejabberd admin can now choose the
	relational database port to use from ejabberd configuration file
	(EJAB-195).
	* src/doc/guide.tex: Likewise.

2007-03-02  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc_log.erl: Fix wrong return on check access
	log.

2007-03-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

2007-02-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Bugfix

	* src/mod_proxy65/mod_proxy65_sm.erl: Cluster support (thanks to
	Evgeniy Khramtsov)

	* src/mod_proxy65/mod_proxy65_stream.erl: Code cleanup (thanks to
	Evgeniy Khramtsov)

	* src/mod_proxy65/mod_proxy65.hrl: Fixed typo (thanks to Evgeniy
	Khramtsov)

2007-02-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Init shaper with a default value first
	after stream opening

	* src/ejabberd_c2s.erl: Log failed SASL login attempts
	* src/cyrsasl.erl: Updated API
	* src/cyrsasl_plain.erl: Likewise
	* src/cyrsasl_digest.erl: Likewise

2007-02-19  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc_room.erl: Added an option set affiliations.

	* doc/api/*: Added Erlang documentation generation script
	(EJAB-188).
	* doc/version.tex: Updated.
	* src/ejabberd.app: Updated.

	* src/odbc/pg.sql: last table, state column cannot be NULL
	(EJAB-191).
	* src/odbc/mysql.sql: likewise.
	* src/odbc/mssql.sql: likewise.

	* src/ejabberd_auth_ldap.erl: prevent anonymous bind on LDAP
	servers as ejabberd is providing other anonymous authentication
	mechanism (EJAB-190).

	* src/cyrsasl_plain.erl: bad-auth error code replaced by
	not-authorized (EJAB-187).

	* src/aclocal.m4: configure --with-erlang option is now working
	(Thanks to Jerome Sautret) (EJAB-186).

	* src/mod_muc/mod_muc_log.erl: Spam prevention: The default
	behaviour is now to use the nofollow rel attributes for links that
	are submitted by users (EJAB-185).
	* doc/guide.tex: Likewise.

	* src/mod_muc/mod_muc_room.erl: API improvement: Implementation of
	an event to destroy MUC room from an external application (Thanks
	to Massimiliano Mirra) (EJAB-184).

2007-02-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s.erl: Confirm to RFC3920 section 10.3 (thanks to
	Jerome Sautret)

2007-02-18  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc.erl: Node now try to clean its own online room
	when restarting (EJAB-182).

2007-02-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Clean online room table on cluster node
	restart

2007-02-13  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_auth_ldap.erl: Added ldap_local_filter option. This
	option provide an optimisation to reduce LDAP directory load when
	using attribute-based filters.

2007-02-04  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_http.erl: Added separate version of
	element_to_string for HTML encoding
	* src/xml.erl: Reverted previous change

2007-02-04  Mickael Remond  <mickael.remond@process-one.net>

	* src/xml.erl: &apos; entity replaced by &#39; Should work more
	universaly (in HTML and XML).

2007-01-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix (thanks to asdx
	<asdx@jabber.snc.ru>)
	* src/ejd2odbc.erl: Likewise

2007-01-27  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_vcard_ldap.erl: LDAP server pool support (thanks to Evgeniy
	Khramtsov)
	* src/eldap/Makefile.in: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/eldap_pool.erl: Likewise

	* src/eldap/eldap_utils.erl: Implemented LDAP domain substitution

	* src/eldap/eldap.erl: Implemented queue to avoid bind deadlock under
	heavy load (thanks to Evgeniy Khramtsov)
	* src/eldap/eldap.hrl: Likewise

2007-01-26  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Fixed typos in labels.

2007-01-25  Mickael Remond  <mickael.remond@process-one.net>

	* src/eldap/Makefile.win32: fix build error on Windows.

2007-01-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/*: Plugin architecture for HTTP modules (thanks to
	Massimiliano Mirra)

2007-01-24  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Documentation for the
	domain_balancing_component_number option.

	* doc/guide.tex: Documentation for domain balancing.

	* doc/guide.tex: mod_muc now supports cluster.

	* doc/guide.tex: Updated the max_user_sessions section.

2007-01-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Now mod_muc can be distributed on
	several nodes
	* src/mod_muc/mod_muc_room.erl: Likewise

	* src/ejabberd_router.erl: Added bare_source and bare_destination
	service balancing options and domain_balancing_component_number
	option for specifying the number of connected components for the
	domain
	* src/ejabberd_config.erl: Likewise

2007-01-11  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Latex / Hevea related improvements for
	documentation generation (thanks to Sander Devrieze).
	* doc/introduction.tex: Likewise.
	* doc/dev.tex: Likewise.
	* doc/features.tex: Likewise.

2007-01-08  Christophe Romain <christophe.romain@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: add presence_based_delivery
	cluster support

2007-01-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_log.erl: Remove 'right-to-left override'
	unicode character (thanks to Badlop)

2006-12-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s_out.erl: Bugfix

2006-12-21  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_private_odbc: Bugfix: an internal error was returned
	instead of the actual private data. This is now working as expected.

2006-12-21  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Bugfix

2006-12-16  Mickael Remond  <mickael.remond@process-one.net>

	* README: Added this file as a quickstart guide.

2006-12-15  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_echo.erl: The mod_echo can now be stopped without errors.
	This is not a major issue, but can mislead other developers learning
	from this example and test module (Thanks to Magnus Henoch).

	* TODO: Removed. The roadmap is managed on:
	http://support.process-one.net/browse/EJAB

	* src/ejabberd_ctl.erl: Bugfix: Now display all register commands for a
	vhost and not only one (Thanks to Badlop).
	* src/ejabberd.cfg.example: Fixed typo.

2006-12-14  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_config.erl: Added loglevel option. It is now possible to
	configure ejabberd dynamic loglevel from the config file.

2006-12-08  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_receiver.erl: Bugfix

	* src/ejabberd_c2s.erl: Bugfix

2006-12-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Better error handling

	* src/web/ejabberd_http_poll.erl: Minor fix

2006-12-04  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_loglevel.erl: Preliminary dynamic loglevel support.
	Debug can be enabled with the command "ejabberd_loglevel:set(5)".
	* src/ejabberd_app.erl: Likewise.
	* src/ejabberd.hrl: Likewise (More log levels are now supported).
	* src/ram_file_io_server.erl: Likewise (Needed to dynamically
	recompile the error logger).

2006-12-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_receiver.erl: Bugfix

2006-11-30  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_proxy65/mod_proxy65_services.erl: We now try to get the
	address of the component (if registered in DNS) or otherwise get the
	IP of the XMPP domain.

2006-11-29  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_logger_h.erl: Removed useless comments.

2006-11-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_proxy65/mod_proxy65_services.erl: Now using all interfaces as
	default value for proxy listen parameter.

	* src/ejabberd_c2s.erl: User login in with negative priority must not
	receive offline messages (Thanks to Badlop).

2006-11-24  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Fixed regexp ACL configuration examples
	(Thanks to Massimiliano Mirra).

	* src/muc/mod_muc_room.erl: API improvement. It is now possible
	to read and write a room config from a developer module (Thanks
	to Massimiliano Mirra).

2006-11-23  Alexey Shchepin  <alexey@sevcom.net>

	* src/eldap/eldap.erl: Bugfix (thanks to Evgeniy Khramtsov)

	* src/ejabberd_sm.erl: The max_user_sessions option is now
	configured via access rule
	* src/ejabberd.cfg.example: Likewise

2006-11-20  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejd2odbc.erl: Copy mod_private data from Mnesia to
	relational database.
	* src/odbc/odbc_queries.erl: Refactoring.
	* src/odbc/mssql.sql: Likewise.
	* doc/guide.tex: Doc updated to mention mod_private_odbc.

	* src/odbc/mysql.sql: Started integration of mod_privacy_odbc for
	MySQL and MSSQL.
	* src/odbc/mssql.sql: Likewise.

2006-11-15  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc_room.erl: API improvement: It is now easier to
	extract data from the MUC room process.

2006-11-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_node_groups.erl: Support for node tagging
	* src/ejabberd_sup.erl: Likewise
	* src/ejabberd_frontend_socket.erl: Use node tags to determine
	backend nodes
	* src/ejabberd_config.erl: Added node_type and cluster_nodes
	options
	* src/ejabberd_app.erl: Establish connections to the nodes from
	the cluster_nodes option

	* src/ejabberd_router.erl: Added balancing method option
	* src/ejabberd_config.erl: Likewise

2006-11-05  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_private_odbc.erl: Support for MySQL and MSSQL.
	* src/odbc/odbc_queries.erl: Likewise.
	* src/odbc/mysql.sql: Likewise.
	* src/odbc/mssql.sql: Likewise.

2006-11-04  Mickael Remond  <mickael.remond@process-one.net>

	* src/eldap_utils.erl: Fixed missing export.

	* src/odbc/pg.sql: Database scripts consistency.
	* src/odbc/mysql.sql: Likewise.
	* src/odbc/mssql.sql: Likewise.

	* src/odbc/mysql: Database creation script should now be compliant
	with MySQL 4.0.x.

2006-10-29  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: XEP-0065 proxy documentation (thanks to Evgeniy
	Khramtsov).

2006-10-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.cfg.example: Changed the anonymous example a bit to
	work in most cases.
	* doc/guide.tex: Likewise.

2006-10-28  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_proxy65/: XEP-0065 proxy (thanks to Evgeniy Khramtsov)
	* src/Makefile.win32: Likewise
	* src/Makefile.in: Likewise
	* src/configure.ac: Likewise
	* src/jlib.hrl: Likewise
	* src/ejabberd.hrl: Added the ejabberd URL

2006-10-27  Mickael Remond  <mickael.remond@process-one.net>

	* src/guide.tex: Fixed typos.

2006-10-25  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_rdbms.erl: It is now possible to use ldap or internal
	authentication with some other modules using relationnal database
	storage. Refactored relational databases connections initialisation.
	* src/ejabberd_auth_odbc.erl: Likewise. odbc supervisor startup is now
	delegated to the ejabberd rdbms module.
	* src/ejabberd_app.erl: Likewise.

2006-10-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_socket.erl: Added sockname/1 and peername/1
	functions
	* src/ejabberd_frontend_socket.erl: Likewise
	* src/tls/tls.erl: Likewise
	* src/ejabberd_zlib/ejabberd_zlib.erl: Likewise

	* src/mod_private_odbc.erl: Private storage support using odbc
	* src/odbc/pg.sql: Likewise

1999-11-30  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_auth_ldap.erl: LDAP authentication now allows to
	match on several alternative attributes (thanks to Evgeniy
	Khramtsov).
	* src/mod_vcard_ldap.erl: Likewise.
	* doc/guide.tex: Updated.
	* eldap_utils.erl: Refactoring.
	* src/eldap/Makefile.in: Likewise.

2006-10-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_privacy_odbc.erl: Privacy rules support using odbc
	* src/odbc/pg.sql: Likewise

2006-10-06  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_http_poll.erl: Bugfix

2006-10-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_privacy.erl: Use hooks instead of direct function calls
	* src/ejabberd_c2s.erl: Updated

2006-10-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/shaper.erl: Bugfix
	* src/ejabberd_config.erl: Likewise

	* src/ejabberd_frontend_socket.erl: Support for frontend
	connection manager
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_listener.erl: Likewise
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_service.erl: Likewise
	* src/ejabberd_socket.erl: Likewise
	* src/web/ejabberd_http_poll.erl: Likewise

2006-09-27  Mickael Remond  <mickael.remond@process-one.net>

	* doc/release_notes_1.1.2.txt: Minor fixes.

	* doc/guide.tex: Fixed Latexish typos.

2006-09-26  Mickael Remond  <mickael.remond@process-one.net>

	* doc/release_notes_1.1.2.txt: Draft release notes.

	* src/msgs/pl.msg: Updated (thanks to Andrzej Smyk).

	* src/ejabberd_s2s.erl: More precise message for the new s2s
	statistic command.

	* src/mod_muc/mod_muc_room.erl: Minor english update.
	* src/msgs/pl.msg: Likewise.
	* src/msgs/uk.msg: Likewise.
	* src/msgs/pt-br.msg: Likewise.
	* src/msgs/cs.msg: Likewise.
	* src/msgs/ru.msg: Likewise.
	* src/msgs/es.msg: Likewise.
	* src/msgs/fr.msg: Likewise.
	* src/msgs/de.msg: Likewise.
	* src/msgs/nl.msg: Likewise.

	* src/msgs/pt-br.msg: Updated Brazilian translation (thanks to
	Renato Botelho) and clean-up.

2006-09-25  Mickael Remond  <mickael.remond@process-one.net>

	* src/msgs/de.msg: Updated German translation (thanks to Nikolaus
	Polak).

	* src/ejabberd.app: Version update for ejabberd 1.1.2.

	* src/msgs/pl.msg: Updated Polish translation (thanks to Zbyszek
	Zolkiewski).

	* src/msgs/de.msg: Updated German translation (thanks to Marvin
	Preuss).

	* src/msgs/nl.msg: Updated Dutch translation (thanks to Sander
	 Devrieze).

	* src/msgs/cs.msg: Updated Czech translation and removed unused
	 strings.

	* doc/introduction.tex: Minor doc updates for release 1.1.2.

2006-09-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s.erl: Added incoming-s2s-number and
	outgoing-s2s-number ejabberdctl commands

	* src/ejabberd_socket.erl: Support for non-xml sockets
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_service.erl: Likewise
	* src/web/ejabberd_http.erl: Likewise

2006-09-24  Mickael Remond  <mickael.remond@process-one.net>

	* src/msgs/es.msg: Updated Spanish translation (thanks to Badlop).

	* src/mod_muc/mod_muc_room.erl: Strings update (thanks to Sergei
	Golovan).
	* src/msgs/ru.msg: Updated Russian translation (thanks to Sergei
	Golovan).
	* src/msgs/uk.msg: Updated Ukrainian translation (thanks to Sergei
	Golovan).
	* src/msgs/fr.msg: Update French translation.

	* src/doc/guide.html: Minor W3C compliance fix in an Hevea
	generated URL.

	* src/doc/features.html: Added to be consistent (guide.html is in
	the repository to make Latex optional, but still allow access to
	the doc).

2006-09-23  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.hrl: Updated to version 1.1.2

2006-09-23  Alexey Shchepin  <alexey@sevcom.net>

	* src/eldap/eldap.erl: Enable the keepalive socket option (thanks
	to Evgeniy Khramtsov)

	* src/ejabberd_auth_ldap.erl: Now uses two LDAP connections
	(thanks to Evgeniy Khramtsov)

	* src/eldap/eldap_filter.erl: Bugfix (thanks to Evgeniy Khramtsov)
	* src/mod_vcard_ldap.erl: Likewise

2006-09-22  Mickael Remond  <mickael.remond@process-one.net>

	* src/msgs/cs.msg: Added Czech translation (thanks to Milos Svasek).

	* src/mod_muc/mod_muc.erl: Component name is now more user friendly
	(thanks to Badlop).
	* src/mod_irc/mod_irc.erl: Likewise.
	* src/mod_pubsub/mod_pubsub.erl: Likewise.

	* src/msgs/fr.msg: updated French translation.

	* doc/guide.tex: Large improvements for ejabberd 1.1.2 (thanks to
	Sander Devrieze)
	* doc/version.tex: Likewise.
	* doc/features.tex: Likewise.
	* doc/Makefile: Likewise.
	* doc/dev.tex: Likewise.

2006-09-14  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Minor fix on index generation.

2006-09-14  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Updated (thanks to Evgeniy Khramtsov)

	* src/ejabberd_auth_ldap.erl: Better LDAP support (thanks to
	Evgeniy Khramtsov)
	* src/mod_vcard_ldap.erl: Likewise
	* src/eldap/eldap_filter.erl: Likewise

2006-09-11  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/mssql.sql: Removed unused fields.

2006-09-10  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Updated

	* src/mod_muc/mod_muc_log.erl: Fixed html special characters
	escaping, added new image buttons, chatroom titles now point to
	xmpp: URIs (thanks to Badlop)

	* src/ejabberd_listener.erl: Bugfix

2006-09-05  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_muc/mod_muc.erl: It is now possible to configure the MUC room
	history feature. A new option has been added in ejabberd muc module
	configuration (history_size) to define the size of the history. 0 is
	used to disable the feature.
	* src/mod_muc/mod_muc_room.erl: Likewise.
	* doc/guide.tex: Likewise.

2006-09-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_socket.erl: All XML socket operations moved here
	* src/ejabberd_listener.erl: Updated
	* src/ejabberd_receiver.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd_service.erl: Likewise

	* src/mod_shared_roster.erl: Bugfix

	* src/mod_roster_odbc.erl: Bugfix

2006-09-03  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/odbc_queries.erl: Support for Microsoft SQL Server as a
	database backend (via ODBC).
	* src/odbc/ejabberd_odbc.erl: Likewise.
	* src/odbc/mssql.sql: Likewise.
	* src/odbc/Makefile.in: Likewise.
	* src/ejabberd_auth_odbc.erl: Likewise.
	* src/mod_offline_odbc.erl: Likewise.
	* src/mod_roster_odbc.erl: Likewise.
	* src/mod_last_odbc.erl: Likewise.
	* src/configure.ac: Likewise
	* doc/guide.tex: Likewise.
	* doc/introduction.tex: Likewise.
	* src/odbc/pg.sql: Minor fix.

2006-08-28  Mickael Remond  <mickael.remond@process-one.net>

	* Makefile.in: Fix for MacOSX compilation.
	* ejabberd_zlib/Makefile.in: Likewise.
	* mod_irc/Makefile.in: Likewise.
	* stringprep/Makefile.in: Likewise.
	* tls/Makefile.in: Likewise.

	* src/ejabberd.app: Updated to the current version.

2006-08-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Fixed logging configuring
	permission check

2006-08-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_router.erl: Now filter_packet hook works in
	'global' context

2006-08-04  Alexey Shchepin  <alexey@sevcom.net>

	* src/tls/tls_drv.c: Report OpenSSL error messages (thanks to
	Magnus Henoch)

	* src/mod_muc/mod_muc_room.erl: Use standardized MUC room
	configuration fields (thanks to Magnus Henoch and Andy Turner)

2006-08-02  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix

2006-07-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_c2s.erl: Bugfix: added a missing catch and fixed the
	error code used on unknown namespace.
	* src/ejabberd_s2s_out.erl: Improved s2s connection negociation
	(dialback namespace usage) when using tls.
	* src/ejabberd_sm.erl: Fixed the error code used on unknown namespace.
	* src/mod_register.erl: ejabberd now sends iq result and stream end on
	user remove.

2006-07-16  Mickael Remond  <mickael.remond@process-one.net>

	* src/acl.erl: The server does not crash anymore on wrong acl rule. Add
	rule error message in log file.

2006-07-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_web_admin.erl: User creation form now creates the
	user for the current virual host only and does not require to type
	the hostname.
	* src/jlib.erl: String to JID conversion now returns an error if the
	JID string contains two arobases.

2006-07-06  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_shared_roster.erl: Shared roster entries can now be moved or
	rename from a client without breaking current presence status.
	* src/mod_roster.erl: Likewise.
	* src/mod_roster_odbc.erl: Likewise.

	* src/mod_muc/mod_muc_room.erl: Fixed the order in which room presence
	packets are sent (First existing presence to new occupant, then new
	occupant presence to existing users.

2006-07-05  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_web_admin.erl: More flexible parsing the shared
	roster members list from the configuration form.
	* src/mod_shared_roster.erl: Deletng a shared roster group now
	correctly deletes its user entries.

	* src/mod_shared_roster.erl: The logged user (self) is now removed from
	the shared roster list.
	* src/ejabberd_auth.erl: Better handling of errors when the server for
	authentication is unknown.

2006-06-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s_in.erl: Removed needless check for xmlns:db
	when starttls is enabled

2006-06-15  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_http_poll.erl: Bugfix: using tuple instead of a Pid
	to send Erlang messages in a rarely used case.

2006-06-13  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_auth.erl: Fixed broken multiple connection with
	anonymous login problem.
	* src/ejabberd_auth_anonymous.erl: Likewise.

2006-06-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Support for pubsub node creation
	ACL. It is now possible to limit the node creation rights using an
	ACL from ejabberd config file (Thanks to Christophe Romain).
	* doc/guide.tex: Likewise.
	* src/ejabberd.cfg.example.

	* src/mod_pubsub/mod_pubsub.erl: Discovery query on an item does
	no more return an "item not found error". Discovery stop correctly
	at the item level (Thanks to Christophe Romain).

2006-06-02  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_http_poll.erl: Messages polled between the
	the last client request and the polling timeout were lost. Those
	messages are now resent using ejabberd routing mechanisms.

	* src/web/ejabberd_http.erl: The web module now accepts HTTP
	absolute URL (used behind a proxy). This apply to HTTP polling and
	to the web interface (Thanks to Jean-Sebastien Pedron).

2006-05-29  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_roster.erl: According to RFC3921 section 9.2, outbound
	subscribe presence packets must be sent, even if the user has already
	asked for subcription previously (subscription: none and pending: out).
	The mod_roster now conforms to this behaviour.
	* src/mod_roster_odbc.erl: Likewise.

2006-05-27  Mickael Remond  <mickael.remond@process-one.net>

	* src/configure.ac: Added an optional check for krb5.h in
	configure. ejabberd can now be build directly on RedHat and
	OpenBSD.

2006-05-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/sk.msg: Slovak translation (thanks to Juraj Michalek
	and SkLUG)

2006-05-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/pg.sql: Updated

	* src/mod_shared_roster.erl: Updated

	* src/ejabberd_sm.erl: Bugfix

	* src/mod_roster.erl: Bugfix
	* src/mod_roster_odbc.erl: Likewise

2006-05-23  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_roster.erl: The subscribe request are now resend at login as
	long as they have not been answered. mod_roster do no more depends on
	mod_offline.
	* src/ejabberd_sm.erl: Likewise.
	* src/ejabberd_c2s.erl: Likewise.
	* src/mod_roster_odbc.erl: Likewise (The ODBC/relational support has
	not yet been tested).
	* src/mod_roster.hrl: Likewise.
	* src/mod_offline.erl: Likewise.
	* src/mod_offline_odbc.erl: Likewise.
	* odbc/pg.sql: Likewise.
	* odbc/mysql.sql: Likewise.

2006-05-22  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_sm.erl: The max_user_sessions has been moved to
	host configuration.
	* src/ejabberd.cfg.example: Likewise.
	* doc/guide.tex: Likewise.

2006-05-21  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_sm.erl: An option to limit the number of opened sessions
	for a given user have been added. As a default, a given user can only
	log in 10 times with different resources. After that, new connections
	replace the older ones.
	* src/ejabberd.cfg.example: Likewise.
	* doc/guide.tex: Likewise.

2006-05-15  Mickael Remond  <mickael.remond@process-one.net>

	* src/web/ejabberd_http_poll.erl: Timeout disconnection were not
	properly handled after "active once" migration. This is now fixed.

2006-05-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_configure.erl: Unknown tables or tables from now unused
	modules are ignored during restore. The restore can now be performed in
	such case.
	* src/web/ejabberd_web_admin.erl: Likewise.
	* src/ejabberd_admin.erl: Code refactoring. Common Mnesia database
	restore function.

	* src/ejabberd_ctl.erl: Now prints a user-friendly when trying to
	restore a backup from a non-existent file.

	* src/ejabberd_ctl.erl: Added a way to delete the older message
	from the offline message table. This function is only available if
	offline message queue is stored in Mnesia internal database. The
	function delete_old_messages is not available in mod_offline_odbc.

2006-05-01  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_ctl.erl: Unknown tables or tables from now unused
	modules are ignored during restore. The restore can now be performed in
	such case.

2006-04-28  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.hrl: release 1.1.1
	* doc/version.tex: Likewise
	* doc/guide.tex: Likewise

2006-04-28  Alexey Shchepin  <alexey@sevcom.net>

	* src/cyrsasl.erl: Bugfix: anonymous authentication was always
	enabled

2006-04-27  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_ctl.erl: The status now only returns "started" if
	ejabberd is started and ready to accept requests.

2006-04-24  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Added a documentation for max_stanza_size option

2006-04-24  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.hrl: Updated for version 1.1.0.

2006-04-23  Alexey Shchepin  <alexey@sevcom.net>

	* src/configure: Removed '==' bashism (thanks to Magnus Henoch)
	* src/aclocal.m4: Likewise

	* src/ejabberd_c2s.erl: Resend messages when leaving negative
	presence state (thanks to Magnus Henoch)

2006-04-23  Mickael Remond  <mickael.remond@process-one.net>

	* src/msgs/fr.msg: Updated
	* src/msgs/de.msg: Updated (thanks to Nikolaus Polak)
	* src/ejabberd_sm.erl: Now delivering messages to all resources with
	max equal priority when this priority is non-negative.

	* src/guide.tex: Added documentation for native database configuration.

2006-04-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pt-br.msg: Updated (thanks to Lucius Curado)

	* src/xml_stream.erl: Support for stanza size limit (thanks to
	Igor Goryachev)
	* src/ejabberd_receiver.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd.cfg.example: Updated

	* src/ejabberd_auth.erl: Fixed try_register/3 behaviour

2006-04-20  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.cfg.example: Update of the example for anonymous.
	Removed unnecessary parameter.
	* src/ejabberd_auth_anonymous.erl: Removed unnecessary parameter /
	bugfix.
	* src/ejabberd_auth.erl: Bugfix: We now are forced to check is an
	anonymous user is log under a given user name before trying to
	register it.
	* doc/guide.tex: Updated (SASL anonymous and anonymous login).

2006-04-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pl.msg: Updated (thanks to Andrzej Smyk)

2006-04-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/xml_stream.erl: Cleanup

	* src/ejabberd_service.erl: Updated to use ejabberd_receiver

2006-04-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Minor fix

	* src/ejabberd_c2s.erl: Bugfix (thanks to Sergei Golovan)

	* doc/guide.tex: Updated (thanks to Sergei Golovan)

	* src/msgs/nl.msg: Updated (thanks to Sander Devrieze)

2006-04-11  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/ejabberd.cfg.example: Updated (thanks to Badlop)

	* doc/guide.tex: Updated (thanks to Badlop)

2006-04-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/mod_pubsub/mod_pubsub.erl: Fixed pubsub root node creation
	(conflict error was send on node creation)

2006-04-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: SASL Anonymous + Anonymous login support
	(thanks to Mickael Remond and Magnus Henoch)
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_auth_anonymous.erl: Likewise
	* src/cyrsasl.erl: Likewise
	* src/cyrsasl_anonymous.erl: Likewise
	* src/ejabberd.cfg.example: Likewise

2006-04-06  Alexey Shchepin  <alexey@sevcom.net>

	* src/expat_erl.c: Use binaries for CDATA
	* src/xml.erl: Likewise

2006-04-02  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/mod_configure.erl: Updated translation strings (thanks to
	Sergei Golovan)
	* src/web/ejabberd_web_admin.erl: Likewise

	* src/ejabberd_s2s_in.erl: Changed a path to PKIX includes (thanks
	to Sergei Golovan)

2006-04-01  Mickael Remond  <mickael.remond@process-one.net>

	* src/Makefile.in: Added an option to compile ejabberd with debug
	print-out (make ejabberd_debug=true).
	* src/ejabberd_c2s.erl: Added a new debug printout: We can now print
	the XML packets send by the server.

2006-03-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Bugfix

2006-03-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Enable zlib only over TCP

2006-03-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Bugfix (thanks to Sergei Golovan)

2006-03-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_privacy.erl: Fixed privacy list pushing (thanks to
	Sergei Golovan)
	* src/ejabberd_c2s.erl: Likewise

2006-03-16  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_sm.erl: Remove unnecessary use delete_object, which can,
	in some context break indexes, when used on non bag table.

2006-03-16  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Bugfix

2006-03-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/xml_stream.erl: Added catching of gen_fsm:send_event errors

	* src/ejabberd_s2s_out.erl: Better support for multiple SRV
	records (thanks to Sergei Golovan)

	* src/mod_muc/mod_muc_log.erl: Support for chatroom logging
	(thanks to Badlop)
	* src/mod_muc/mod_muc_room.erl: Likewise
	* src/mod_muc/Makefile.in: Likewise
	* src/mod_muc/Makefile.win32: Likewise

2006-03-11  Alexey Shchepin  <alexey@sevcom.net>

	* src/gen_iq_handler.erl: Added support for {queues, N} IQ handler
	type

2006-03-06  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Bugfix

2006-03-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Bugfix

	* src/ejabberd_auth_odbc.erl: Bugfix

2006-03-04  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_logger_h.erl: reopen-log function now rename the log
	file if it has not been already renamed by a logrotate process. This
	change allow ejabberd administrators to rotate log files on Windows
	(EJAB-52).

2006-02-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Added a interface for node
	updating
	* src/ejabberd_update.erl: Added function update_info/0

2006-02-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* contrib/extract_translations/extract_translations.erl: Minor
	update (thanks to Sergei Golovan)

	* src/ejabberd_zlib/Makefile.win32: Zlib support for Windows build
	(thanks to Sergei Golovan)
	* src/Makefile.win32: Likewise
	* src/configure.erl: Likewise

2006-02-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_ctl.erl: Added API for virtual host specific
	commands, removed registered-users command
	* src/ejabberd_auth.erl: Added processing of registered-users
	command
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_app.erl: Added inititalization of ejabberd_ctl
	* src/ejabberd_sm.erl: Minor update

2006-02-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/mod_irc_connection.erl: Added handling for "%", "&"
	and "~" prefixes in IRC nicknames (thanks to Vladimir Kulev)

	* src/mod_irc/mod_irc_connection.erl: Added /msg and /ctcp
	commands, improved handling of channel topic and kick, mirc colors
	now filtered, other minor improvements (thanks to Oleg V. Motienko
	and Magnus Henoch)

	* src/mod_configure.erl: Improved strings (thanks to Sander
	Devrieze)
	* src/mod_vcard.erl: Likewise
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise
	* src/web/ejabberd_web_admin.erl: Likewise

2006-02-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_service_log.erl: Bugfix (thanks to Badlop)

	* src/jd2ejd.erl: Use mod_vcard_odbc if it is loaded (thanks to
	Tomasz Sterna)

2006-02-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Added a few ejabberdctl commands

	* src/ejabberd_ctl.erl: New interface for command registration

2006-02-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_ctl.erl: Partially rewritten
	* src/ejabberd_ctl.hrl: Definitions of exit status codes moved
	here

2006-02-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix

2006-02-08  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/ejabberd_odbc.erl: Reconnect on ODBC connection closing

2006-02-07  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_auth.erl: plugin authentication modules can now
	be used in the configuration file: {auth_method, module} will now
	use the module ejabberd_auth_module.erl for authentication.

2006-02-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Kick non-members when room
	reconfigured to be member-only or when membership is revoked in
	member-only room, allowed "true" and "false" in x:data forms
	(thanks to Sergei Golovan)

	* src/mod_configure.erl: Added "Host" parameter to get_form and
	set_form functions (thanks to Sergei Golovan)

	* src/ejabberd_s2s_out.erl: Bugfix

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/web/ejabberd_web.erl: Bugfix (thanks to Badlop)

	* src/mod_irc/mod_irc.erl: Updated copyright dates
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_vcard.erl: Likewise
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise
	* src/web/ejabberd_web_admin.erl: Likewise

2006-02-03  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth_odbc.erl: Added ejabberd_odbc_sup to ejabberd
	supervision tree

	* src/web/ejabberd_http.erl: Authentication check moved to
	ejabberd_web.erl
	* src/web/ejabberd_web.erl: Likewise

	* src/web/Makefile.in: Added ejabberd_http.hrl dependency

	* src/web/ejabberd_http_poll.erl: Updated to use {active, once}
	socket mode

	* src/mod_irc/mod_irc.erl: Updated to use gen_server behaviour and
	ejabberd supervision tree
	* src/mod_irc/mod_irc_connection.erl: Likewise

2006-02-02  Mickael Remond  <mickael.remond@process-one.net>

	* src/configure.ac: --prefix option can now override the default
	install dir
	* src/configure: Likewise
	* src/Makefile.in: Likewise

2006-02-02  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Updated to use gen_server
	behaviour and ejabberd supervision tree
	* src/mod_echo.erl: Likewise

2006-02-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc.erl: Added a supervisor for conference room
	processes
	* src/mod_muc/mod_muc_room.erl: Likewise

2006-01-29  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/pg.sql: Fixed syntax error

2006-01-28  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_router.erl: Updated to use gen_server behaviour
	* src/ejabberd_sm.erl: Likewise
	* src/ejabberd_s2s.erl: Likewise
	* src/gen_iq_handler.erl: Likewise

	* src/ejabberd_sup.erl: Added supervisor for ejabberd_receiver
	* src/ejabberd_receiver.erl: Updated

2006-01-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_update.erl: Support for run-time ejabberd updating
	(not completed)
	* src/ejabberd_c2s.erl: Added 'update_info' module attribute for
	testing ejabberd_update

2006-01-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Remove top-level xmlns from incoming
	stanzas
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_service.erl: Likewise

	* src/ejabberd_c2s.erl: Better error handling for stream
	compression support (thanks to Sergei Golovan)

2006-01-24  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix

2006-01-23  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Partially rewritten to work more
	efficiently and avoid race conditions
	* src/ejabberd_c2s.erl: Likewise

2006-01-21  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/mod_irc_connection.erl: Cleanup

2006-01-20  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd_receiver.erl: Added new debugging trace: It is now
	possible to dump the XML stream received from a client (usefull for
	client debugging).

2006-01-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/aclocal.m4: Updated for zlib support
	* src/configure.ac: Likewise

	* src/mod_muc/mod_muc_room.erl: Weakened presence filtering, added
	warning in non-anonymous rooms, room destroying updated to latest
	JEP-0045, added a number of occupants and room name in room's
	disco#info reply, miscellaneous internal changes (thanks to Sergei
	Golovan)

	* src/mod_muc/mod_muc.erl: Better support for nick unregistration
	(thanks to Sergei Golovan)

	* src/ejabberd_zlib/ejabberd_zlib.erl: Zlib support (thanks to
	Sergei Golovan)
	* src/ejabberd_zlib/ejabberd_zlib_drv.c: Likewise
	* src/ejabberd_zlib/Makefile.in: Likewise
	* src/ejabberd_c2s.erl: Stream compression support (JEP-0138)
	* src/ejabberd_receiver.erl: Likewise

	* src/mod_disco.erl: Don't split node name before calling hooks
	(thanks to Sergei Golovan)

	* src/mod_configure.erl: Support for configuration using ad-hoc
	commands (thanks to Sergei Golovan)

	* src/mod_announce.erl: Support for sending announce messages
	using ad-hoc commands (thanks to Sergei Golovan)

	* src/mod_adhoc.erl: Ad-hoc support (JEP-0050) (thanks to Magnus
	Henoch)
	* src/adhoc.erl: Likewise
	* src/adhoc.hrl: Likewise

	* src/jlib.hrl: Updated (thanks to Sergei Golovan)

	* src/gen_mod.erl: Added function is_loaded/2 (thanks to Sergei
	Golovan)

	* src/ejabberd_service.erl: Changed error message on handshake
	error (thanks to Sergei Golovan)

	* src/ejabberd.cfg.example: Updated (thanks to Sergei Golovan)

2006-01-13  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/ejabberd_odbc.erl: underscore and percent are now only
	escaped in like queries. MySQL where not escaping those escaped
	characters in other context.
	* src/mod_vcard_odbc.erl: likewise.
	* src/odbc/mysql.sql: Fixed MySQL database creation script: Was
	not properly working with all MySQL version.
	* src/odbc/ejabberd_odbc.erl: Added a way to retry database
	connection connect for 5 minutes when the connection is lost. No
	further connection is retry after.
	* src/odbc/ejabberd_odbc_sup.erl: likewise.

2006-01-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_service.erl: Bugfix

	* src/ejabberd_receiver.erl: Rewritten to use {active, once} mode
	for socket
	* src/ejabberd_c2s.erl: Update
	* src/ejabberd_listener.erl: Likewise
	* src/ejabberd_s2s_in.erl: Likewise
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd_service.erl: Likewise
	* src/shaper.erl: Likewise
	* src/tls/tls.erl: Likewise
	* src/web/ejabberd_http.erl: Likewise

2006-01-02  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Native MySQL support

2005-12-24  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_logger_h.erl: Speed optimizations

2005-12-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/Makefile.in: Clean results of ASN.1 compiler (thanks to
	Sergei Golovan)

	* src/win32/ejabberd.nsh: Removed (thanks to Sergei Golovan)

2005-12-22  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/ejabberd_odbc.erl: Added error message on ODBC
	connection to help ODBC configuration troubleshooting.

2005-12-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/Makefile.win32: Updated (thanks to Sergei Golovan)
	* src/configure.erl: Likewise
	* src/win32/CheckReqs.ini: Likewise
	* src/win32/CheckReqs1.ini: Likewise
	* src/win32/CheckReqs1H.ini: Likewise
	* src/win32/ejabberd.nsh: Likewise
	* src/win32/ejabberd.nsi: Likewise

	* src/odbc/ejabberd_odbc.erl: Bugfix

2005-12-21  Mickael Remond  <mickael.remond@process-one.net>

	* src/odbc/mysql.sql: Database description for MySQL Database 4.1
	(Max version, with Innodb)
	* src/ejabberd_auth_odbc.erl: MySQL ODBC support
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewsie
	* src/mod_roster_odbc.erl: Likewise
	* src/odbc/ejabberd_odbc.erl: Likewise
	* src/mod_last_odbc.erl: Likewise

2005-12-16  Mickael Remond  <mickael.remond@process-one.net>

	* doc/Makefile: Added helper to generate the docs (Thanks to Sander
	Devrieze)
	* doc/guide.tex: Added ejabberd 1.0.0 release notes.
	* doc/dev.tex: Code clean-up (Thanks to Sander Devrieze)

2005-12-16  Alexey Shchepin  <alexey@sevcom.net>

	* doc/features.tex: Added feature sheet (Thanks to Sander
	Devrieze)

2005-12-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/iconv_erl.c: Bugfix (thanks to Tomas Janousek)

2005-12-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/win32/ejabberd.nsi: Updated (thanks to Maxim Ryazanov)

	* src/ejabberd.hrl: Updated version
	* src/ejabberd.app: Likewise
	* doc/version.tex: Likewise

2005-12-13  Mickael Remond  <mickael.remond@process-one.net>

	* doc/release_notes_1.0.0.txt: Added preliminary version of ejabberd
	1.0.0 release notes.
	* doc/guide.html: Generated the updated HTML version of the documentation.

2005-12-11  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster.erl: Workaround for gateway subscriptions now
	should be enabled with --enable-roster-gateway-workaround
	* src/mod_roster_odbc.erl: Likewise
	* src/configure.ac: Likewise
	* src/Makefile.in: Likewise

2005-12-10  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_service.erl: Added logging of termination

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/msgs/*.msg: Updated (thanks to Badlop)

2005-12-08  Mickael Remond  <mickael.remond@process-one.net>

	* contribs/contrib/extract_translations/prepare-translation.sh:
	Small improvements.
	* src/msgs/fr.msg: Updated

2005-12-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pl.msg: Fixed syntax error

	* src/mod_offline.erl: Don't store headline messages
	* src/mod_offline_odbc.erl: Likewise

2005-12-06  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Updated

2005-12-06  Mickael Remond  <mickael.remond@process-one.net>

	* src/ejabberd.cfg.example: Updated

	* src/Makefile.*: Can now be build when the Erlang environment is
	not Erlang/OTP but the Erlang REPOS CDROM.  Still compatible with
	standard Erlang/OTP install
	* aclocal.m4: Likewise
	* src/Makefile.*: Can now be build with Erlang debug_info with
	'make debug=true'

2005-12-06  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pt-br.msg: Updated (thanks to Victor Hugo dos Santos)

	* src/msgs/pl.msg: Updated (thanks to Andrzej Smyk)

	* src/msgs/sv.msg: Updated (thanks to Magnus Henoch)

	* src/msgs/de.msg: Updated (thanks to Patrick Dreker)

2005-11-30  Mickael Remond  <mickael.remond@process-one.net>

	* doc/yozhikheader.png: Added feature sheet header (Thanks to Sander
	Devrieze)

2005-11-28  Mickael Remond  <mickael.remond@process-one.net>

	* doc/guide.tex: Improved and updated documentation (Thanks to Sander
	Devrieze)
	* doc/guide.html: Likewise
	* doc/features.tex: Likewise
	* doc/introduction.tex: Likewise
	* doc/version.tex: Likewise
	* doc/logo.png: New logo for ejabberd doc (Thanks to Sander Devrieze)

2005-11-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_http.erl: Now web interface is compliant to
	XHTML 1.0 Transitional (thanks to Sander Devrieze)
	* src/web/ejabberd_web_admin.erl: Likewise

2005-11-25  Alexey Shchepin  <alexey@sevcom.net>

	* doc/Makefile: Now really added

2005-11-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster.erl: The "id" attribute of roster push packet was
	missed (thanks to Maxim Ryazanov)
	* src/mod_roster_odbc.erl: Likewise

	* src/web/ejabberd_web_admin.erl: Fixed encoding of user names in
	URLs

	* src/web/ejabberd_http.erl: Added url_encode function from yaws

	* src/ejabberd_c2s.erl: Send stream error when connection is
	replaced (thanks to Maxim Ryazanov)

2005-11-19  Mickael Remond  <mickael.remond@process-one.net>

	* contrib/extract_translations/prepare-translation.sh: Added
	wrapper to extract_translation.erl (thanks to Badlop)

2005-11-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_vcard.erl: Fixed xmlns in disco items replies (thanks to
	Maxim Ryazanov)
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard_odbc.erl: Likewise

	* src/tls/Makefile.in: Use CPPFLAGS (thanks to Magnus Henoch)

2005-11-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s_in.erl: Support for dNSName certificate field
	and DNS name matching
	* src/XmppAddr.asn1: Moved here from src/tls/XmppAddr.asn1
	* src/tls/XmppAddr.asn1: Likewise
	* src/Makefile.in: Updated
	* src/tls/Makefile.in: Updated

2005-11-16  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/ejabberd_odbc.erl: Support for mnesia-like transaction
	interface
	* src/mod_roster_odbc.erl: Updated to use
	ejabberd_odbc:sql_transaction/2

2005-11-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s_out.erl: Fixed invalid behaviour upon
	connecting to host with invalid domain
	* src/ejabberd_s2s.erl: Likewise

2005-11-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_config.erl: Support for per host certificates
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd.cfg.example: Updated

	* src/ejabberd_s2s_in.erl: Fixed id-on-xmppAddr processing

2005-11-03  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_disco.erl: Fixed extra_domains option processing

	* src/ejabberd_s2s_out.erl: Support for STARTTLS+SASL EXTERNAL
	(not well-tested yet)
	* src/ejabberd_s2s_in.erl: Likewise
	* src/tls/tls.erl: Likewise
	* src/tls/tls_drv.c: Likewise
	* src/tls/XmppAddr.asn1: Likewise
	* src/tls/Makefile.in: Likewise

2005-10-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_disco.erl: Minor fix

2005-10-29  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix

2005-10-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/tls/tls.erl: Accept {error,already_loaded} from
	erl_ddll:load_driver/2
	* src/stringprep/stringprep.erl: Likewise
	* src/mod_irc/iconv.erl: Likewise
	* src/ejabberd_app.erl: Likewise

	* src/tls/tls_drv.c: Support for "connect" method
	* src/tls/tls.erl: Likewise

	* src/ejabberd_s2s_in.erl: Support for STARTTLS+Dialback
	* src/ejabberd_s2s_out.erl: Likewise
	* src/ejabberd_receiver.erl: Added a few hacks ({active,once} mode
	should be used instead of recv/3 call to avoid them)
	* src/ejabberd_config.erl: Added s2s_use_starttls and s2s_certfile
	options
	* src/ejabberd.cfg.example: Likewise

2005-10-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_app.erl: Try to load tls_drv at startup to avoid
	unloading of libssl (thanks to Brian Campbell)

2005-10-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/pg.sql: Added spool.seq field for offline messages
	sorting
	* src/mod_offline_odbc.erl: Likewise

2005-10-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Bugfix

2005-10-16  Alexey Shchepin  <alexey@sevcom.net>

	* src/gen_iq_handler.erl: Bugfix

2005-10-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth_odbc.erl: Minor fix

	* src/odbc/ejabberd_odbc.erl: Updated pgsql support

	* src/mod_roster_odbc.erl: Bugfix

	* src/ejabberd_c2s.erl: Updated to work correctly with
	mod_vcard_odbc

2005-10-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/ejabberd_odbc.erl: Experimental support for pgsql
	library

	* src/ejabberd_auth_odbc.erl: Bugfix

	* src/mod_roster_odbc.erl: Bugfix

2005-10-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Added vCard converter

	* src/mod_vcard_odbc.erl: vCard support via ODBC

	* src/odbc/pg.sql: Updated

2005-09-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Updated API for better
	integration with J-EAI web interface

	* src/mod_shared_roster.erl: Now possible to specify all users on
	virtual host in group
	* src/web/ejabberd_web_admin.erl: Likewise

2005-09-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/jlib.erl: Bugfix

2005-09-10  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Updated

2005-09-04  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_disco.erl: Disco publishing support (thanks to Magnus
	Henoch)

	* src/mod_disco.erl: Functions register_sm_feature and
	register_sm_node replaced with hooks (thanks to Sergei Golovan)
	* src/mod_vcard.erl: Updated
	* src/mod_vcard_ldap.erl: Likewise

	* src/mod_disco.erl: Now mod_disco doesn't depend on mod_configure
	(thanks to Sergei Golovan)
	* src/mod_configure.erl: Likewise

2005-08-29  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejd2odbc.erl: Converter from mnesia to ODBC

	* src/mod_offline_odbc.erl: Minor fix

2005-08-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_vcard_ldap.erl: Bugfix

	* src/mod_vcard.erl: Bugfix

2005-08-23  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth_odbc.erl: Bugfix

2005-08-21  Alexey Shchepin  <alexey@sevcom.net>

	* doc/dev.tex: Updated

2005-08-11  Alexey Shchepin  <alexey@sevcom.net>

	* src/cyrsasl_digest.erl: Fixed challenge/response parsing (thanks
	to Martin Pokorny)

2005-08-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pl.msg: Updated (thanks to Andrew Smyk)

	* src/web/ejabberd_web_admin.erl: Bugfix (thanks to Badlop)

2005-08-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/win32/inetrc: Added (thanks to Sergei Golovan)

	* src/Makefile.win32: Updated (thanks to Sergei Golovan)
	* src/win32/ejabberd.cfg: Likewise
	* src/win32/ejabberd.nsi: Likewise

	* doc/guide.tex: Updated

	* src/ejabberd.hrl: Updated version

2005-08-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/msgs/nl.msg: Updated (thanks to Sander Devrieze)

2005-08-01  Mickael Remond  <mremond@erlang-fr.org>

	* (all): ejabberd-0.9.8 released

	* src/msgs/fr.msg: Updated

2005-07-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_config.erl: Added host_config option
	* doc/guide.tex: Updated

	* src/ejabberd_auth_ldap.erl: Bugfix

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/msgs/de.msg: Updated (thanks to Torsten Werner)

	* src/web/ejabberd_web_admin.erl: Fixed CSS style sheet to be
	standards compliant (thanks to Sander Devrieze)

2005-07-29  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Added "Virtual Hosts" page

2005-07-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_router.erl: Added filter_packet hook

2005-07-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/jd2ejd.erl: Updated to work with ODBC

	* src/mod_roster_odbc.erl: Updated

2005-07-22  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_offline_odbc.erl: Bugfix

	* src/mod_last_odbc.erl: Bugfix

2005-07-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Updated to J-EAI version

2005-07-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/acl.erl: Slightly changed "access" option processing

	* src/mod_disco.erl: Fixed processing of host features and
	extra_domains option

	* src/ejabberd_c2s.erl: Processing of jabber:iq:register totally
	moved to mod_register.erl (thanks to Sergei Golovan)
	* src/mod_register.erl: Likewise

	* src/win32/ejabberd.nsi: Added two pictures in installer (thanks
	to Maxim Ryazanov)
	* src/win32/ejabberd_header.bmp: Likewise
	* src/win32/ejabberd_intro.bmp: Likewise

	* src/web/ejabberd_web_admin.erl: Fixed spelling of word
	"authentication"
	* src/ejabberd_c2s.erl: Likewise

2005-07-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_register.erl: Bugfix

	* src/mod_vcard.erl: Bugfix

	* src/ejabberd_app.erl: Updated to allow different authentication
	methods for different virtual hosts
	* src/ejabberd_auth.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/cyrsasl.erl: Likewise
	* src/cyrsasl_digest.erl: Likewise
	* src/cyrsasl_plain.erl: Likewise
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_config.erl: Likewise
	* src/extauth.erl: Likewise
	* src/mod_last_odbc.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_roster_odbc.erl: Likewise
	* src/odbc/ejabberd_odbc.erl: Likewise
	* src/odbc/ejabberd_odbc_sup.erl: Likewise

2005-07-03  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_app.erl: Bugfix

	* src/ejabberd_config.erl: Bugfix

2005-06-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_offline.erl: Bugfix

2005-06-20  Alexey Shchepin  <alexey@sevcom.net>

	* (all): Enhanced virtual hosting support

2005-05-28  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Bugfix

2005-05-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/pt-br.msg: New Brazilian Portuguese translation (thanks
	to Felipe Brito Vasconcellos)

2005-05-23  Alexey Shchepin  <alexey@sevcom.net>

	* (all): ejabberd-0.9.1 released

	* src/msgs/fr.msg: Updated (thanks to Mickael Remond)

	* src/odbc/Makefile.in: Added

	* src/configure.ac: Updated for odbc support
	* src/Makefile.in: Likewise

	* src/aclocal.m4: Bugfix

	* src/mod_last_odbc.erl: Added store_last_info/4 function (thanks
	to Sergei Golovan)
	* src/mod_last.erl: Likewise

	* src/jd2ejd.erl: Support for exporting iq:last information,
	better error handling (thanks to Sergei Golovan)

	* src/ejabberd_ctl.erl: Added "import-file" and "import-dir"
	commands (thanks to Sergei Golovan)

	* doc/guide.tex: Updated (thanks to Sergei Golovan)
	* doc/dev.tex: Likewise
	* doc/disco.png: Likewise
	* doc/discorus.png: Likewise
	* doc/webadmin.png: Likewise
	* doc/webadminru.png: Likewise

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/web/ejabberd_web_admin.erl: Updated CSS, added modules
	management, fixed bug with configuring of listened ports on
	different nodes (thanks to Sergei Golovan)

	* src/gen_mod.erl: Added function loaded_modules_with_opts/0, new
	API for module stopping (thanks to Sergei Golovan)
	* src/mod_muc/mod_muc.erl: Moved a process name to a macros,
	updated module stopping (thanks to Sergei Golovan)
	* src/mod_irc/mod_irc.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_announce.erl: Updated module stopping (thanks to Sergei
	Golovan)
	* src/mod_echo.erl: Likewise
	* src/mod_offline.erl: Likewise

	* src/web/ejabberd_http.erl: "Connection:" header value now
	matched case-insensitive, and returned to client, replaced
	duplicate is_space($\r) with is_space($\t) (thanks to Maxim
	Ryazanov)

2005-05-21  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Fixed XML element name for
	pubsub#event namespace (thanks to Magnus Henoch)

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/msgs/es.msg: Updated (thanks to Badlop)

2005-05-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Now possible to subscribe to a
	pubsub node with a JID that includes a resource (thanks to Martijn
	van Beers)

	* src/stringprep/uni_parse2.tcl: Bugfix
	* src/stringprep/stringprep_drv.c: Likewise
	* src/stringprep/uni_norm.c: Regenerated

2005-05-18  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/mod_irc_connection.erl: Added support for WHOIS
	requests and reply to USERINFO (thanks to Oleg V. Motienko)

2005-05-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/stringprep/stringprep_drv.c: Bugfix

2005-05-16  Alexey Shchepin  <alexey@sevcom.net>

	* src/win32/ejabberd.cfg: Updated (thanks to Sergei Golovan)

	* src/odbc/Makefile.win32: Added (thanks to Sergei Golovan)

	* src/Makefile.win32: Updated (thanks to Sergei Golovan)

2005-05-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/jd2ejd.erl: Fixed private xml setting

	* src/mod_last.erl: Bugfix
	* src/mod_last_odbc.erl: Likewise

	* src/mod_pubsub/mod_pubsub.erl: Fixed service stopping

2005-05-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Fixed bug with storing
	affiliations of invited users in members-only room (thanks to
	Sergei Golovan)

	* src/ejabberd_c2s.erl: Fixed starttls_required behaviour for
	legacy connections (thanks to Brian Campbell)

	* src/web/ejabberd_web_admin.erl: Images now specified via CSS,
	design slightly updated, added last activity statistics (thanks to
	Sergei Golovan)

2005-05-07  Alexey Shchepin  <alexey@sevcom.net>

	* src/stringprep/stringprep_drv.c: Added check for bidi

	* src/stringprep/uni_parse.tcl: Now handle all Unicode code points
	up to U+10FFFF
	* src/stringprep/uni_parse2.tcl: Likewise
	* src/stringprep/uni_data.c: Regenerated
	* src/stringprep/uni_norm.c: Likewise

2005-05-06  Alexey Shchepin  <alexey@sevcom.net>

	* src/stringprep/uni_norm.c: Regenerated with Unicode 3.2 tables
	as required by RFC3454

	* src/stringprep/uni_parse2.tcl: Bugfixes

	* src/stringprep/stringprep_drv.c: Bugfixes, added hangul
	composition

2005-05-05  Mickael Remond  <mremond@erlang-fr.org>

	* src/msgs/fr.msg: Added missing version 0.9 fields and removed unused
	ones.

2005-05-04  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Store ban reasons for outcast
	items, updated affiliation matching rules to latest JEP-0045

2005-05-02  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Updated changing roles and
	affiliations tables to latest JEP-0045

2005-05-01  Mickael Remond  <mremond@erlang-fr.org>

	* src/msgs/fr.msg: Updated

2005-05-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/sw.msg: Renamed to sv.msg
	* src/msgs/sv.msg: Likewise

	* src/msgs/pl.msg: Updated (thanks to Andrew Smyk)

	* contrib/extract_translations/README: Better phrasing (thanks to
	Sergei Golovan)

	* contrib/extract_translations/extract_translations.erl: Fix to
	avoid duplication of lines (thanks to Sergei Golovan)

	* src/msgs/sw.msg: New Swedish translation (thanks to Magnus
	Henoch)

	* src/msgs/pt.msg: New Portuguese translation (thanks to iceburn)

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/msgs/nl.msg: Updated (thanks to Sander Devrieze)

2005-04-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth_ldap.erl: Added listing of users support

	* src/ejabberd.cfg.example: Updated LDAP options

	* src/ejabberd_ctl.erl: Better spelling, now prints full file
	paths, fixed checking of mnesia:install_fallback result, now
	"dump" command dumps only persistent tables

	* contrib/extract_translations/: A tool for extracting of
	translation strings from ejabberd code (thanks to Sergei Golovan)

2005-04-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_vcard_ldap.erl: Bugfix (thanks to Mickael Remond)

2005-04-24  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Added translation to submit
	button and "shared roster groups" header (thanks to iceburn and
	Sergei Golovan)

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)
	* src/msgs/uk.msg: Likewise

	* src/mod_muc/mod_muc_room.erl: Minor update to simplify
	translation (thanks to Sergei Golovan)

	* src/tls/tls_drv.c: Reverted previous patch

2005-04-22  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Added mod_shared_roster documentation

	* src/ejabberd.hrl: Updated version

2005-04-21  Alexey Shchepin  <alexey@sevcom.net>

	* src/jd2ejd.erl: Bugfix

2005-04-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_auth.erl: Added check for domain of registered user

	* src/web/ejabberd_web_admin.erl: Fixed user registration via web
	interface, fixed path to user's offline messages (thanks to
	Mickael Remond)

	* src/mod_disco.erl: Fixed domain listing when one virtual host is
	a subdomain of another

2005-04-18  Alexey Shchepin  <alexey@sevcom.net>

	* (all): ejabberd-0.9 released

	* src/web/ejabberd_web_admin.erl: Added link to shared roster page

	* src/odbc/ejabberd_odbc.erl: ODBC connection string can be
	specified via odbc_server option now
	* src/ejabberd.cfg.example: Added ODBC usage example

	* doc/guide.tex: Updated

	* src/msgs/pl.msg: New Polish translation (thanks to Andrew Smyk)

2005-04-17  Alexey Shchepin  <alexey@sevcom.net>

	* (all): Merged virtual hosting support

2005-04-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_c2s.erl: Send new id for each new stream inside one
	session (thanks to Maxim Ryazanov)

	* src/tls/tls_drv.c: Now reads all certificates from certificate
	file instead of reading only first one (thanks to Karl-Johan
	Karlsson)

2005-04-06  Alexey Shchepin  <alexey@sevcom.net>

	* examples/transport-configs/init-scripts/jabber-gg-transport:
	Fixed typo (thanks to Sander Devrieze)

2005-04-05  Alexey Shchepin  <alexey@sevcom.net>

	* examples/transport-configs/configs/msn-transport.xml: Fixed typo
	(thanks to Sander Devrieze)

2005-04-02  Alexey Shchepin  <alexey@sevcom.net>

	* examples/transport-configs/: Updated (thanks to Sander Devrieze)

2005-03-31  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_ctl.erl: Bugfix

2005-03-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Bugfix

2005-03-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Bugfix

2005-03-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_router.erl: Bugfix

2005-01-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_irc/mod_irc_connection.erl: Added filtering of quit
	status

2005-01-04  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Copyright update
	* src/mod_vcard_ldap.erl: Likewise
	* src/mod_vcard.erl: Likewise
	* src/mod_pubsub/mod_pubsub.erl: Likewise
	* src/mod_muc/mod_muc.erl: Likewise
	* src/mod_irc/mod_irc.erl: Likewise

2004-12-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/ejabberd_odbc.erl: Load-balance ODBC requests between
	several connections

	* src/odbc/ejabberd_odbc_sup.erl: Supervisor for ODBC connections

	* src/mod_muc/mod_muc_room.erl: Added missed type='form' attribute
	in room configuration response (thanks to Badlop)

2004-12-19  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_roster_odbc.erl: Roster support via ODBC (not completed)

	* src/ejabberd_auth_internal.erl: Added remove_user hook
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/mod_roster.erl: Use remove_user hook
	* src/mod_offline.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/mod_last.erl: Likewise
	* src/mod_last_odbc.erl: Likewise
	* src/mod_vcard.erl: Likewise
	* src/mod_private.erl: Likewise

	* src/mod_roster.erl: Added hooks for functions exported by
	mod_roster
	* src/ejabberd_c2s.erl: Likewise
	* src/ejabberd_sm.erl: Likewise
	* src/mod_privacy.erl: Likewise
	* src/mod_last.erl: Likewise
	* src/mod_last_odbc.erl: Likewise

2004-12-14  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_sm.erl: Updated missed message passing from
	previous patch

2004-12-13  Alexey Shchepin  <alexey@sevcom.net>

	* src/odbc/pg.sql: DB creation script for postgres

	* src/odbc/ejabberd_odbc.erl: Experimental support for ODBC
	* src/mod_last_odbc.erl: Likewise
	* src/mod_offline_odbc.erl: Likewise
	* src/ejabberd_auth_odbc.erl: Likewise
	* src/ejabberd_auth.erl: Likewise

2004-12-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_stats.erl: Minor optimizations

	* src/ejabberd_sm.erl: Added unset_presence_hook
	* src/mod_last.erl: Use unset_presence_hook instead of direct call

	* src/ejabberd_auth.erl: Splitted into ejabberd_auth_internal.erl,
	ejabberd_auth_ldap.erl, and ejabberd_auth_external.erl,
	* src/ejabberd_auth_internal.erl: Likewise
	* src/ejabberd_auth_ldap.erl: Likewise
	* src/ejabberd_auth_external.erl: Likewise

2004-12-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Changed type of password field
	to "password"

	* src/jlib.hrl: More stream error defines (thanks to Sergei
	Golovan)

	* src/ejabberd_c2s.erl: Support for starttls_required option
	(thanks to Sergei Golovan)

	* src/mod_muc/mod_muc_room.erl: Fixed mistake in case condition
	(thanks to Sergei Golovan)

	* src/xml_stream.erl: Added function parse_element/1

	* src/expat_erl.c: Added PARSE_FINAL_COMMAND

2004-12-03  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_listener.erl: Enable keepalive option

	* src/xml_stream.erl: Added API for managing xml streams without
	creating process
	* src/ejabberd_receiver.erl: Use this API, now 2 processes are
	created per C2S connection

2004-12-01  Alexey Shchepin  <alexey@sevcom.net>

	* src/expat_erl.c: Now uses port control instead of port output
	* src/xml_stream.erl: Likewise

2004-11-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/stringprep/stringprep.erl: Now register port instead of
	storing it in ets table

2004-11-28  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Updated URLs to R10C release

2004-11-20  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_vcard.erl: Added missed index

2004-11-08  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Updated (thanks to Sander Devrieze)

2004-11-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/aclocal.m4: Fixed headers detecting in AM_WITH_OPENSSL
	(thanks to Leif Johansson)

	* src/ejabberd_auth.erl: Added support for ldap_rootdn and
	ldap_password options (thanks to Stefan de Konink)
	* src/mod_vcard_ldap.erl: Likewise

	* src/ejabberd_router.erl: Now possible to route packet via
	function call instead of message sending
	* src/ejabberd_sm.erl: Added function route/3, use it in route
	table
	* src/ejabberd_local.erl: Likewise
	* src/ejabberd_s2s.erl: Likewise

2004-10-23  Alexey Shchepin  <alexey@sevcom.net>

	* (all): Fixed spelling of word "authentication"

	* src/*/Makefile.in: Replaced erlc with @ERLC@

2004-10-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_s2s.erl: Added remove_connection/1
	* src/ejabberd_s2s_out.erl: Use ejabberd_s2s:remove_connection/1

	* src/ejabberd_s2s_in.erl: Minor cleanup

	* examples/transport-configs/: Transport config examples (thanks
	to Sander Devrieze)

	* src/msgs/de.msg: German translation (thanks to Marina Hahn)

2004-10-12  Alexey Shchepin  <alexey@sevcom.net>

	* src/win32/: Updated (thanks to Sergei Golovan)

	* src/msgs/es.msg: Updated (thanks to Badlop)

	* src/mod_irc/iconv_erl.c: Bugfix (thanks to Jacek Konieczny)

2004-10-10  Alexey Shchepin  <alexey@sevcom.net>

	* (all): ejabberd-0.7.5 released

	* src/tls/Makefile.win32: Added (thanks to Sergei Golovan)

	* src/win32/: Updated (thanks to Sergei Golovan)

2004-10-09  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_web_admin.erl: Fixed user listing

	* src/msgs/uk.msg: Updated (thanks to Sergei Golovan)

	* src/msgs/nl.msg: Updated (thanks to Sander Devrieze)

	* src/msgs/ua.msg: Renamed to uk.msg

	* COPYING: Added permission to link with OpenSSL

2004-10-08  Alexey Shchepin  <alexey@sevcom.net>

	* src/msgs/ua.msg: Updated (thanks to Sergei Golovan)

	* src/mod_muc/mod_muc_room.erl: Fixed room destroying

	* src/ejabberd.cfg.example: Updated

	* src/ejabberd_sm.erl: Fixed message routing when all resources
	have negative priority

	* src/msgs/*.msg: Updated (thanks to Sergei Golovan)

	* src/web/ejabberd_web_admin.erl: Table titles now bold (thanks to
	Sergei Golovan)

2004-10-06  Alexey Shchepin  <alexey@sevcom.net>

	* doc/guide.tex: Updated

	* src/ejabberd_s2s_out.erl: Fixed socket closing condition

2004-10-05  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_http_poll.erl: Properly handle bad requests

	* src/web/ejabberd_web_admin.erl: Ported features from J-EAI

2004-09-30  Alexey Shchepin  <alexey@sevcom.net>

	* src/web/ejabberd_http.erl: Fixed processing of POST body for
	HTTP Polling

	* src/web/ejabberd_http.erl: Support for "Connection" HTTP header
	(thanks to Sergei Golovan)

	* src/translate.erl: Much better handling of xml:lang (thanks to
	Sergei Golovan)

2004-09-29  Alexey Shchepin  <alexey@sevcom.net>

	* src/ejabberd_listener.erl: Check result of controlling_process

	* src/web/ejabberd_http.erl: Bugfix

2004-09-27  Alexey Shchepin  <alexey@sevcom.net>

	* src/Makefile.in: Updated (thanks to Badlop)

2004-09-26  Alexey Shchepin  <alexey@sevcom.net>

	* src/aclocal.m4: Better expat and openssl detection (thanks to
	Anton Vanin)

	* src/**/Makefile.in: Updated (thanks to Anton Vanin)
	* src/configure.ac: Likewise

2004-09-25  Alexey Shchepin  <alexey@sevcom.net>

	* src/jlib.hrl: Added namespace for iq-register stream feature
	* src/ejabberd_c2s.erl: Send iq-register feature

	* src/ejabberd_config.erl: Config file can be configured via
	environment variable (thanks to Mickael Remond)

	* src/web/ejabberd_http.erl: Added SSL support (thanks to Sergei
	Golovan)

	* src/msgs/*.msg: Updated (thanks to Sergei Golovan)

	* src/jlib.hrl: Updated error codes (thanks to Sergei Golovan)
	* src/ejabberd_c2s.erl: Likewise

2004-09-17  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_muc/mod_muc_room.erl: Send password in room invitation
	(thanks to Sergei Golovan)

	* src/mod_disco.erl: Added registration of sm features and nodes
	(thanks to Sergei Golovan)
	* src/mod_vcard.erl: Register vcard-temp feature (thanks to Sergei
	Golovan)

	* src/jlib.erl: Added functions now_to_utc_string/1,
	now_to_local_string/1, and datetime_string_to_timestamp/1 (thanks
	to Sergei Golovan)
	* src/mod_muc/mod_muc_room.erl: Use time parsing functions from
	jlib (thanks to Sergei Golovan)

2004-09-16  Alexey Shchepin  <alexey@sevcom.net>

	* ejabberd/src/mod_pubsub/mod_pubsub.erl: Bugfix (thanks to
	Mickael Remond)

2004-09-15  Alexey Shchepin  <alexey@sevcom.net>

	* src/mod_pubsub/mod_pubsub.erl: Bugfix

2004-09-10  Alexey Shchepin  <alexey@sevcom.net>

	* tools/ejabberdctl: Added call to "exec" (thanks to Sergei
	Golovan)

	* src/msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* src/mod_vcard.erl: Support for searching of prefix substring and
